Getting Help

There are four ways to get Help in Microsoft Dynamics NAV:

The F1 Key

When you press the F1 key, you get specific Help for the part of the program where you have placed the cursor. For example, if the cursor is in the Name field of the Customer table, you will get information regarding that specific field and how it relates to the table.

The Help Button in the Window

When you click the Help button, you will see the Help for the window. If there is no Help for the window, the Help for the underlying table, report or batch job is displayed.

The Help Tool Icon and Help, What's This... on the Menu Bar

When you click one of these, the cursor becomes a Help cursor. Place the cursor on the part of the window you want help for and click once to open the Help topic.

The Help cursor will become an ordinary cursor again when the Help is displayed or when you press Esc.

Help on the Menu Bar

The Help menu contains four items:

Microsoft Dynamics NAV Help gives you a table of contents for the Help system. You can choose Help for different subjects here.

C/SIDE Reference Guide opens the Help system for programmers. You can find Help on functions, triggers, data types and properties.

What's This transforms the cursor to a Help cursor that can retrieve Help for everything on the window.

Overview of F-Keys displays an overview of the function keys in the program. (The function keys appear in a row at the top of your keyboard. You can use them instead of the function menus in the program.)

About Microsoft Dynamics NAV displays product information, including the version number of the program.


Using the Help Window

When you open the Help from the Help menu, it is displayed in a window with two panes: the navigation pane on the left and the topic pane on the right.

You use the navigation pane to find the information you need. It contains the Contents, Index, Search and Favorites tabs.

The topic pane shows the actual contents of the Help topic.

Show/Hide Button

If you open the Help using the What's This? icon, the F1 key or the Help button, the topic pane only appears. To display the navigation pane, click the Show button.

Tabs on the Navigation Pane

From the navigation pane, you can get Help in four ways:

Contents

The Contents tab contains the table of contents. The table of contents provides an overview of the Help. Here the Help is divided into books that contain related information.

Index

The Index contains an alphabetical list of keywords. You can browse the list or type in the word that you are looking for.

Search

You can use the Search tab to search for a word or phrase in the Help.

Favorites

When you find a Help topic that you think you may want to use again, you can add it to your list of favorites. While the topic is displayed in the topic pane, click the Favorites tab, and then click Add. Later, you can select the topic from the list on the Favorites tab, and click Display.


Security

An enterprise business solution must have a built-in security system to ensure that only people with the appropriate authorization can gain access to the information contained in the system. A minimum level of security requires that users be assigned user IDs and passwords, thereby limiting access to the program. Microsoft Dynamics NAV satisfies this requirement by integrating its own security system with the Active Directory security system provided by Windows and with the single sign-on system supported by Windows.

Microsoft Dynamics NAV gives you complete control over the information that each user can access. You can create users, give them roles and modify the permissions of these users and roles from within Microsoft Dynamics NAV. Furthermore, in the SQL Server Option for Microsoft Dynamics NAV you can also apply security filters that limit the permissions that you grant to each user or role so that they only gain access to information about particular customers, vendors, dimensions and so on.

In order to create users in Microsoft Dynamics NAV, you must give them an identity within the database that allows them to log on to the system. When the user has logged into the database, they are able to perform tasks in accordance with the permissions that they have been allocated.

Microsoft Dynamics NAV allows you to use two different methods to log on:

  • Database Server Authentication

  • Windows Authentication

In order to use Database Server Authentication you must be granted a database login within Microsoft Dynamics NAV. In order to use Windows Authentication you must have a valid Windows account in the current domain and be granted a Windows login within Microsoft Dynamics NAV.

All the Active Directory security groups will be visible within Microsoft Dynamics NAV. It is possible to give these Active Directory groups a Windows login and assign them roles within Microsoft Dynamics NAV.

The Microsoft Dynamics NAV security system is company specific and contains information about the permissions that have been granted to each individual user with access to each particular company. This includes information about the roles the users have been given as well as any particular rights that they have been granted as individual users. If you specify that the permissions a user has only apply to a particular company in the database, the user in question will only be able to see that company.

Note

The Microsoft Dynamics NAV security system is initiated when you create the first login. The first login should therefore be for a superuser who is given the SUPER role. The superuser then owns and administers all access to this database from within Microsoft Dynamics NAV. Until you create a superuser, any user with access to the system can carry out any transactions they want to in a Microsoft Dynamics NAV database.

One of the first things that the superuser should do is create user IDs for the other people who will have access to the database and assign roles to these users. Permissions are allocated at company level in Microsoft Dynamics NAV.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Creating Database Logins

Creating Windows Logins

Giving Database Logins a Role

Giving Windows Users or Groups a Role

Creating Roles

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects

Security Filters

Applying Security Filters


Synchronization

The heart of the security system for the SQL Server Option for Microsoft Dynamics NAV is the synchronization process. This process ensures that the information contained in the Users window in Microsoft Dynamics NAV corresponds with the information contained in the SQL Server security system.

SQL Server database user accounts contain information about the permissions that the users have to the objects contained in the database. The information for managing permissions to Microsoft Dynamics NAV objects is contained and administered within Microsoft Dynamics NAV.

Every time you make any changes to the Microsoft Dynamics NAV security system you must synchronize the security system with SQL Server.

To synchronize the security system, click Tools, Security, Synchronize. To synchronize the security system, you must have permission to access the Microsoft Dynamics NAV security system.

For more information about how the SQL Server security system and the Microsoft Dynamics NAV security system interact, see the manual Installation & System Management: Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security


Passwords

If you are using database authentication to access Microsoft Dynamics NAV, you must enter a password to gain access to the database.

If you work in a multiuser installation and have been given your user ID and password by the system manager, it is a good idea to change your password the first time you use the program. (That way you can be sure that you are the only one who knows it.) This is not necessary if you work in a single-user installation and have set up your own user ID.

Note

Passwords do not have time limits in Microsoft Dynamics NAV. If you want to set time limits for access, you can place an expiration date on the user ID or you can specify an allowed posting period for each user. You can do this in the Main Menu by clicking General Ledger, Setup, Users, User Setup.

If you forget your password or user ID, you will be allowed an unlimited number of attempts to enter it. You can also request a new password from a user who has permission to change other people's passwords.

If all the users have forgotten their user IDs or passwords (passwords are encrypted, so they cannot be seen anywhere in the program), you should contact your Microsoft Certified Business Solutions Partner.

Related Topics

Changing your Password


Database Logins

In order to add new users to the system, they must be given either a database login or a Windows login. Creating a database login involves giving new users a user ID and assigning them one or more roles that possess the appropriate permissions. Users that have been given a database login must use database authentication to gain access to the database.

Note

  • The Microsoft Dynamics NAV security system is initiated when you create the first login. The first login should therefore be for a superuser who is given the SUPER role in Microsoft Dynamics NAV. The superuser then owns and administers all access to this database from within Microsoft Dynamics NAV. Until you create a superuser, any user with access to the system can carry out any transactions they want to in a Microsoft Dynamics NAV database.

  • One of the first things that the superuser should do is create user IDs for the other people who will have access to the database and assign roles to these users. Permissions are allocated at company level in Microsoft Dynamics NAV.

Both the Database Login window and the process of creating a database login will be different depending on the version of Microsoft Dynamics NAV that you are using.

For more information about security in Microsoft Dynamics NAV, see the manual Installation and System Management for either Microsoft Dynamics NAV Database Server or the SQL Server Option for the C/SIDE Client.

Related Topics

Security

Creating Database Logins on Microsoft Dynamics NAV Database Server

Creating Database Logins on SQL Server


Creating Database Logins on Microsoft Dynamics NAV Database Server

The following example illustrates how to set up a superuser. You can use the same procedure to create database logins for other users. Users that have been given a database login must use database authentication to gain access to the database.

To Set Up a Superuser:

  1. Click Tools, Security, Database Logins and the Database Logins window appears.

  2. In the User ID field, enter the user ID - in this case SUPERUSER. You can type uppercase and lowercase letters as you like - the program will convert all letters to uppercase. You can later change the user ID in this field.

  3. In the Name field, enter the name of the user to whom this ID belongs.

  4. In the Password field, you must enter a password. It is encrypted as you type. It is important to remember where you have used uppercase and lowercase letters because passwords are case-sensitive.

  5. In the Expiration Date: You can enter a final date on which a user will be able to log on to the program. As a security precaution, superusers should not be given a date limitation.

The password can be used for as long as you want. In a multiuser installation, however, where a system manager has set up all the user IDs, each user should change his or her own password immediately after logging on for the first time so that no one else knows the password. Your password cannot be seen anywhere in the system.

Note

The Microsoft Dynamics NAV security system is initiated when you create the first login. The first login should therefore be for a superuser who is given the SUPER role in Microsoft Dynamics NAV. The superuser then owns and administers all access to this database from within Microsoft Dynamics NAV. Until you create a superuser, any user with access to the system can carry out any transactions they want to in a Microsoft Dynamics NAV database.

One of the first things that the superuser should do is create user IDs for the other people who will have access to the database and assign roles to these users. Permissions are allocated at company level in Microsoft Dynamics NAV.

For more information about security, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

Security

Creating Database Logins on SQL Server

Creating Windows Logins

Giving Database Logins a Role


Creating Database Logins on SQL Server

The following example illustrates how to set up a superuser. You can use the same procedure to create the database logins for other users. Users that have been given a database login must use database authentication to gain access to the database.

Before you can give a user a database login, an administrator must give the user a login (using SQL Server Authentication) on the SQL Server that they will be using.

To Set Up a Superuser:

  1. Click Tools, Security, Database Logins and the Database Logins window appears.

  2. In the User ID field, enter the user ID - in this case SUPERUSER. You can type uppercase and lowercase letters as you like - the program will convert all letters to uppercase. You can later change the user ID in this field. Remember that this ID must be identical to the ID of the user's SQL Server login.

  3. In the Name field, enter the name of the user to whom this ID belongs.

  4. In the Expiration Date field, you can enter a final date on which a user will be able to log on to the program. As a security precaution, superusers should not be given a date limitation.

There is no need to enter a password here as that has already been done on SQL Server. When the user wishes to access a Microsoft Dynamics NAV database they will have to enter both their user ID and the password they entered on SQL Server.

Note

The Microsoft Dynamics NAV security system is initiated when you create the first login. The first login should therefore be for a superuser who is given the SUPER role in Microsoft Dynamics NAV. The superuser then owns and administers all access to this database from within Microsoft Dynamics NAV. Until you create a superuser, any user with access to the system can carry out any transactions they want to in a Microsoft Dynamics NAV database.

One of the first things that the superuser should do is create user IDs, either Windows logins or database logins for the other people who will have access to the database and assign roles to these users. Permissions are allocated at company level in Microsoft Dynamics NAV.

For more information about security, see the manual Installation and System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Security

Creating Database Logins on Microsoft Dynamics NAV Database Server

Creating Windows Logins

Giving Database Logins a Role


Creating Windows Logins

You can add a Windows user or group to the list of Windows logins that can access the system. Users that have been given a Windows login must use Windows authentication to gain access to the database.

To Create a Windows Login:

  1. Click Tools, Security, Windows Logins to open the Windows Logins window.

  2. In the ID field, click the AssistButton and the Windows Users & Groups window appears listing all the Windows users and groups that are available in the current domain.

  3. Select the Windows user or group for which you want to create a Windows login.

  4. Click OK and the Windows user or group will be added to the Windows Logins window.

Important

You must enter both the Windows group and the Windows account for each individual user that is a member of that group in the Windows Login table. You do not need to assign any Microsoft Dynamics NAV roles to the individual users as long as the roles that the Windows group is assigned contain all the permissions that the users need.

In the SQL Server Option, the users Windows account must be entered in the Windows Login table before any SQL permissions can be assigned to that user in the SQL database.

Synchronization

Every time you make any changes to the Microsoft Dynamics NAV security system you must synchronize the security system with SQL Server.

To synchronize the security system, click Tools, Security, Synchronize. To synchronize the security system, you must have permission to access the Microsoft Dynamics NAV security system.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Giving Roles to Windows Logins

Limiting Roles to Specific Companies for a Login

Modifying Permissions for Roles

Creating Roles


Giving a Database Login a Role

In the following example of how to give a database login a role, you will give the superuser the appropriate permissions.

To Give a Database Login a Role:

  1. Click Tools, Security, Database Logins and the Database Logins window appears. Make sure that the current record symbol on the left side of the window is next to the login of the user to whom you want to assign this role.

  2. Click Roles at the bottom of the window. The Roles window for this database login appears. This window lists the roles that this user has been given.

  3. In the Role ID field, click the AssistButton. The Roles window appears listing the standard roles that come with the program.

  4. Select the role that you want to give to this database login and click OK.

You can give each user one or more roles as needed by following this procedure.

As a default, permissions apply to all the companies in the database but they can be restricted to a particular company. To do this, enter the name of the company (or use the AssistButton in the Company field on the right side of the window). For permissions to apply to several companies, you must set up one line per company (each line starting with the same role ID). If you specify that the permissions a user has only apply to a particular company in the database, the user in question will only be able to see that company.

For more information about security in Microsoft Dynamics NAV, see the manual Installation and System Management for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Creating Windows Logins

Giving Windows Logins a Role

Limiting Roles to Specific Companies for a Login

Creating Roles

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects


Giving Windows Logins a Role

You can give Windows users and groups a role in Microsoft Dynamics NAV.

To Assign a Role:

  1. Click Tools, Security, Roles and the Roles window appears.

  2. Select the Microsoft Dynamics NAV role you want to modify and click Role, Windows Logins and the Windows Logins window for this role appears. This window lists all of the Windows users and groups that have already been given this role in Microsoft Dynamics NAV.

  3. To add a Windows user or group to the list, select an empty row.

  4. In the Login ID field, click the AssistButton and the Windows Logins window appears. This window contains a list of all the Windows users and groups that can log on to Microsoft Dynamics NAV.

  5. Select the one you want to assign this Microsoft Dynamics NAV role to and click OK.

This user or group will now be added to the list shown in the Windows Logins window for this role.

In earlier versions of Microsoft Dynamics NAV, you could enter a Windows group in the Windows Login table and assign Microsoft Dynamics NAV roles to this group. Any user who is member of this group is assigned these permissions when they log on to the system and open this database.

However, in Microsoft Dynamics NAV 4.0, you must enter the Windows group in the Windows Login table and enter the Windows account for each individual user that is a member of that group. You do not need to assign any Microsoft Dynamics NAV roles to the individual users as long as the roles that the Windows group is assigned contain all the permissions that the users need.

In the SQL Server Option, the users Windows account must be entered in the Windows Login table before any SQL permissions can be assigned to that user in the SQL database.

Synchronization

Every time you make any changes to the Microsoft Dynamics NAV security system you must synchronize the security system with SQL Server.

To synchronize the security system, click Tools, Security, Synchronize. To synchronize the security system, you must have permission to access the Microsoft Dynamics NAV security system.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Windows Logins

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects

Creating Roles

Limiting Roles to Specific Companies for a Login


Giving Roles to Database Logins

In order for a database login to be able to work in Microsoft Dynamics NAV they must be assigned a role.

To Give a Role to a Database Login:

  1. Click Tools, Security, Roles.

  2. Select the role you want to assign to a database login.

  3. Click Role, Database Logins. The Database Login window for this role appears displaying a list of the database logins that have been given this role.

  4. In the User ID column, select a new line and click the AssistButton. A window appears listing all of the users that have database logins.

  5. Select the database login to which you want to give this role.

  6. Click OK and this database login will be added to the list of database logins that have this role.

This database login has now been given this role for all the companies contained in the current database.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Limiting Roles to Specific Companies for a Login

Creating Roles

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects

Removing Roles from Database Logins


Giving Roles to a Windows Logins

In order for a Windows login to be able to work in Microsoft Dynamics NAV they must be assigned a role.

Windows logins in Microsoft Dynamics NAV correspond to the Windows users and groups of the Windows domain. If both your domain and clients are running on Windows 2000, Windows 2003 or Windows XP, and SQL Server is running on Windows 2000 Server or Windows 2003 Server, you can give Windows users and groups roles within Microsoft Dynamics NAV. You can also make Microsoft Dynamics NAV roles members of Windows security groups.

To Give a Role to a Windows Login:

  1. Click Tools, Security, Roles and the Roles window appears.

  2. Select the role you want.

  3. Click Role, Windows Logins. The Windows Logins window for this role appears displaying a list of the Windows logins that have been given this role.

  4. In the Login ID field, select a new line and click the AssistButton. A window appears listing all of the users that have database logins.

  5. Select the Windows login to which you want to give this role.

  6. Click OK and this Windows login will be added to the list of Windows logins that have this role.

This Windows login has now been given this role for all the companies contained in the current database.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Windows Logins

Creating Roles

Limiting Roles to Specific Companies for a Login

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects

Removing Roles from Windows Logins


Assigning Permissions to Multiple Objects

You can also assign permissions for multiple objects.

To Assign Permissions to Multiple Objects:

  1. Click Tools, Security, Roles and the Roles window appears.

  2. Click Role, Permissions and the Permissions window for the selected role appears.

  3. Click All Objects at the bottom of the Permissions window for that role. A window will appear in which you can scroll up and down to see all the objects for which you can assign permissions.

  4. Enter Yes in the fields for the permissions that you want to assign to this role.

  5. If you select Table Data in the Object Type field, you can also apply a security filter. In the Security Filter field, click the AssistButton and use the standard table filter window that appears to specify the filter. The security filter will limit the permissions that this role has to data about specific customers, vendors and so on.

  6. Click OK to save your selection and it will be transferred to the Permissions window.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Creating Windows Logins

Giving Database Logins a Role

Giving Windows Users or Groups a Role

Modifying Permissions for Roles

Creating Roles

Applying Security Filters


Limiting Roles to Specific Companies for a Login

Initially roles are database specific and apply to all the companies in that database. But you can limit roles to specific companies.

The following procedure limits a role to a specific company for a database login, but the same procedure can also be used for Windows logins.

To Limit a Role to a Specific Company:

  1. Click Tools, Security, Database Logins and the Database Logins window appears.

  2. Select the database login in question and click Roles and the Database Logins window for this role appears listing all the roles that have been assigned to this login.

  3. Select the role that you want to make company specific.

  4. In the Company field, click the AssistButton and the Companies window appears.

  5. Select the company to which this role should apply and click OK.

  6. Close the window and agree to rename the record.

You must create a separate line for each specific company for which you want this role to apply. If you specify that the permissions a user has only apply to a particular company in the database, the user in question will only be able to see that company.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Giving Database Logins a Role

Giving Roles to Database Logins

Creating Roles

Modifying Permissions for Roles

Assigning Permissions to Multiple Objects


Removing Roles from Database Logins

Changes in your organization can mean that you have to withdraw a role from a database login.

To Remove a Role from a Database Login:

  1. Click Tools, Security, Database Logins and the Database Logins window appears. Make sure that the current record symbol on the left side of the window is next to the login of the user from whom you want to withdraw this role.

  2. Click Roles at the bottom of the window. The Database Login, Roles window appears. This window lists the roles that this user has been given.

  3. Select the role you want to remove from this database login.

  4. Press Delete.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the SQL Server Option for the C/SIDE Client.

Related Topics

Security

Removing Roles from Windows Logins

Giving Roles to Database Logins

Giving Roles to Windows Logins


Removing Roles from Windows Logins

Changes in your organization can mean that you have to withdraw a role from a Windows login.

To Remove a Role from a Windows Login:

  1. Click Tools, Security, Windows Logins and the Windows Logins window appears. Make sure that the current record symbol on the left side of the window is next to the login of the user from whom you want to withdraw this role.

  2. Click Roles at the bottom of the window. The Windows Logins, window for this role appears. This window lists the roles that this user has been given.

  3. Select the role you want to remove from this Windows login.

  4. Press Delete.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Giving Roles to Database Logins

Giving Roles to Windows Logins

Removing Roles from Database Logins


Creating Roles

If the predefined security roles do not meet the needs of your organization, you can always create new ones.

To Create a New Role:

  1. Click Tools, Security, Roles and the Roles window appears.

  2. Click Edit, Insert New (or press F3) to get an empty line on which to create the new group.

  3. In the Role ID field, enter an ID for the new role.

  4. In the Name field, enter a description of the new role.

  5. Press Enter or click the next line to accept the new role.

  6. Click the new role again.

  7. Click Role, Permissions and the Permissions window for this new role appears. Because this is a new role, the window will be empty.

  8. In the Permissions window, you can use the AssistButton in the Object Type field to select the type of object that you want to grant permission for and then the specific instance of that object. Enter Yes under the permissions you want to assign to the role (for example, Read), or select Yes with the help of the AssistButton to the right of the field. These permissions will then be granted to the new role.

    Alternatively, if you want to grant the role extensive permissions, you can click All Objects at the bottom of the window. A list of all the objects in the application appears.

  9. If you click All Objects, the Permissions (All Objects) window appears. Enter Yes in the fields for the permissions you want to give the role, or select Yes with the help of the AssistButton to the right of the field. When you click OK in the Permissions (All Objects) window the lines marked Yes will be copied to the Permissions window for this role, where you will subsequently be able to see them.

  10. If you select Table Data in the Object Type field, you can also apply a security filter. In the Security Filter field, click the AssistButton and use the standard table filter window that appears to specify the filter. The security filter will limit the permissions that this role has to data about specific customers, vendors and so on.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Creating Windows Logins

Giving Roles to Database Logins

Modifying Permissions for Roles

Limiting Roles to Specific Companies for a Login

Security Filters

Applying Security Filters


Modifying Permissions for Roles

If the standard roles do not meet your needs, you can easily modify, create or delete the permissions assigned to the existing Microsoft Dynamics NAV roles. You can also limit the extent of these permissions by applying security filters.

To Modify the Permissions for a Role:

  1. Click Tools, Security, Roles. The Roles window appears listing the IDs and names of all the existing Microsoft Dynamics NAV roles.

  2. Select the role you want to modify and click Role, Permissions. The Permissions window appears listing all of the permissions that have been assigned to this role. In this window, you can correct, delete or insert lines. Each line represents an object in the program. An object is the name for a programming unit in Microsoft Dynamics NAV, such as a table, a window or a report.

  3. In the Object Type field, you can click the AssistButton to see or select the types of objects for which you can assign permissions.

    The other fields on the right of the window indicate whether the role includes permissions to read, insert, modify, delete or execute the table, window, function, and so on. The following options are available in these permissions fields:

    Yes: You can always read, for example, this object.

    Indirect: The permission is valid only when used with another object that you have permission for. For example, you cannot create G/L entries directly, but you can create them indirectly, using the posting function.

    If the field is blank, you do not have this permission.

  4. If you select Table Data in the Object Type field, you can also apply a security filter. In the Security Filter field, click the AssistButton and use the standard table filter window that appears to specify the filter. The security filter will limit the permissions to data about specific customers, vendors and so on.

  5. Modify the permissions that have been assigned to this role by applying a security filter or by adding, changing or removing permissions.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Creating Windows Logins

Giving Database Logins a Role

Creating Roles

Assigning Permissions to Multiple Objects

Security Filters

Applying Security Filters


Security Filters

The SQL Server Option for Microsoft Dynamics NAV allows you to limit the access that individual users have to the data contained in the database. This is done by assigning a role or roles to each user. These roles specify that the user only has access to certain objects in the database. In this way you can stipulate that the user can only access the data that is contained in certain tables and whether the user can read, modify or enter data in these tables.

However, this may not be detailed enough for your organization and your security system might need to be even more refined. Microsoft Dynamics NAV allows you to refine these roles even further by applying security filters specifying that the user is only allowed to access specific records in the table.

Security filters can be used to prevent unauthorized users from gaining access to sensitive information. You can limit the user's access to, for example, particular accounts, accounting periods, dimensions or to information that concerns particular customers or vendors.

Setting up one security filter will not in itself ensure that the user can only see those records that are specified in the filter. Each user will normally have more than one role in the current database, and will receive permissions from each of these roles. The total number of permissions that the user possesses are the sum of all the permissions specified for all the roles that the user has been assigned.

If a user has two roles that give permission to the same table and both roles have security filters applied to them, it is the sum of these security filters that is applied. This means that if one filter specifies that the user can only read entries 1 - 10 and the other filter specifies that the user can modify entries 5 - 20, the user will only be able to modify records 5 - 20 but will be able to read records 1 - 20.

It is important to remember that not applying a security filter to a table means that the user can, for example, read all the entries in that table. This means that if more than one role gives the user permission to access data from the same table, the security filter specified for this table in one role will have no effect if another role gives the user permission to perform the same operations on the same table, but without any security filter.

Security filters can only be applied to the Table Data Object Type.

Furthermore, when you apply a security filter to a role, it will affect the permissions of all the users who have been given this role in the current database. You may therefore need to create new roles before applying security filters. If you do not want to change the standard roles, you must create new roles with the same permissions and apply the security filters to them.

Related Topics

Security

Applying Security Filters


Applying Security Filters

The SQL Server Option for Microsoft Dynamics NAV allows you to apply security filters that limit the permissions that a particular role or user has to the data in the database. This allows you to specify that they can only access or enter information about specific customers, vendors, and so on.

To Apply a Security Filter:

  1. Click Tools, Security, Roles and select the role on which you want to apply a filter.

  2. Click Permissions and the Permissions window for that role appears.

  3. In the Object Type field, use the AssistButton and select Table Data.

  4. In the Object ID field, use the AssistButton and select the table to which you want the filter to apply.

  5. Give the role the Read, Insert, Modify, Delete and Execute permissions that you want this role to have.

  6. In the Security Filter field, click the AssistButton and a standard Table Filter window appears.

  7. To enter the filter, use the AssistButton in the Field column to select the field that you want to use in the filter.

  8. In the Filter field, enter the value that you want to use in the filter.

  9. Click OK to apply the filter.

  10. Repeat this procedure for all of the tables that you want to apply a filter to. If you want the same criteria again, you can cut and paste it or use F8.

The filter has now been applied to this role and therefore applies for all the users who have been given this role in this database. The next time a user who has been given this role accesses the database they will only be able to see data that conforms to the criteria that have been specified in the security filter.

If you do not want to change the standard role, you must create a new role with the same permissions and apply the security filter to it.

Security filters can only be applied to the Table Data Object Type.

Note

In order for security filters to take effect, they must be applied to all the roles that give the user access to the table in question. Not applying a security filter means that the user has access to all the data stored in the table.

The values specified in different security filters are joined together when a user has been assigned separate roles giving access to the same table. For example, if one filter specifies that the user should only be able to read entries 1 - 10 and another filter specifies entries 5 - 20, the user will be able to read entries 1 - 20.

Important

Record level security filters do not support wildcards. This means that you cannot use * and ? in the filters. You can use the other symbols and operators, such as, <, >, |, &, and =.

The maximum length of a security filter is 250 characters, but all of the delimiters, symbols and operators such as, <, >, |, &, .. and = also count as characters and can considerably reduce the length of the security filters that you can enter.

Furthermore, security filters are concatenated and therefore the sum of all the security filters applied to a user or a role cannot exceed 250 characters.

Related Topics

Security

Security Filters

Creating Roles

Modifying Permissions for Roles


Setting Up Online Map

When you plan a visit to for example a customer, you can get a map from an online map service with route directions described in the language you select. To allow this online map service to find the right map and directions you need to set it up in Microsoft Dynamics NAV.

Note:

Since the online map is activated when you click the pushpin icon next to the Country/Region Code field on various cards, (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card) it is important that you insert a code in this field. If there is no code in the field, the online map will not be able to find the location.

The pushpin icon is only visible on the cards if the Online Map Setup table contains records. See below how you can import a set of default records.

You use two different windows to set up the online map: Online Map Setup and Online Map Parameter Setup.

To Set Up Online Map:

  1. Open the [image] Online Map Setup window (from the Navigation Pane, click Administration, Application Setup, General, Online Map Setup).

  2. Insert a language code in the Default Language Code field, or click the AssistButton in the field to open the Online Map Parameter Setup window and select a code.

Note:

If the Online Map Parameter Setup window is empty, you can install predefined language codes, country/region codes and URLs for the destination maps by clicking the Insert Default button in the window. This will import a set of default records that you can select from. You can change these records or insert your own.

  3. While in the Online Map Parameter Setup window, continue to fill out the Country/Region Code field. If you click the AssistButton in the field, the Countries/Regions window opens and you can select a code from this window.

  4. If you use the online map provided by for example MSN, in the MSN Country/Region Value field, insert a numeric value representing the country/region you selected. Use the numeric values listed in the following table:

Country/Region | Value
United States | 0
Canada | 1
United Kingdom | 2
France | 3
Germany | 4
Austria | 5
Switzerland | 6
Belgium | 7
Luxembourg | 8
Denmark | 9
Spain | 10
Italy | 11
Netherlands | 12
Finland (Helsinki only) | 13
Norway | 14
Portugal | 15
Sweden | 16
Australia | 17
Brazil | 18
Greece (Athens only) | 19

  5. In the MSN World Region Code field, insert a numeric value that indicates the region in which the place is located. The following values are available:
    0 North America
    1 Europe
    2 World Atlas
    3 Australia
    4 Brazil

  6. Insert the relevant Map URL in the Local Map URL field, and the relevant Find URL in the Local Directions Find URL field.

  7. Back in the Online Map Setup window, select either Default Language or Client Language in the Show Maps in Language field, where the default language is the language you inserted in the Default Language Code field, and the client language is the language set up for the company in the Application Languages window (in the menu bar, click Tools, Language. to open the window).

  8. Select Miles or Kilometers in the Distance in field, and the Quickest or Shortest distance in the Route field.

Note:

Online map home pages may change over time and therefore the URL addresses may need regular updating.

Related Topics

Using Online Map to Find a Location

Using Online Map to Find Directions


Using Online Map to Find a Location

You can get a map from your online map service showing address and location of, for example, a customer or a vendor. Online Map is accessible from the following cards in Microsoft Dynamics NAV by clicking the pushpin icon next to the Country/Region Code field: Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card.

Note:

The pushpin icon is only visible on the cards if the Online Map Setup table contains records. Read Setting up Online Map to see how you can import a set of default records.

To Find a Location in Online Map:

  1. Open a card.

    2. (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card)

  2. Click the pushpin icon next to the Country/Region Code or Post Code/City field to open a selection window.

  3. Select the Map button and click OK.

  4. Online Map opens a map with the address location you have defined.

Related Topics

Setting Up Online Map

Using Online Map to Find Directions


Using Online Map to Find Directions

When you plan a visit to, for example, a customer or a vendor, you can get a map with route directions from your online map service. Online Map is accessible from the following cards in Microsoft Dynamics NAV by clicking the pushpin icon next to the Country/Region Code field: Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card.

Note:

The pushpin icon is only visible on the cards if the Online Map Setup Parameter table contains records. Read Setting Up Online Map to see how you can import a set of default records.

By selecting buttons from the selection window, you can quickly get maps and directions to/from two different types of destinations: To/from your company and the address you look up in the card, or to/from any address to/from any other address.

To Get Directions in Online Map to/from your company:

  1. Open a card.

    2. (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card)

  2. Click the pushpin icon next to the Country/Region Code or Post Code/City field to open a selection window.

  3. Select the From My Company button.

  4. Online Map opens a map showing the route from your company to the destination/addressee with full route direction described in the language set up for you.

Tip:

If you want the direction from the addressee to your company, click the To My Company button in stead.

To Get Directions in Online Map to/from other destinations:

  1. Open a card.

    2. (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card)

  2. Click the pushpin icon next to the Country/Region Code or Post Code/City field to open a selection window.

  3. Select the To Other button. The Online Map Address Selector window opens.

  4. Fill in the fields in the window using the AssistButtons to help you select addressees, and click OK.

  5. Online Map opens a map showing the route from card address 1 to card address 2 with full route directions described in the language set up for you.

Tip:

If you want the direction from address 2 to address 1, click the From Other button in stead.

Related Topics

Setting Up Online Map

Using Online Map to Find a Location


Using the Navigation Pane

You use the Navigation Pane (Navigation Pane: the window on the left side of the Microsoft Dynamics NAV main window that includes Shortcuts and other menus) to open windows in the program.

If you click a menu item when the related window is already open, the program will either open a new copy of the window or bring the already open window into focus, depending on the options that you have chosen.

To Open a Menu Item

When you left-click a menu item for a report or batch job, the program will always open a new window.

When you left-click a menu item for a window that represents a form (for example, a card), if there is already an open window, the program will bring the open window into focus, rather than opening a new window.

You can right-click the item and then select:

  • Open in New Window: each time you left-click the menu item, a new window will open.

  • Cycle Window: each time you left-click the menu item, the program will switch focus to one of the open windows for the menu item. If you click repeatedly, you will cycle through all of the open windows for that menu item.

  • Toggle Window: each time you left-click the menu item, the program will switch focus to one of the last two windows that you opened for the menu item. If you click repeatedly, you will switch between the last two windows that you opened for the menu item.

To Set the Navigation Pane Options:

Right-click below the menu buttons, next to the scroll arrows, and then click Navigation Pane Options... Place a check mark next to the options that you want to activate.

There are four options:

  • Single-click groups: A check mark next to this option means that menu groups will open and close on one click. Otherwise, you must double-click to open and close groups.

  • Show group lines: A check mark next to this option means that there will be a line from each item to the group to which it belongs.

  • Track active windows: A check mark next to this option means that, when you move between windows in the program, the corresponding menu item will be selected. However, this only applies to windows that were opened from the menu.

  • Swap open and new actions: A check mark next to this option means that when you left-click an item, you will open a new instance of the window.

Related Topics

Personalizing Your Navigation Pane


Personalizing Your Navigation Pane

You can change the number of menu buttons (menu button: button at the bottom of the Navigation Pane that selects which menu is displayed) displayed in your Navigation Pane, (Navigation Pane: the window on the left side of the Microsoft Dynamics NAV main window that includes Shortcuts and other menus) and the order they are displayed in. You can also hide and show menu groups (menu group: part of a menu, which contains menu items and/or other menu groups. Click a menu group to show the items in the menu group) and menu items. (menu items: Links to windows or dialog boxes in the program. Click on a menu item to open the window or dialog box) By hiding parts of the menu that you normally don't use, you make it easier to find the items that you do use. Hidden items are not deleted; you can always show them again.

Show Hiding and showing menu buttons

    To hide a menu button, right-click on the button and then click Hide.

    To show a menu button:

    1. Right-click any menu button and then click Show.

    2. A list of hidden menu buttons will appear. Enter a check mark next to the name of the menu button that you want to show and then click OK.

Show Moving menu buttons up or down

    To move a menu button up or down, right-click the button that you want to move and then click Move Up or Move Down. Repeat until the button is where you want it.

Show Hiding and showing menu groups

    To hide a menu group, right-click the group and then click Hide.

    To show a menu group:

    1. Right-click any menu group and then click Show.

    2. A list of hidden menu groups and menu items will appear. Enter a check mark next to the name of the menu group that you want to show and then click OK. It will be inserted where it was before it was hidden.

Show Hiding and showing menu items

    • To hide a menu item, right-click the item and then click Hide.

    • To show a menu item:

    1. Right-click any menu item and then click Show.

    2. A list of hidden menu groups and menu items will appear. Enter a check mark next to the name of the menu item that you want to show and then click OK. It will be inserted where it was before it was hidden.

    (Note that you cannot show individual items from a hidden group.)

If you are a Microsoft Dynamics NAV administrator (you have a login with the SUPER role) you can use the Navigation Pane Designer to design menus for users.

Related Tasks

Creating Shortcuts in the Navigation Pane

Organizing Shortcuts in the Navigation Pane

Keyboard Shortcuts for the Navigation Pane


Creating Shortcuts in the Navigation Pane

You can put together your own personal menu in the Shortcuts menu. (Shortcut menu: a user-defined menu in the Navigation Pane) You can include shortcuts to:

  • forms and reports in the program

  • specific records in your database (for example, customer card 10000 or sales order 30XB2)

  • documents on your computer or a server

  • Web sites

For example, if you only use a small fraction of the menu items in the menus that you have been assigned, you can copy all of the menu items that you use to the Shortcuts menu so that you have everything in one place, and then you can disregard the other menus. Then you can organize the shortcuts to make your work more efficient.

There are two ways to create shortcuts to windows in the program.

Show To copy a menu item or group from an existing menu in the Navigation Pane

  1. Click the menu button (menu button: button at the bottom of the Navigation Pane that selects which menu is displayed) for the menu that contains the group or item you use frequently.

  2. Locate the menu item or group and right-click it.

  3. Click Send to Shortcuts.

Show To create a shortcut to a form or report that you have open

  1. Open the window or report that you want to create a shortcut to.

  2. You can create a shortcut to a specific record in your database. For example, you can create a shortcut to a specific customer card.

If you want the shortcut to open a specific record, browse to the record (for example, the customer).

  3. Click File, Send, Link to Shortcuts.

In addition, you can include shortcuts to files outside of the program:

Show To create a shortcut to a document

  1. In the Shortcuts menu, right-click and then click Create Shortcut...

  2. In the Open field, click the AssistButton and browse to the relevant file. Click Open. The file address and name, including the file extension, appears in the Open field.

  3. In the Caption field, enter the name of the menu item as you wish it to appear in the Shortcuts menu.

Show To create a shortcut to a Web site

  1. In the Shortcuts menu, right-click and then click Create Shortcut...

  2. In the Open field, type the Web site address, for example www.microsoft.com.

  3. In the Caption field, enter the name of the menu item as you wish it to appear in the Shortcuts menu.

The menu item or group is added to the bottom of the Shortcuts menu. You can organize the shortcuts into groups and you can delete an item if you no longer need it.

Related Topics

Organizing Shortcuts in the Navigation Pane


Keyboard Shortcuts for the Navigation Pane

Globally Available

Keystroke | Mouse Usage | Action
F12 | Click menu area or Main Menu button in the Toolbar | Give focus to the Navigation Pane
CTRL+F12 | Click the active window | Give focus to the active window
Alt+F12 | Menu: Tools / Navigation Pane Designer | Switch to the Navigation Pane Designer
Alt+F1 | Menu: View / Navigation Pane | Show / Hide the Navigation Pane
Shift+Alt+Up | Navigation Pane Scrollbar | Scroll Menu Buttons down
Shift+Alt+Down | Navigation Pane Scrollbar | Scroll Menu Buttons up
Ctrl+Alt+Up |  | Activate previous menu
Ctrl+Alt+Down |  | Activate next menu
Ctrl+0 |  | Activate Shortcuts menu
Ctrl+1 … Ctrl+9 |  | Activate menu at position 1 … 9
 | Left-double-click Navigation Pane resize border | Toggle current and minimum Navigation Pane sizes

Available when the Navigation Pane is active

Note:

Not all actions for the keystrokes are always available since their use depends on whether you are working with the Navigation Pane or the Navigation Pane Designer and if the Shortcuts menu is open.

Keystroke | Mouse Usage | Action
Home |  | Select first item
End |  | Select last item
Up |  | Select previous item
Down |  | Select next item
PgUp | Menu scrollbar | Move selection up a page
PgDn | Menu scrollbar | Move selection down a page
Left | Click +/- button | Collapse group
Right | Click +/- button | Expand group
Ctrl+Home |  | Scroll to first item
Ctrl+End |  | Scroll to last item
Ctrl+Up | Menu scrollbar | Scroll menu down
Ctrl+Down | Menu scrollbar | Scroll menu up
Ctrl+PgUp | Menu scrollbar | Scroll selection up a page
Ctrl+PgDn | Menu scrollbar | Scroll selection down a page
Ctrl+Shift+Up |  | Move item up
Ctrl+Shift+Down |  | Move item down
Enter / Space | Left-click | Cycle open window*
Ctrl+Enter / Space | Ctrl+Left-click | Open item in new window*
Shift+Enter / Space | Shift+Left-click | Toggle open window
Alt+Enter |  | Properties
Context Menu | Right-click | Show context menu
Ctrl+X |  | Cut item
Ctrl+C |  | Copy item
Ctrl+V |  | Paste item
F2 | Left-click selected item label | Rename item
Delete |  | Delete item
Insert |  | Create item
Shift+Insert |  | Insert Items
Ctrl+Insert |  | Create group
Ctrl+S | File / Save | Save the current menu suite and remain in the Navigation Pane Designer
F11 | Tools / Compile | Compile the current menu suite
Esc | File / Close | Close the Navigation Pane Designer, prompting to save changes

* You can swap the default and Ctrl actions by changing the Navigation Pane Options.


About Designing Menus for Users

If you are the menu suite administrator for your company, you can use the Navigation Pane Designer to configure the menus that you have received from your solution provider to better suit the users in your company.

If you do not have design permissions, you can personalize your Navigation Pane.

Designing Menus

In the Navigation Pane Designer, you have editing access to the company's whole menu suite. (menu suite: a collection of menus, for example a user's menu suite is all of the menus assigned to the user) You can edit existing menus, (menu: a menu is a collection of menu items, which can be organized in menu groups and displayed as a tree) create new menus, change the order of the menu buttons (menu button: button at the bottom of the Navigation Pane that selects which menu is displayed) in the Navigation Pane or delete menu buttons. Then you can assign one or more menus to each of your users.

Assigning Menus

A user can only be assigned to an entire menu, not a portion of it.

Hiding Menus in the Navigation Pane Designer

You can hide menus in the Navigation Pane Designer if you are not working with all of them. The menu is only hidden in the Navigation Pane Designer. Any users that you have assigned the menu will still be able to see it in their own menu suite. (Right-click the menu button and then click Hide in Designer. When you need the button again, click any menu button and then click Show in Designer. Place a check mark by the name of the menu you want to show and then click OK.)

Enabling and Disabling Menus

When you are making changes to a menu, you can disable it if you do not want users to see your changes immediately when you save them. When it is ready to be distributed to the users, you enable it again. (Right-click the menu button and select Enable or Disable.) The first time the user refreshes the Navigation Pane after you enable a menu, they will see the new version. To refresh the Navigation Pane, the user can right-click below the menu buttons and next to the scroll arrows, and then click Refresh.

Related Topics

Editing Menus with the Navigation Pane Designer

Creating Menus with the Navigation Pane Designer

Assigning Menus to Users

Deleting Menus from the Navigation Pane Designer

Keyboard Shortcuts for the Navigation Pane

How Upgrades Affect Your Menus


Organizing Shortcuts in the Navigation Pane

Once you have created some shortcuts in the Shortcuts menu, you can reorganize the menu. You can create new groups and change the order of the groups and items in the Shortcuts menu. You can delete an item if you no longer need it.

  • Show Creating a new menu group

    • To create a new group:

    1. Right-click in the group where you want to add the new group and then click Create Group. The new group appears as the last item within the group.

    2. Type the name of the new menu group. Press Enter to apply the change.

  • Show Moving items into a menu group

    • To move an item into a group:

    1. Right-click the item that you want to move and then click Cut.

    2. Right-click an item in the menu group to which you want to move the item and then click Paste.

  • Show Moving a menu group or item up or down

    To move a menu group or item up or down:

    • Right-click the menu item or group and then click Move Up or Move Down.

    Note

    You can only use this method to move an item within the group where it appears. To move it to another group, use cut and paste.

  • Show Changing the name of a menu group or item

    • To change the name of a menu group or item:

    1. Right-click the menu group or item and then click Rename. The cursor appears in an edit box.

    2. Type the name as you want it to appear. Press Enter to apply the change.

  • Show Deleting a menu group or item

    • To delete a menu item:

    • Right-click the item and then click Delete. The item is removed from the menu, but you can add it again later.

    To delete a menu group:

    • Right-click the group and then click Delete. The menu group and any menu items it contains will be deleted from the menu.


Changing or Deleting the Contents of Fields

You can only change or delete the contents of editable fields.

To Change or Delete Ordinary Fields

There are two ways to change or delete the contents of an ordinary field depending on the field. In most fields you can proceed as follows:

  1. Highlight the field contents, and then type the new contents over the old.

  2. Highlight the field contents, and then click Edit, Clear or press Delete.

  3. Press Enter to save the change or deletion.

A few fields contain more sensitive information than others, so the program makes it harder for you to change their contents. To change or delete the contents of these fields, you must use the inline editing function. Click twice (not a double click) or press F2 when the cursor is in the field.

To Change the Contents of Check Box Fields

To change the contents of check boxes, click the field. A check mark means that you answer Yes to the question in the field (you turn the function on). To change a Yes to a No (or turn the function off), click the check box.

To Change the Contents of Fields with an AssistButton

Fields with an AssistButton to the right can only be filled in with one of the options that appear when you click the button.

To change the contents of either type of field, click the button to the right and select one of the options from the list that appears.


Entering Information in Fields

You can only enter information in editable fields. In card windows, editable fields have a white background, and non-editable fields are gray. In list windows, a vertical bar appears in editable fields and a dotted frame appears in non-editable fields.

To enter something in a field, click in the field. The insertion point will appear indicating that you can begin to type. When you are finished, press Enter to save. To cancel what you have written, press Esc.

Using Fields to Calculate Values


Creating New Lines or New Cards

When you are working in Microsoft Dynamics NAV you will need to create new entries very regularly.

To create a new line or card press F3.

You can use this function whenever you need to create a new record (a card or a line) such as a new account, a new customer or a new item.

Note

In journals you do not have to press F3 to create new lines. Just click (or move the cursor) to the next line.


Selecting Items from Lists

Many fields in the program have a button to the right with an up arrow or a down triangle. These buttons are called AssistButtons. You can click them to get a list of items that are available for the field.

There are two types of AssistButton:

Lookup | Displays information from another table that you can enter in the field. You can select one item at a time.
Drop-down | Displays the set of options that exist for the field. You can select only one of the options.

Click in the field and the AssistButton will appear if it is not already there.


Using Fields to Calculate Values

Sometimes you need to perform a minor calculation before you can enter a value in a field. Microsoft Dynamics NAV allows you to enter an expression and calculate the value directly in many of the fields in the program.

To Calculate Values in Fields:

  1. Enter an expression in the field.

    You can use the following symbols:

    + (plus)

    - (minus)

    * (times)

    / (divided by)

    The symbols can be combined, but you cannot use parentheses, so you must be careful about how you set up the computation. Multiplication and division will be done before addition and subtraction. You can also perform several calculations in the same field.

  2. Press Enter, and the program will calculate the value and enter the result in the field.


Entering Dates

How you enter dates depends on the settings that have been selected in the Regional Options window in the Windows Control Panel. You can enter dates with or without separators.

In a date field you can enter two, four, six or eight digits:

  • If you enter only two digits, the program will interpret them as the day, and it will add the month and the year of the work date.

  • If you enter four digits, the program will interpret them as the day and the month, and it will add the year of the work date.

  • If the date you want to enter is in the range 01/01/1930 through 12/31/2029, you can enter the year with two digits; otherwise, enter the year with four digits.

However, if you are using Windows 2000 as your operating system you can determine this date range yourself. This is done by adjusting the Calendar setting on the Date tab in the Regional Options window in the Control Panel.

You can also enter a date as a weekday followed by a week number and, optionally, a year (for example, Mon25 or mon25 means Monday in week 25).

Instead of entering a specific date, you can enter one of two codes:

t | The program will enter today's date. (the system date for the computer).
w | The program will enter the work date. To define the work date, click Tools, Work Date, on the menu bar. If you do not define a work date, the program will use the system date as the work date.

You may want to use a work date if you have many transactions with a date other than today's date.

Closing Date

When you close a fiscal year, you can use closing dates to indicate that an entry is a closing entry. A closing date technically lies between two dates, for example between Dec 31 and Jan 1.

To specify that a date is a closing date, put C just before the date: C123101.

Related Topics

Setting Work Dates

Using Date Formulas


Entering Datetimes

When you enter datetimes you must enter a space between the date and the time.

The following table lists the various ways in which you can enter datetimes and how they are interpreted:

Entry | Interpretation
131202 132455 | 13-12-02 13:24:55
1-12-02 10 | 01-12-02 10:00:00
1.12.02 5 | 01-12-02 05:00:00
1.12.02 | 01-12-02 00:00:00
11 12 | 11-current month-current year 12:00:00
1112 12 | 11-12-current year 12:00:00
t or today | today's date 00:00:00
t time | today's date actual time
t 10:30 | today's date 10:30:00
t 3:3:3 | today's date 03:03:03
w or workdate | the working date 00:00:00
m or monday | Monday of the current week 00:00:00
tu or tuesday | Tuesday of the current week 00:00:00
we or wednesday | Wednesday of the current week 00:00:00
th or thursday | Thursday of the current week 00:00:00
f or friday | Friday of the current week 00:00:00
s or saturday | Saturday of the current week 00:00:00
su or sunday | Sunday of the current week 00:00:00
tu 10:30 | Tuesday of the current week 10:30:00
tu 3:3:3 | Tuesday of the current week 03:03:03


Entering Durations

You enter a duration as a number followed by its unit of measure.

Here are some examples:

2h | 2 hrs
6h 30 m | 6 hrs 30 mins
6.5h | 6 hrs 30 mins
90m | 1 hr 30 mins
2d 6h 30m | 2 days 6 hrs 30 mins
2d 6h 30m 56s 600ms | 2 days 6 hrs 30 mins 56 secs 600 msecs

You can also enter a number and it is automatically converted to a duration by the program. The number you enter is converted according to the default unit of measure that has been specified for the duration field.

To see what unit of measure is being used in a duration field, enter a number and see which unit of measure the program converts it to.

5 is converted to 5 hrs, if the unit of measure is hours.


Entering Times

When you enter times, you can insert any separator sign that you want between the units, but it is not necessary.

You do not need to write minutes, seconds or AM/PM.

The following table lists the various ways in which times can be entered and how they are interpreted:

Entry | Interpretation
5 | 05:00:00
5:30 | 05:30:00
0530 | 05:30:00
5:30:5 | 05:30:05
053005 | 05:30:05
5:30:5,50 | 05:30:05.5
053005050 | 05:30:05.05

You must enter two digits for each unit of time if you do not enter a separator.


Using Date Formulas

By using date formulas in Microsoft Dynamics NAV, you can tell the program how to calculate dates. You can enter date formulas in various date calculation fields and in recurring frequency fields in recurring journals.

Here are some examples of how date formulas can be used:

  • The date formula in the recurring frequency field in recurring journals determines how often the entry on the journal line will be posted.

  • The date formula in the Grace Period field for a specified reminder level determines the period of time that must pass from the due date (or from the date of the previous reminder) before a reminder will be created.

  • The date formula in the Due Date Calculation field determines how the program calculates the due date on the reminder.

The date calculation formula can contain a maximum of 20 characters, both numbers and letters. You can use the following letters, which are abbreviations for time specifications:

C | Current
D | Day(s)
W | Week(s)
M | Month(s)
Q | Quarter(s)
Y | Year(s)

You can construct a date formula in three ways:

  1. Current plus a time unit. For example:

CW | Current week
CM | Current month

  2. A number and a time unit. A number cannot be larger than 9999. For example:

10D | 10 days from today
2W | 2 weeks from today

  3. A time unit and a number. For example:

D10 | The next 10th day of a month
WD4 | The next 4th day of a week (Thursday)

You can combine these three forms as needed. For example:

CM+10D

Current month + 10 days

You can use a minus sign to indicate a date in the past. For example:

-1Y

1 year ago from today

Related Topics

Entering Dates

Setting Work Dates


Setting Filters

You can use field filters and table filters to have a window display only certain accounts, customers, entries or other records. FlowFilters are used to limit the contents of fields that display amounts or quantities.

You set a filter by specifying criteria for one or for several fields in a table. The program then tests all records and only records that match the criteria pass through the filter. If criteria are specified for several fields at the same time, records must match all criteria to pass through the filter.

Note

Field and table filters are window-dependent. If you to set a filter on a table in a window and then see the same table in a different window, the filter is not in effect there. On the other hand, the filter will remain in effect in the window where you set it until you remove it.

Filters remain in effect until you remove them or replace them with new ones. To remove a filter, click View, Show All on the menu bar.

In Microsoft Dynamics NAV you can use three kinds of filters:

Field Filter

Table Filter

FlowFilter

Related Topics

Entering Criteria in Filters


Entering Criteria in Filters

When you enter criteria, you can use all the numbers and letters that you can normally use in the field. In addition, you can use some special symbols or mathematical expressions. Here are the available formats:

Symbol | Meaning | Sample Expression | Records Displayed
= | Equal to | 377 | Number 377
 |  | BLUE | Those with the BLUE code, for example, the BLUE warehouse code
 |  | 22 | A datetime: from 22-current month-current year 0:00:00 to 22-current month-current year 22:59:59
 |  | 22 10 | An exact datetime: 22-01-01 10:00:00
.. | Interval | 1100..2100 | Numbers 1100 through 2100
 |  | ..2500 | Up to and including 2500
 |  | ..12 31 00 | Dates up to and including 12 31 00
 |  | P8.. | Information for accounting period 8 and thereafter
 |  | ..23 | From the beginning of time until 23-current month-current year 23:59:59
 |  | 23.. | From 23-current month-current year 0:00:00 until the end of time
 |  | 22..23 | From 22-current month-current year 0:00:00 until 23-current month-current year 23:59:59
| | Either/or | 1200|1300 | Those with number 1200 or 1300
& | And | <2000&>1000 | Numbers that are less than 2000 and greater than 1000. The & sign cannot be used by itself with numbers because no record can have two numbers.
<> | Not equal to | <>0 | All numbers except 0 The SQL Server Option allows you to combine this symbol with a wild card expression. For example, <>A* meaning not equal to any texts that start with A.
> | Greater than | >1200 | Numbers greater than 1200
>= | Greater than or equal to | >=1200 | Numbers greater than or equal to 1200
< | Less than | <1200 | Numbers less than 1200
<= | Less than or equal to | <=1200 | Numbers less than or equal to 1200
* | An indefinite number of unknown characters | *Co* | Texts that contain "Co"
 |  | *Co | Texts that end with "Co"
 |  | Co* | Texts that begin with "Co"
? | One unknown character | Hans?n | Texts such as Hansen or Hanson
 | Calculate before rest | 30|(>=10&<=20) | Those with number 30 or with a number from 10 through 20 (the result of the calculation within the parentheses)
@ | Ignore case (either uppercase or lowercase allowed) | @location | Texts such as LOCATION, location or Location

You can also combine the various format expressions:

5999|8100..8490 | Include any records with the number 5999 or a number from the interval 8100 through 8490.
..1299|1400.. | Include records with a number less than or equal to 1299 or a number equal to 1400 or greater (all numbers except 1300 through 1399).
>50&<100 | Include records with numbers that are greater than 50 and less than 100 (numbers 51 through 99).
*C*&*D* | Texts containing both C and D.
@*co?* | Texts containing co, CO, Co, cO, such as cot, cope and incorporated. CO, cO, Co or co must be present, followed by at least one character, but there can be an indefinite number of characters before and after these, and case is unimportant.

Note

It is important that you enter only meaningful filters. For example, it is possible to specify an interval that does not exist, and the program cannot check this for you. In order to enter meaningful filters, you must know the sorting rules followed by this program.

Related Topics

Sorting


Overview of F Keys

Here you can see a diagram of the function (F) keys such as Ctrl + F1 (not shortcut keys like Ctrl + P) that you can use in Microsoft Dynamics NAV. You can use an F key to get to many of the menu items (sometimes you need to use the Shift or Ctrl keys as well). The F keys can help you work faster if you prefer the keyboard to the mouse.

When you click Help, Overview of F Keys, a window indicating the available function keys appears. The function keys that are available depend on which part of the application you are using.

If you click Shift at the bottom of the window, the combinations that include the Shift key are displayed. If you click Ctrl, the combinations that include Ctrl appear.


Multilanguage Functionality

Microsoft Dynamics NAV is multilanguage enabled. This means that a localized version of Microsoft Dynamics NAV can present itself in different languages. It is possible for the user to change the language that is used to display texts, and the change is immediate. There is no need to stop and restart Microsoft Dynamics NAV.

You should not confuse the multilanguage capability with localized versions. A localized version of Microsoft Dynamics NAV is a version of Microsoft Dynamics NAV that has been adapted to a local market. This means that all texts that are presented to the user have been translated into the local language, but it also means that functional areas have been adapted to the requirements of the local market.

A multilanguage version of Microsoft Dynamics NAV is a localized version of Microsoft Dynamics NAV that you can run in different languages while all other local adaptations remain the same. For example, you can run the Swiss version of Microsoft Dynamics NAV in German, French and Italian, but it is still a Swiss version of Microsoft Dynamics NAV in all other aspects. It is not the same as, say, a French version of Microsoft Dynamics NAV.

You should also be aware of the distinction between changing the language of Microsoft Dynamics NAV and changing the language of the data stored in Microsoft Dynamics NAV. You can address the first issue by enabling the multilanguage features. These features make it possible for the user to change the language of all the texts displayed by the application in captions for text boxes, on command buttons, in menus, and so on.

Changing the texts that are stored as application data is not part of the multilanguage capability. This is an application design issue. Examples of such texts are the names of items in the inventory or the comments for a customer. In other words, these types of text are not translated.

Related topics

Language


Buttons on the Toolbar

The Microsoft Dynamics NAV toolbar contains the following buttons:

Print

Print Preview

Cut

Copy

Paste

Undo

Insert New

Delete

Find

Field Filter

Table Filter

FlowFilter

Show All

Sort

First

Previous

Next

Last

List

Main Menu

Help

Related Topics

Buttons

Items on the Menu Bar


Sending Data to Other Programs

You can export data from Microsoft Dynamics NAV to other programs, such as Microsoft Office Word or Excel.

You can export data from card windows and lists.

Before you can export data, you must set up a style sheet for the program that you want to export to. (See Managing Style Sheets for Data Export.)

To Send Data to Other Programs

  1. Open the window that contains the data you want to export, for example, a customer card.

  2. On the menu bar, click Send Options [image].

  3. Select the line with the program that you want to export data to.

  4. The contents of the Style Sheet field on the line indicates the style sheet that will be used to format the data. If you want to select a different style sheet, click the Style Sheet field and then click the AssistButton [image] to select the style sheet you want.

  5. Click Send.

The program that you selected opens and a new document is created with the exported data.

Tip

If you want to export to Word or Excel, and you want to use the same style sheet that you used the last time you exported data from the current window:

  • On the menu bar, click Send to Microsoft Office Word [image] or Send to Microsoft Office Excel [image].


Linking Documents, Folders, or Web Sites to Records in Microsoft Dynamics NAV

Some cards, for example customer and vendor cards, include a Home Page field where you can enter a URL. You can also add URLs to the Shortcuts menu. However, sometimes you may want to link a piece of information to a specific record in Microsoft Dynamics NAV.

You can make links to:

  • documents

  • folders

  • Web sites

  • other records in Microsoft Dynamics NAV

Example 1

When you receive printed invoices from vendors, you can scan them and store them as .pdf files on a SharePoint site. Then you can make a link from a purchase invoice in Microsoft Dynamics NAV to the corresponding invoice on SharePoint.

Example 2

You can make a link from an item card to the corresponding page in your vendor's online catalog.

Show To Link to a Document, Folder, or Web Site Outside of Microsoft Dynamics NAV:

  1. Open the record that you want to attach the link to. If you want to attach the link to a specific line, for example a sales or purchase line in a journal or document, then place the cursor on the line.

  2. Click Edit, Links... The Links window opens.

  3. In the URL field, enter an address for the file, folder, or Web site (for example, C:\My Documents\invoice1.doc, or \\publicshare\myfiles, or www.microsoft.com)

  4. Fill in the Description field with information about the link.

  5. When you enter data in the URL field, the program enters the current system date and time in the Created field, and it enters your user ID in the User ID field.

Show To Link to Another Record in Microsoft Dynamics NAV:

  1. Open the record that you want the link to open. Click Edit, Copy Link.

  2. Open the record that you want to attach the link to. If you want to attach the link to a specific line, for example a sales or purchase line in a journal or document, then place the cursor on the line.

  3. Click Edit, Links...The Links window opens.

  4. Place the cursor in the URL field, and then click Edit, Paste.

  5. Fill in the Description field with information about the link.

  6. When you enter data in the URL field, the program enters the current system date and time in the Created field, and it enters your user ID in the User ID field.

Show To View a Link:

  1. Open the record that has a link you want to open attached to it. If the link is attached to a specific line, select the relevant line.

  2. Click Edit, Links...

  3. In the Links window, select the line with the link you want to open and then click Open. The appropriate program, for example Word or Internet Explorer, opens and displays the link target.

Note

If the link opens a window in Microsoft Dynamics NAV, you will need to close the Links window to see it.

Show To Delete a Link from a Record:

  1. Open the record that the link you want to delete is attached to. If the link is attached to a specific line, then select the relevant line.

  2. Click Edit, Links...

  3. In the Links window, select the line with the link you want to delete and then press the Delete key.

  4. Click Yes to confirm the deletion.

Note to System Administrators

If a user deletes a single record (for example, a sales order line, a sales order, or a customer card), then all the links attached to the record will be deleted. However, if you delete records using a batch job (for example, the Delete Invoiced Sales Orders batch job), then the links will still be stored in the Record Link table. To delete them from the database, run the Delete Orphaned Record Links codeunit.


Code Coverage (window)

You can use the Code Coverage tool to check how much of the code is used by any given function.

Related Tasks

More Information


Code Overview (window)

The Code Overview window is part of the Code Coverage tool and displays the code that has been used.

Related Tasks

More Information


Logins (window)

In the Logins window you can see information about the users that you can add. This window lists the IDs of all the users that have been defined in the current database, both the Database Logins and the Windows Logins.

Select the user that you want and click OK.

This window is updated automatically by the program and cannot be edited.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Tasks

More Information


File

The File menu gives you access to the companies, databases and servers that are available from Microsoft Dynamics NAV.

The items on the File menu are:

Close

Save as HTML

Database

Company

Page Setup

Print Preview

Print

Send

Most Recently Used Companies

Exit

Related Topics

Items on the Menu Bar


Close

Click this menu item to close an active window.

To use this menu item, click File, Close.

When you choose Close, the program closes the window you are working in. This window is called the active window, and you can recognize it because the color of the title bar (at the top of the window) is different from that of the other windows.

You do not need to close windows in Microsoft Dynamics NAV, and many dialog boxes and messages disappear automatically when you click one of the buttons on them. But if you want to keep things orderly, you can close windows when you are finished with them.

Related Topics

File


Database

Click this menu item to see a list of the commands that you can apply to databases.

To use this menu item, click File, Database and a submenu appears containing the following items:

New

Open

Test

Alter/Expand

Delete

Close

Information


Database, New

Click this menu item to create a new database.

To use this menu item, click File, Database, New.

The process of creating a database will differ depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

Creating Databases on SQL Server

Creating Databases on Microsoft Dynamics NAV Database Server


Database, Open

Click this menu item to open a database.

To use this menu item, click File, Database, Open.

The process of opening a database is different depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

Microsoft SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Test

Click this menu item to test a database.

To use this menu item, click File, Database, Test.

The process of testing a database will differ depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

The SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Alter/Expand

Click this menu item to re-configure your database.

To use this menu item, click File, Database, Alter/Expand.

The Alter/Expand Database window will both look different and work differently depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

The SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Delete

Click this menu item to delete a database.

To use this menu item, click File, Database, Delete.

Related Topics

Deleting Databases

Creating Databases


Database, Close

Click this menu item to close the current database.

To use this menu item, click File, Database, Close.

Related Topics

Closing Databases

Creating Databases

Deleting Databases


Database, Information

Click this menu item to open the Database Information window and see information about the current status of your database.

To use this menu item, click File, Database, Information.

The Database Information window will both look different and work differently depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

The SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Company

This menu item gives you access to the functions that can be performed on a company.

To use this menu item, click File, Company and a submenu appears containing the following items:

New

Open

Rename

Delete

Close


Company, New

Click this menu item to create a new company in the current database.

To use this menu item, click File, Company, New.

Related Topics

Creating Companies

Opening Companies

Renaming Companies

Deleting Companies

Closing Companies


Company, Open

Click this menu item to create a new company.

To use this menu item, click File, Company, Open.

This menu item is generally only used the first time you open a company. After that, it is quicker to choose the company you want to open from the list of companies that have been opened recently - by choosing File, and selecting the company you want to open from the list of recently opened companies at the bottom of this menu.

Related Topics

Opening Companies

Most Recently Used Companies

Creating Companies

Renaming Companies

Deleting Companies

Closing Companies


Company, Rename

Click this menu item to rename the current company.

To use this menu item, click File, Company, Rename.

Related Topics

Renaming Companies

Creating Companies

Opening Companies

Deleting Companies

Closing Companies


Company, Delete

Click this menu item to delete the current company.

To use this menu item, click File, Company, Delete.

Related Topics

Deleting Companies

Creating Companies

Opening Companies

Renaming Companies

Closing Companies


Company, Close

Click this menu item to close the current company.

To use this menu item, click File, Company, Close.

Related Topics

Closing Companies

Creating Companies

Opening Companies

Renaming Companies

Deleting Companies


Print Preview

You use this function to see a preview of a report before printing it.

To can use this function by clicking File, Print Preview on the menu bar or by clicking Print on the toolbar.

Related Topics

Previewing Reports

Printing Reports

Altering the Page Setup for Reports


Print

You use this function to print a report.

You can use this function by clicking File, Print on the menu bar or by clicking Print on the toolbar.

Related Topics

Printing Reports

Previewing Reports

Altering the Page Setup for Reports


Page Setup

Click this menu item to change the paper, margins and fonts for individual reports.

To use this menu item, click File, Page Setup.

When you want to print a window or a report, there are various ways you can modify the printout using the functions on the File menu:

  • Click File, Page Setup, to specify the paper size and the page setup (including the margins) for the particular report.

  • Click File, Print, to specify what you want printed and how many copies you want.

Related Topics

Altering the Page Setup for Reports

Previewing Reports

Printing Reports


Most Recently Used Companies

Click this menu item to select and open one of the companies that you have recently been working with.

To use this menu item, click File, Most Recently Closed Items.

At the bottom of the File menu is a list of the five companies that you have most recently had open (it does not include companies that other users have had open). The companies listed can be on your computer or on a server. The one you have used most recently is at the top of the list.

The list displays each company name only once. If you have only one company, it will not appear five times, even if you have had it open five times. In the same way, if you switch between two companies, each name will appear only once, even though you have had each open a number of times.

The company list gives you a fast way to open a company because companies are displayed without regard to the database they are in. This is not true when you use the Main Menu button or click File, Company, Open on the menu bar to open a company. When you choose one of these, only the companies in the current database will be presented as options.

When you click a company that is in a database on a server, the system will connect to the server, open the database, ask for the password (if there is one) and so on. If there is a problem, a message will appear. When you delete a company, the name will not be removed automatically from the list, but it will disappear when it is no longer among the five most recently used.

Related Topics

File

Opening Companies

Main Menu


Exit

Click this menu item to close the program.

To use this menu item, click File, Exit.

This function closes all of the windows in the application and exits the application correctly. Using this function is the same as clicking the close button in the upper right corner of the application window. If the program is in the process of executing a function, or if you haven't answered a question from the program, you will receive a message informing you of this. You can then complete the task before the application is closed.

Related Topics

File


Edit

The Edit menu contains all the editing tools you can use when you work with the program.

The items on the Edit menu are:

Undo

Cut, Copy and Paste

Clear

Copy Link

Copy Previous

Insert New

Delete

Select

Select All

Select Object

Toggle Mark

Find

Replace

Related Topics

Items on the Menu Bar


Undo

You use this function to cancel the last action that you performed in Microsoft Dynamics NAV.

You can use this function by clicking Edit, Undo on the menu bar.

If you make an editing error in Microsoft Dynamics NAV, you can "undo" it. For example, if you happen to delete the contents of a field, you can recreate them by using this function. You can undo only the preceding action, so it is always your latest action that will be undone.

Note

Leaving a field also counts as an editing "action," so if you want to undo a change in a field, you must choose Edit, Undo before you leave the field.

In an accounting and business management program, there are many things that cannot be undone - for example, entries cannot be unposted and invoices cannot be uncreated. It would be illegal for the application to allow you to do these things. If you make a mistake in an entry, you must solve the problem by creating a reversing entry for the same amount and then make the correct entry afterwards. If you create an incorrect invoice number, you must let the invoice remain empty and create the new, correct one. The last type of error will rarely occur, because the system automatically suggests the invoice number.

Microsoft Dynamics NAV has two functions that can help you correct erroneous entries made while posting from a journal; the Reverse function, and when applying customer or vendor ledger entries; the Unapply function.


Cut, Copy and Paste

You access these functions by clicking Edit, Cut, Copy or Paste on the menu bar or by using the Cut, Copy and Paste buttons on the toolbar.

You can use these functions to cut or copy contents from the application and paste them someplace else in the program or in another program.

You cannot insert clippings from other programs into Microsoft Dynamics NAV, because doing so could result in inconsistencies in your accounting data.

In Microsoft Dynamics NAV, you can cut the contents of a field, a part of a field, or one or more records (lines) at a time. You can cut or copy from both card windows and windows with columns/rows. To insert the cut/copied data into a new record, the window must be in INSERT mode (press F3). Copying and pasting entire records is very useful if you must set up many similar inventory items, such as 100 screws that vary only in diameter and item number.

If you copy an entire record, such as an item from the item list, the item number will be included. Because an item number must be unique, it cannot be used for more than one item. Thus when you paste the copied record to a new item card, Microsoft Dynamics NAV will tell you that the item number already exists. After this, the card containing the item number will be displayed, and you must change the number. When the new number is entered, the record is created correctly.

Related Topics

Cutting

Copying

Pasting


Clear

You can use this function by clicking Edit, Clear on the menu bar.

This function removes only what is selected in the active window. This can be part of a field, an entire field, several fields, several lines or all the lines.

The other functions you can use to delete something, Edit, Delete, will also delete whatever is selected, but if you haven't selected anything, that function will delete the entire current record, such as the account or customer.

Related Topics

Delete


Copy Previous

You can use this function by clicking Edit, Copy Previous on the menu bar.

In windows with columns and rows, you can use this function to copy the contents of the field immediately above to the current field. The copied contents can then be modified if necessary.

You can also use Edit, Copy and Edit, Paste instead of this, but Copy Previous has the advantage that you don't have to go to the previous field and select what you want to copy. You just place the cursor in the field below the one whose contents you want to copy and choose Edit, Copy Previous.

Related Topics

Copying


New

You can use this function by clicking Edit, New on the menu bar or by clicking the Insert New button on the toolbar.

You use this function wherever you want to create a new record (a card or a line), such as a new account, a new customer, a new item or a new salesperson.

The function must be activated before you can create a new record. You can always see on the status bar at the bottom of the application window whether New is activated (NEW). You must not confuse this with INS, which is just to the right of NEW and indicates that you are in insert mode when you type information.


Delete

You can use this function either by clicking Edit, Delete on the menu bar or by clicking the Delete button on the toolbar.

In contrast to Edit, Clear, where you determine how much of a line you want to delete, Edit, Delete will delete entire records (cards or lines) from tables. This could be a customer on a customer card, a line in a journal, or a G/L account. If you have not selected one or more specific records, the system will delete the current record. When you choose this function you will get a message asking you to confirm the action before the records are deleted.

Note

You can never delete records for which there are open ledger entries or ones with nonzero balances.

You cannot use Edit, Delete to delete databases or companies.

To delete these, click File, Database, Delete or File, Company, Delete.

Related Topics

Deleting Databases

Deleting Companies


Select

You can use this function by clicking Edit, Select on the menu bar.

This function selects the entire line containing the cursor (or an entire card window with all tabs). Choosing this is not equivalent to selecting something with the cursor, because when you select with the cursor you can decide how much you want to select.

In windows with rows and columns, this function has the same effect as clicking the bar to the left of the line. The selected line will be highlighted.

Related Topics

Selecting Several Consecutive Lines

Selecting Separate Groups of Lines

Selecting within a Field

Selecting all the Lines in a Window


Select All

You can use this function by clicking Edit, Select All on the menu bar.

Use this function to select all the lines in a window with rows and columns (for example, if you want to copy all the customer ledger entries in the customer ledger entry list in order to insert them in a spreadsheet program).

Another way to do this is to click the empty square in the upper left corner (at the top of the select bar column) of a window with rows and columns.

This function also selects any lines that are not visible because the window is not big enough. You can see this by scrolling up or down in the window. Selected lines are highlighted.

If you choose Edit, Select All, to execute a function on all the records (cards or lines) in a table, you should remember that the window does not necessarily display the entire table. Often only part of the table is displayed because a table filter has been set. In this case, only records included by the filter will be visible, but invisible ones will also be selected.

If you want to make sure that there is no table filter on the window, you can choose View, Show All. This removes table filters and deactivates the View, Marked Only function. So unless there is a fixed filter on the window, you will be able to see all records from the table in the window. (Fixed filters are defined in the program, and changing them requires special permissions). Examples of fixed filters are found in report lists that have been set up so that at one time you see only reports for the general ledger, customers, vendors or inventory.

Related Topics

Using Table Filters


Select Object

You can use this function by clicking Edit, Select on the menu bar.

The Select Object function allows you to view the properties associated with the object (form, table, report or dataport) that you are currently designing. This function can only be used with the design facilities.

When you view properties, they are normally shown at a detailed level, for example, for an individual field. This function allows you to see the properties on the highest level, for example, for the table in which the field is found.

Related Topics

Viewing the Properties for an Object


Toggle Mark

You use this function, along with the Marked Only function to select one or more lines (records).

You use this function by clicking Edit, Toggle Mark on the menu bar.

A toggle mark can be placed on any entry, line, customer, and so on. On the other hand, when you use this function you must mark each one manually. You will not see the effect of sorting out what is unmarked until you choose View, Marked Only on the menu bar.

The Toggle Mark function places a physical mark on the record. The title bar of a card will contain the word "Marked." In a window with rows and columns, the diamond-shaped mark will appear on the select bar to the left of the line.

This function is called 'Toggle Mark' because you use it to place and remove marks. If you choose the function once, the record is marked. If you choose it again on the same record, the mark will be removed. You don't need to use the "un-mark" function unless you have placed a mark on the wrong record; all toggle marks disappear automatically when you close the window.

Related Topics

Marked Only


Find

This function lets you search for something in a particular field in one window at a time. You can also replace the text you find with new text.

You can use this function either by clicking Edit, Find on the menu bar or by clicking the Find button on the toolbar.

If you have set the Quick Find option, you can use the Find function by typing in a nondurable text or code field. To enable Quick Find, click Tools, Options on the menu bar and enter Yes in the Quick Find field.

Related Topics

Quick Find


Replace

Use the Replace function, to replace the contents of one particular field in a window at a time. It is possible to replace only information that can be edited. If you try to replace something that you are not allowed to replace, you will get an error message. If you have replaced the contents of a field, you cannot undo the replacement by clicking Edit, Undo.

You use this function by clicking Edit, Replace on the menu bar.

Related Topics

Replacing a Particular Entry in a Window


View

The View menu contains tools you can use to display the information contained in the windows in different ways.

The items on the View menu are:

Go To

Field Filter and Table Filter

FlowFilter

Marked Only

Show All

Sort

Toolbar

Hide Column

Show Column

Refresh

Related Topics

Items on the Menu Bar


Go To

These functions let you quickly browse through records (cards or lines). You can use them when the record, card or line displayed fills an entire window at a time, as the customer card does, or when the contents of the window fill more than one screen at a time.

These items appear as buttons on the toolbar and as items on the View, Go To menu.

The Go To menu item contains four menu items:

First

Previous

Next

Last


Field Filters and Table Filters

You use Field Filter and Table Filter to ensure that a window displays only the accounts, customers, entries or other records that meet certain conditions. For example, you can specify that the collection of customer cards that will be displayed will include only those with Peter Schmidt in the Salesperson Code field. When you browse back and forth in the cards, you will see that the other cards are not shown.

You can use these functions either by clicking View, Field Filter (or View, Table Filter) from the menu bar or by clicking the corresponding buttons on the toolbar.

You can set and remove this type of filter on any field in a record. And you can do it as often as you like. The filters are valid until you cancel their selection or set new filters.

Note

Field and table filters are window-dependent, so if you look at the same table in another window, the filter will not be set there. For an individual window, the filter is valid until you remove it.

When you want to see all the cards again, you can turn the filter off. You do this either where you created it (under Field Filter or Table Filter) or by clicking View, Show All.

Field Filter or Table Filter

A restriction on one field is called a field filter. To filter more than one field at a time, use the table filter function.

A field filter performs exactly the same function as a table filter. But the field filter places a filter only on the field that contains the cursor when you choose the function. If you are in the habit of using only field filters, it can be good to use the table filter feature occasionally to get an overview of all the filters that have been placed on a window.

Entering Information in Fields that Have "Filter" as Part of the Field Name

When you enter a filter in a field, you can use all of the numbers and letters that you can ordinarily use in the field. In addition, you can use some special symbols or mathematical expressions.

Note

It is important to enter only meaningful filters. For example, it is possible to specify an interval that does not exist, and the program cannot check this for you. In order to enter meaningful filters, you must know the sorting rules that the program follows.

Here are the different formats that you can usually use:

Meaning | Sample Expression | Records Displayed
Equal to | 377 | Number 377
Interval | 1100..2100 ..2500 P8.. | 1100 through 2100 Up to and including 2500 Information for accounting period 8 and thereafter
Either/or | 1200|1300 | Those with number 1200 or 1300. If there is a record with each number, both will be shown
And | <2000&>1000 | Numbers that are less than 2000 and greater than 1000. The & sign cannot be used by itself with numbers because no record can have two numbers.
Different from | <>0 | All numbers except 0
Greater than | >1200 | Numbers greater than 1200
Greater than or equal to | >=1200 | Numbers greater than or equal to 1200
Less than | <1200 | Numbers less than 1200
Less than or equal to | <=1200 | Numbers less than or equal to 1200
An indefinite number of unknown characters (may be none) | *Co* *Co Co* | Texts that contain "Co" Texts that end with "Co" Texts that begin with "Co"
One unknown character | Hans?n | Texts such as Hansen or Hanson
Calculate before rest | 30|(>=10&<=20) | Those with the number 30 or with a number from 10 through 20 (the result of the calculation within the parentheses).
Ignore case (either uppercase or lowercase allowed) | @location | Texts such as LOCATION, location or Location.

You can also combine the various format expressions:

5999|8100..8490 | Include any records with the number 5999 or a number from the interval 8100 through 8490.
..1299|1400.. | Include records with a number less than or equal to 1299 or a number equal to 1400 or greater - that is, all numbers except 1300 through 1399.
>50&<100 | Include records with numbers that are greater than 50 and less than 100 - that is, numbers 51 through &.
*C*&*D* | Texts containing both C and D.
@*co?* | Texts containing co, CO, Co, cO such as cot, cope and incorporated. CO, cO, Co or co must be present, followed by at least one character, but there can be an indefinite number of characters before and after these, and case is unimportant.

Note

You can also filter a report before you print it. You do this in the request window that is displayed before the report is printed or written to a file.

Related Topics

Using Field Filters

Using Table Filters


FlowFilter

Microsoft Dynamics NAV contains fields called FlowFields. These are fields whose contents are constantly changing - the system calculates the value of the contents of a FlowField each time you open the window containing the field. FlowFilters are used to determine how much the system will include when it calculates the contents of FlowFields.

You can use this function by clicking View, FlowFilter or by clicking FlowFilter on the toolbar.

Related Topics

FlowFilters

Using FlowFilters


Marked Only

You use this function when you have used Edit, Toggle Mark to mark certain customers, items, accounts or other records in a window.

To use this menu item, click View, Marked Only.

The mark, which looks like a diamond (on a playing card), appears on the select bar to the left of the line, and the word "marked" appears on the title bar.

When you choose View, Marked Only, the system selects the marked records so that only they are visible. After this, you can choose to execute a function on the marked records. The marks on the records will disappear when you close the window.


Show All

You can use this function by clicking View, Show All or by clicking the Show All button on the toolbar.

This function gives you a fast way to reorganize a window if you find you have placed a number of filters and marks in it. When you choose Show All, the filters will be removed, and the View, Marked Only function will be turned off, so that all the records in the window are visible. The View, Show All function does not remove sorting, hidden columns, column modifications or FlowFields.

It can be advantageous to use this function on windows that are normally filtered so that when you open them they display entries only for the current record (customer, vendor, item and so on). By using View, Show All on such a window, you can change it so that you can see all the entries in the window.


Sort

You use the sort function to organize your data and get a quick overview.

You can use this function by clicking View, Sort on the menu bar or by clicking Sort on the toolbar.

Related Topics

Sorting


Hide Column

You use this function to hide columns in Microsoft Dynamics NAV windows and it can only be used in windows with rows and columns. You can use it when too many columns in the window make it hard to see the information you want.

Note

You can maximize (enlarge) the window so that you can see more fields at once. To do this, click Maximize at the far right of the window's title bar.

When this function is be used to hide FlowFields on tabular forms, the FlowField is no longer calculated and this can improve performance slightly. However you might have some code on the form that uses the information in this FlowField and this will not work properly if the FlowField in question is invisible and therefore not calculated.

Related Topics

Hiding Columns

Making Rows Taller or Shorter


Show Column

Click this menu item to display columns that are hidden.

To use this menu item, click View, Show Column.

The function displays a window that shows which columns are visible and which are not, so if you are not sure whether any columns have been hidden, you can use the Show Column window to find out.

When this function is be used to hide FlowFields on tabular forms, the FlowField is no longer calculated and this can improve performance slightly. However you might have some code on the form that uses the information in this FlowField and this will not work properly if the FlowField in question is invisible and therefore not calculated.

Related Topics

Showing Columns

Making Rows Taller or Shorter


Tools

The Tools menu gives you access to the more technical side of the program - including information about the system setup. Except for the items concerning backups and work dates, you will not usually need to use this menu.

The items on the Tool menu are:

Work Date

Language

Object Designer

Designer

Debugger

Client Monitor

Zoom

Backup

Restore

Security

License Information

Custom Controls

Options

For more detailed technical information, see the Application Designer's Guide.

Related Topics

Items on the Menu Bar


Work Date

Click this function to temporarily set a working date that is different than the default date used by the system.

You can use this function by clicking Tools, Work Date on the menu bar.

Related Topics

Setting Work Dates

Entering Dates


Object Designer

You use the Object Designer to gain access to C/SIDE, the Microsoft Dynamics NAV development environment.

You can use this function by clicking Tools, Object Designer.

You use the development environment to make modifications to the application - or create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Designer

The Designer gives you access to the part of the development environment associated with the customization of windows and reports.

You can use this function by clicking Tools, Designer.

Special permission is required to use this function.

For more information about the Designer, see the Application Designer's Guide.


Debugger

The Debugger is used for locating and fixing bugs in C/AL code.

You can use this function by clicking Tools, Debugger. The Debugger submenu contains the following menu items:

Active

Breakpoint on Triggers

Code Coverage

Active and Breakpoint on Triggers are part of the C/AL Debugger. Code Coverage is a supplementary tool for logging code coverage.

These functions are used by programmers when they customize Microsoft Dynamics NAV.

For more information about the C/AL Debugger, see the Application Designer's Guide.

Related Topics

Logging Code Coverage


Active

Click this menu item to activate the C/AL Debugger.

The Debugger is activated by placing a check mark beside this menu item. You can use this menu item by clicking Tools, Debugger, Active.

For more information about the C/AL Debugger, see the Application Designer's Guide.


Breakpoint on Triggers

Click this menu item to determine whether or not the debugger will open every time there is a trigger.

You can specify that the debugger must open every time a trigger is activated by placing a check mark beside this menu item.

You can use this menu item by clicking Tools, Debugger, Breakpoint on Triggers.

For more information about the C/AL Debugger, see the Application Designer's Guide.


Client Monitor

Click this menu item to open the Client Monitor.

You can use this menu item by clicking Tools, Client Monitor.

For more information about the Client Monitor, see chapter 5 of the Application Designer's Guide.


Zoom

You use the Zoom function and see a list of all of the fields in a given record.

You can use this function by clicking Tools, Zoom.

Most of the windows in Microsoft Dynamics NAV display only some of the fields contained in the record that is displayed. It is possible to insert all of the fields so that they can be seen in the window. Use the Zoom command to see what fields are available. The Zoom window also shows the contents of each field in the current record (card or line). FlowFields and their contents are not shown.

To insert fields in the window, you must use the Tools, Designer function. This requires that you have permission to use C/SIDE, the development environment.

For more information about the Zoom function, see the Application Designer's Guide.


Backup

The Backup function is used for creating backups of your databases.

You can use this function by clicking Tools, Backup.

Related Topics

Backups

Making Backups


Restore

The Restore function is used to restore a database backup.

You can use this function by clicking Tools, Restore.

Related Topics

Backups

Restoring Database Backups


Security

Click this menu item to access the security features of Microsoft Dynamics NAV.

Click Tools, Security and a submenu appears containing the following menu items:

Roles

Database Logins

Windows Logins

Synchronize

Password

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security


Roles

Click this menu item to open the Roles window and view all of the security roles that have been created in the current database.

To select this menu item click Tools, Security, Roles.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Roles

Security


Database Logins

Click this menu item to open the Database Logins window and view all of the users that have been given a database login in the current database. These users must use database server authentication to access the current database.

To use this menu item click Tools, Security, Database Logins.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Database Logins

Security


Password

Click this menu item to change your password.

To use this menu item, click Tools, Security, Password.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Passwords

Security

Changing your Password


License Information

Click this menu item to open the License Information window.

To use this menu item, click Tools, License Information.

The License Information window will both look different and work differently depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

The SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Options

Click this menu item to open the Options window.

To use this menu item, click Tools, Options.

The Options window gives you an overview of the system setup options.

The Options window will both look different and work differently depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

Microsoft SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Window

The Window menu provides two functions you can use to reorganize the screen. The items on this menu are:

Close All

Arrange Icons

In addition to the above, the Window menu contains a list of the windows that are in use.

The list can contain a maximum of nine windows. If more than nine windows are open, the list will contain an item at the bottom which you can choose if you want to see a list of all the open windows. You can use the list of windows to choose a window that is open but impossible to grab with the cursor. The list contains both the name of the window and information such as the item number or customer that you are working with in the window - that is, the information from the title bar of the window. When you click a window title on the list, that window comes to the top of the stack of windows and becomes the active window. You can recognize the active window by the color of its title.

Related Topics

Items on the Menu Bar


Close All

You use this function to close all the windows that are currently open, including the main menu, so only the empty application window is left open.

You use this function by clicking Window, Close All.

You can use this to clear the screen - all at once - of a number of open windows that you aren't using anymore. To continue working, you must choose a company again, for example at the bottom of the File menu, Most Recently Used Companies or by clicking the Main Menu button on the toolbar.


Arrange Icons

This function lets you arrange the minimized windows along the lower border of the application window.

You use this function by clicking Window, Arrange Icons.

You minimize windows by clicking the minimize button at the top of the window. It can be a good idea to minimize a window if you begin a second task before the first is finished. For example if you are typing entries in a journal and you must stop to take an order from a customer, you can minimize the journal and open the order window.

The text in the title bar of the window is still shown when the window is minimized. So you can have many minimized windows on the screen at the same time and still keep track of them all.

Double-click the minimized window to make it return to its previous size.


Help

The Help menu contains the online Help that gives information about the particular location on the screen or topic you choose.

The items on the Help menu are:

Microsoft Dynamics NAV Help

C/SIDE Reference Guide

What's This

Overview of F-Keys

About Microsoft Dynamics NAV

To learn more about Microsoft Dynamics NAV Help, click Using the Help Window.


Microsoft Dynamics NAV Help

When you click this menu item, the Microsoft Dynamics NAV Help window appears. The navigation pane on the left contains the table of contents for everything included in the online Help.

  • Using Help

    Here you can read about how to use the Microsoft Dynamics NAV online Help.

  • Using Microsoft Dynamics NAV

    This describes the fundamental things you must know about and the basic tasks you must perform in order to use Microsoft Dynamics NAV. For example, you can read about all the items on the menu bar of the application window, the buttons, how to change the contents of a field, how to enter dates and times, and so on.

  • General Ledger and other Application Areas

    When you choose an application area in Microsoft Dynamics NAV, such as General Ledger, you can finds all the procedures, tables, reports and batch jobs that are related to the area.

  • Customer-Specific Help

    If your Help solution contains help for your company, you will be able to see it here.

  • Company Notes

Here you can write notes related to individual topics in the Help.

  • C/SIDE Reference Guide

A description of and a link to the C/SIDE Reference Guide online Help.


What's This?

This function appears on the menu bar as Help, What's This? and also as the Help button on the toolbar.

This function causes the cursor to become a Help cursor (an arrow with a question mark) that you can use to get help for all screen elements just by clicking them.

You turn off the Help cursor by clicking Help, What's This? again or by pressing the Esc key.


About Microsoft Dynamics NAV

When you click the Microsoft Dynamics NAV application icon to start the program, you will briefly see a window with information about the application. When you click Help, About Microsoft Dynamics NAV on the menu bar, the same window appears - it will remain open until you click OK. The window contains information about copyright, version number, program name, and the owner of the license to the program, as well as other product information. This window also contains a link that helps you check whether or not your license file is a valid Microsoft Dynamics NAV license.


Toolbar

This function lets you choose whether the Microsoft Dynamics NAV toolbar will be displayed and if so, how.

To use this menu item, click View, Toolbar.

Related Topics

Displaying the Toolbar


Custom Controls

This menu item opens a window listing all the OCX controls that are registered on the client computer.

To use this menu item, click Tools, Custom Controls.

For more information about using custom controls, see the Application Designers Guide.


Report by E-Mail

Click this menu item to send a report by e-mail.

To use this menu item, click File, Send, Report by E-Mail.

Related Topics

Sending Reports by E-Mail.


Save as HTML

Click this menu item to save a report in HTML format.

To use this menu item, click File, Save as HTML.

Related Topics

Previewing Reports

Printing Reports

Altering the Page Setup for Reports


Language

Click this menu item to open the Application Languages window. Here you can choose the language you want the application to run in.

To use this menu item, do the following:

  1. Click Tools, Language. The Application Languages window appears.

  2. Select the language you want and click OK.

Related Topics

Multilanguage Functionality


Refresh

Click this menu item to refresh the data that is displayed in the active window. Microsoft Dynamics NAV then ensures that the newest data appears in this window.

To use this menu item, click View, Refresh.


Synchronize

This menu item only occurs in the Microsoft SQL Server Option for Microsoft Dynamics NAV and is used to synchronize the Microsoft Dynamics NAV security system with the SQL Server security system.

To use this menu item, click Tools, Security, Synchronize.

Related Topics

Synchronization

Security


Code Coverage

Click this menu item to open the Code Coverage tool.

To use this menu item, click Tools, Debugger, Code Coverage.

Related Topics

Logging Code Coverage


Windows Logins

Click this menu item to open the Windows Logins window and view all of the users that have been given a Windows login in the current database. These users must use Windows authentication to access the current database.

To use this menu item click Tools, Security, Windows Logins.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Windows Logins

Security


Send

Click this menu item to see a list of the commands that you can apply to reports.

To use this menu item, click File, Send and a submenu appears containing the following items:

Report by E-mail

Link by E-mail

Shortcut to Desktop

These functions are integrated with your e-mail system and allow you to send e-mail directly from Microsoft Dynamics NAV. You can send reports and links to other employees in your company, providing them with the most up-to-date information.


Link by E-Mail

Click this menu item to send a link in an e-mail.

To use this menu item, click File, Send, Link by E-Mail.

Related Topics

Sending Links by E-Mail

Sending Reports by E-Mail.


Shortcut to Desktop

Click this menu item to create a shortcut to a report or form on your computer's desktop.

To use this menu item, click File, Send, Shortcut to Desktop.

Related Topics

Sending Shortcuts to your Desktop


C/SIDE Reference Guide

This menu item opens the C/SIDE Reference Guide. Here you can find Help on programming issues. For example, you can find Help on all the functions that are built into C/SIDE.

For more information about the C/SIDE development environment, see the manual Application Designer's Guide.


Copy Link

Click this menu item to copy a link to a report or form.

To use this menu item, click Edit, Copy Link.

Related Topics

Copying Links to Forms or Reports


Navigation Pane

Click this menu item to open the Navigation Pane. The Navigation Pane gives you access to the business application areas in Microsoft Dynamics NAV.

To use this menu item, click View, Navigation Pane.


Navigation Pane Designer

Click this menu item to open the Navigation Pane Designer, that lets you customize the Navigation Pane.

Special permission is required to use this function.

To use this menu item, click Tools, Navigation Pane Designer.


Login

In the Login window you can enter your User ID and password and gain access to the selected database.

Related Topics

Security

Passwords


New Database

Use this window to create a database.

Related Topics

Creating Databases on Microsoft Dynamics NAV Database Server

Opening Databases on Microsoft Dynamics NAV Database Server


Test Database

Use this window to test a database.

Related Topics

Testing a Database


Expand Database

Use this window to expand a Microsoft Dynamics NAV database on Microsoft Dynamics NAV Database Server.

Related Topics

Expanding Databases on Microsoft Dynamics NAV Database Server


Expand Database (Advanced)

Use this window to expand a Microsoft Dynamics NAV database by creating a new database file.

Related Topics

Creating New Database Files on Microsoft Dynamics NAV Database Server


Database Sessions

The Database Sessions window lists details of all the sessions that are currently connected to the database and the time when each user logged on. Each line represents one login. A user can appear more than once if they have started more than one session. The session that you are currently working in has a check mark in the My Session field.

The Idle Time field tells you amount of time that has passed since the server last received a database request from each session. If the field is empty, the session is currently performing a database request. This could be a long running database request, such as a table redesign.

An administrator can cancel one of the sessions by selecting the line in question and deleting it. The user will then be disconnected from the server and will have to restart the program if they want to continue working.

To see more detailed information about a particular session, such as the amount of server activity that the session has caused, put the cursor on a line in the Database Sessions window and click Tools, Zoom on the menu bar.

For more information about the Database Sessions window, see the manual Installation & System Management: Database Server for the C/SIDE Client.

For more information about the Session virtual table, see the manual Application Designer's Guide.


Database Files

A database can be set up to consist of several individual files. The Database Files window lists the name, location and size of the individual database files.

For more information, see the manual Installation & System Management: Database Server for the C/SIDE Client.

Related Topics

Database Information

Database Information - Database Tab


Database Information (Tables)

Click File, Database, Information and the Database Information window appears.

When you click Tables at the bottom of the Database Information window, the Database Information (Tables) window appears listing all the tables in the database. Each table has a set of values that tells something about the extent to which the database is being utilized. By analyzing these values, your dealer or system manager can make various adjustments that will allow you to utilize the database better and give you better performance.

Field: | Contains:
Company Name | The name of the company to which the table on the line belongs.
Table No. | The number of the table (each table in Microsoft Dynamics NAV has a unique number).
Table Name | The name of the table. This is not the name of the window that displays the table in the system, but the name that is used when you choose Tools, Object Designer (but they are often the same).
Records | The number of records (entries) in the table. By keeping track of how many new records have been added during a certain period, you can estimate the number of records you can expect in the next period. When you put that together with the record size in the Record Size field, you can see whether you will have enough space in your database.
Record Size | The average number of bytes per record in the table. This can be used as described under the Records field.
Size(KB) | The total size of the table, in kilobytes.
Optimization | This rate is a measure of how efficiently Microsoft Dynamics NAV stores the data in this table. It can be improved by compacting the data in the table. To do this, click Optimize at the bottom of the window.

Database Information (Tables) window also contains the following buttons:

Button:

Function:

Keys

To opens a window displaying the keys that are used by the table that was selected in the Database Information (Tables) window.

Optimize

To optimize the location of data in the table, that is, to compress it, removing empty space from the data.

For each SIFT structure, any entries that contain zero values in numeric fields are removed. The removal of these redundant entries will free space and provide more efficient updating and summing of SIFT information.

Test

If you suspect that there are errors in some tables, you can highlight the tables to be tested and then click Test to open the Test Tables window. If you do not select any tables, the test will be carried out on all the tables.

From the Test Tables window, you can activate the same tests, (except the space allocation test), that you can by clicking File, Database, Test. If you choose to test only one table and select, for example, Test field relationships between tables, the relationships between the selected table and the related tables will be tested.

Key Groups

To make the information in the tables as useful as possible, many of them have several predefined sorting keys. The users can see these keys by clicking View, Sort on the menu bar, and they can change the sorting order for the table that they are working with. To see the keys from a more technical angle, select the table whose keys you want to see, and click Key Groups. The Database Key Groups window appears listing all the key groups that have been defined for the current database.

The keys have several uses, but they do have the disadvantage that maintaining them places a large demand on the system resources. You can therefore improve database utilization by disabling or completely removing the keys that are not used in your installation. This can cause problems, however, because it can mean that certain functions cannot be used.

The system, therefore, limits access to removing or disabling keys so that you cannot change the status of a key unless you have access to the C/SIDE development environment. If you do not have access to C/SIDE, you can get your dealer to create a set of keys that makes a particular type of task easier. The dealer can set them up as "Key Groups," which you can enable and disable without risk. You should be aware that when you re-enable keys that have been disabled, the program performs a sorting procedure that requires a certain amount of free space in the database.

For more information about the various program properties, see the manual Installation & System Management: Database Server for the C/SIDE Client.

Related Topics

Database Information


Database Key Groups

The Database Key Groups window contains information about all the key groups that have been defined for the current database. You can also enable and disable key groups in this window.

Key Groups

To make information in tables as useful as possible, many of the tables have several predefined sorting keys. You can see the keys that have been defined for the table you are working with by clicking View, Sort on the menu bar. You can also change the sorting order for the table that you are working with.

The keys have several uses, but they do have the disadvantage that maintaining them places a large demand on the system resources. You can therefore improve database utilization by disabling or completely removing the keys that are not used in your installation. This can cause problems, however, because it can mean that certain functions cannot be used.

The system, therefore, limits access to removing or disabling keys so that you cannot change the status of a key unless you have access to the C/SIDE development environment. If you do not have access to C/SIDE, you can get your dealer to create a set of keys that makes a particular type of task easier. The dealer can set them up as "Key Groups," which you can enable and disable without risk. You should be aware that when you re-enable keys that have been disabled, the program performs a sorting procedure that requires a certain amount of free space in the database.


Companies

In this window you can see a list of all the companies that have been created in the current database.

Related Topics

Creating Companies

Opening Companies


New Company

Use this window to create a new company in the current database.

Related Topics

Creating Companies

Opening Companies


Open Company

Use this window to open a company.

Related Topics

Opening Companies

Creating Companies


Rename Company

Use this window to rename the current company.

Related Topics

Renaming Companies

Creating Companies

Opening Companies


Test Tables

The Test Tables window is used to test the tables in a database.

Related Topics

Testing Tables


Rename User ID

This window appears when you change the contents in the User ID field in the Database Logins window.

In this window, you can enter a password for the user ID that has been renamed.

The password will be encrypted as you type, so neither you nor anyone else will be able to see it. It is also important to remember how you used uppercase and lowercase letters because this feature is case sensitive.

Related Topics

Creating Database Logins


Password

In this window you can enter the password for the user ID that you have renamed.

The password will be encrypted as you type, so neither you nor anyone else will be able to see it. It is also important to remember how you used uppercase and lowercase letters because the program is case sensitive here.

Related Topics

Changing your Password


Work Date

You use this window to temporarily set a working date that is different than the default date used by the system.

Related Topics

Setting Work Dates

Entering Dates


Object Designer

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Client Monitor

The Client Monitor is a tool that programmers can use to monitor the communication between a Microsoft Dynamics NAV server and the clients in a network in order to make the communication as effective as possible.

For more information about the client monitor, see the Application Designer's Guide.


Roles

The Roles window contains a list of all the security roles that exist in the current company.

From this window, you can give a role to both a Windows Login and to a Database Login.

You can also see which permissions have been assigned to each role and edit the permissions that the role has been assigned.

For more information about security in Microsoft Dynamics NAV, refer to the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Roles

Modifying Permissions for Roles

Giving a Database Login a Role

Giving a Windows Login a Role


Database Logins

The Database Logins window displays a list of all the database logins that have been created in the current database. Users that have been given database logins must use database server authentication to access the current database.

In this window, you can create and delete database logins. From this window it is also possible to grant and edit the permissions that apply to a database login.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Database Logins

Giving Roles to Database Logins

Limiting Roles to Specific Companies for a Login


Role, Permissions

The Roles, Permissions window you can see a list of the permissions that have been granted to the role you selected in the Roles window.

You can modify the permissions that this role has been assigned. That is to say, add new permissions and remove existing ones.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Modifying Permissions for Roles

Creating Roles

Assigning Permissions to Multiple Objects


Database Logins

The Database Logins window displays a list of all the database logins that have been created in the current database. Users that have been given database logins must use database server authentication to access the current database.

In this window, you can create and delete database logins. From this window it is also possible to grant and edit the permissions that apply to a database login.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Database Logins

Creating Windows Logins

Giving Roles to Database Logins

Limiting Roles to Specific Companies for a Login


Database Login, Roles

In this window you can see a list of the roles that this database login has been given and to which companies (if any) these roles apply.

You can use this window to assign roles to a database login and to limit the roles to specific companies. You can also remove roles from a database login in this window. If you specify that the permissions a user has only apply to a particular company in the database, the user in question will only be able to see that company.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Database Logins

Giving Database Logins a Role

Limiting Roles to Specific Companies for a Login


Change Password

This is the Change Password window and you use it to change your password.

Related Topics

Passwords

Changing your Password


License Information

In the License Information window you can see the contents of the license file under which you are working. The information includes the license number, who owns it, which application granules you have purchased, and - if there is a time limit - when the license expires. Normally when you are working, your own serial number (and the name of your company) should appear in the window. If it is not your license file that is shown in the window, you must import your own file by clicking Import at the bottom of the window.

You will not need to use the License Information window in your daily work with companies. However, if you need to speak to your dealer about expanding the program, special modifications or any problems, you will need to open it.

Note

All license files that are not demonstration license files have the same name, fin.flf. So once you have received your license file and imported it, you should store the diskette that contains it in a safe place until you need it again. The demonstration license file is already saved under a different name, cronus.flf, so you cannot mistakenly overwrite it with your own license file.

There are three command buttons in the License Information window that have to do with importing and exporting license files:

Import... | Used to import a new license file, which can then be used each time the application is opened (or until another license file is imported).
Export... | Used to export a copy of your license file - to a diskette, for example. You will use this when you renew your license.
Change... | Used for a temporary change of license file, when a dealer visits you, for example, and has brought his or her own license file on a diskette (to be able to use C/AL permissions). This function ensures that the change is forgotten the next time you start the program, and you will be back with your old license file. You must be sure to use this if you want to work using the demonstration license file cronus.flf. Otherwise you may overwrite your own license file.

Each of the three functions uses the same type of standard Windows dialog to locate the license file. When you have located the license file, click Open to have the system import or change the license file. Click Save to have the system export the license file.


Database Options

You use this window to set the system setup options for the current database.

Related Topics

The System Setup Options on Microsoft Dynamics NAV Server

The System Setup Options in the SQL Server Option


Role, Windows Logins

In this window you can see a list of all the Windows logins that have been given this role. You can also see the companies (if any) that this role has been limited to for the Windows logins.

You can use this window to give Windows logins this role and to limit this role to specific companies for this Windows login.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Giving Roles to Windows Logins

Limiting a Role to a Specific Company for a Login


Windows Logins

In this window you can see a list of the Windows logins that have been created in the current database. Users that have been given Windows logins must use Windows authentication to access the current database.

In this window you can create and delete Windows logins. From this window it is also possible to grant and edit the permissions that apply to a Windows login.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Windows Logins

Creating Database Logins

Giving Roles to Windows Logins

Limiting Roles to Specific Companies for a Login


Windows Login, Roles

In this window you can see a list of the roles that this Windows login has been given and to which companies these roles apply.

You can use this window to assign roles to this Windows login and to limit these roles to specific companies for this Windows login. If you specify that the permissions a user has only apply to a particular company in the database, the user in question will only be able to see that company.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Giving Windows Logins a Role

Limiting a Role to a Specific Company for a Login

Creating Windows Logins


Toolbar

You use this window to determine whether or not the Microsoft Dynamics NAV toolbar will be displayed and if so, how.

Related Topics

Displaying the Toolbar


Custom Controls

This window lists all the OCX controls that are registered on the client computer.

To access this window, click Tools, Custom Controls.

For more information about using custom controls, see the Application Designers Guide.


Table Designer

The Table Designer is part of the Object Designer.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Keys

This window lists all of the keys that have been defined in the table that you selected in the Table Designer.


Field List

The Field List window lists all the fields in the table that you selected.


Windows Users and Groups

In this window you can see a list of all the Windows users and groups that exist in the current forest of domains and domain trees.

This window contains the following information:

ID: The ID of this Windows user or group.

Name: The name of this Windows user or group.

Type: Whether this is a Windows user or a Windows group.

Note

This window is only available on client computers that are Active Directory enabled, and are in a Windows 2000 network.

For more information about security in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Security

Creating Windows Logins

Creating Database Logins

Giving Roles to Windows Logins


SIFT Levels List

This window lists all the SIFT levels that exist for the key whose properties you were viewing.

You can specify which SIFT levels are maintained by entering or removing the check marks in the Maintain field.

If you want to see a complete list of the components that make up a SIFT level, click the AssistButton in the SIFT Level field to open the SIFT Level Viewer window.

For more information about SIFT in the SQL Server Option for Microsoft Dynamics NAV, see the Application Designer's Guide.


SIFT Level Viewer

This window lists all of the components that make up the SIFT level that you selected in the SIFT Levels List window. You can only view the components in this window, you cannot add or delete them.

For more information about SIFT in the SQL Server Option for Microsoft Dynamics NAV, see the Application Designer's Guide.


Open Database

You use this window to open a database.

The process of opening a database is different depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

Microsoft SQL Server Option for Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


New Database

You use this window to create a database.

This window contains the following tabs:

  • General

  • Database Files

  • Transaction Log Files

  • Collation

  • Options

  • Integration

  • Advanced

Before you can enter any information into this window, you must enter the appropriate information into the Select Server window.

Related Topics

Selecting the Server

Creating Databases on SQL Server


Alter Database

You use this window to modify a database.

The Alter Database window allows you to create and enlarge database files and transaction log files as well as change the database and integration options.

This window contains the following tabs:

  • General

  • Database Files

  • Transaction Log Files

  • Collation

  • Options

  • Integration

  • Advanced

Related Topics

Altering Databases on SQL Server

Expanding Databases on Microsoft Dynamics NAV Database Server


Available Microsoft SQL Servers

The Available Microsoft SQL Servers window displays a list of the SQL Servers that are currently available in the domain. The Server Name field contains the names of the SQL Servers that are currently available. The program fills in this field automatically.

To connect with a server that is on the list, select it and then click OK. Alternatively, you can double-click the server name.

Related Topics

Creating Databases on SQL Server

Opening Databases on SQL Server


Available Databases

The Available Databases window displays a list of the SQL Server databases that can be accessed from Microsoft Dynamics NAV and that are currently available on this server. This window tells you the name of the database, who created it, when it was created, whether or not the database is being replicated on SQL Server and the type of replication being used. The information displayed in this window is read-only.

You must select a server before you can open a database.

Related Topics

Creating Databases on SQL Server

Opening Databases on SQL Server


Select Server

You use this window to select the SQL server on which you want to create a new database.

Related Topics

Selecting the SQL Server


Test Database

You use this window to test a database.

Related Topics

Testing a Database


Database Information

In this window you can see information about the current status of your database. For example, you can see the size of the database and whether it consists of several files. You cannot enter anything in the window. The information is mainly of interest to technical personnel.

The window has two tabs and a button, each of which gives you access to information about a particular area:

  • Database Tab

  • Sessions Tab

  • Tables Button

For more detailed information about databases, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.


Database Sessions

The Database Sessions window lists details of all the sessions that are currently connected to the database and the time when each user logged on. Each line represents one login. A user can appear more than once if they have started more than one session. The session that you are currently using has a check mark in the My Session field.

An administrator can cancel one of the sessions by selecting the line in question and deleting it. The user will then be disconnected from the server and will have to restart the program if they want to continue working. The administrator must be a member of either the sysadmin or processadmin SQL Server server rolls.

Field | Comments
Connection ID | The ID of the connection.
My Session | Whether or not a session belongs to you.
Login Type | Whether this session is a Windows login or a database login.
User ID | The user ID of the connected user.
Login Date | The date when the user logged in.
Login Time | The time when the user logged in and started this session.
Database Name | The name of the database that this session has opened.
Application Name | The name of the application connected to the server.
Host Name | The name of the workstation used by this session.
CPU Time (ms) | The cumulative amount of CPU time by this session.
Memory Usage (KB) | The number of kilobytes in the procedure cache that are currently allocated to this session.
Physical I/O | The cumulative amount of disk reads and writes for this session.
Idle Time | The amount of time that has passed since the server last received a database request from this session. If the field is empty, the session is currently performing a database request. This could be a long running database request, such as a table redesign.
Blocked | Whether or not this session is blocked (waiting to acquire a lock) by another session.
Wait Time (ms) | The amount of time that this session has been waiting.
Blocking Connection ID | The ID of the connection that is blocking this session.
Blocking User ID | The user ID of the connection that is blocking this session.
Blocking Host Name | The name of the workstation used by the connection that is blocking this session.
Blocking Object | The name of the SQL object that is blocking this session.

For more information about the Database Sessions window, see the manual Installation & System Management: Microsoft Dynamics NAV SQL Server Option.

For more information about the virtual tables, see the manual Application Designer's Guide.


Database Files

A database can be set up to consist of several individual files. The Database Files window lists the name, location and size of the individual database files (but not of the transaction log files).

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Database Information

Database Information - Database Tab


Database Information (Tables)

This is the Database Information (Tables) window and it lists all the tables in the database. You can use this information to check how effectively the database is being utilized.

To open this window click File, Database, Information and click Tables at the bottom of the Database Information window that appears.

Each table has a set of values that tells you how much the database is utilized. The different values are described below:

Field: | Contains:
Company Name | The name of the company to which the table on the line belongs.
Table No. | The number of the table (each table in Microsoft Dynamics NAV has a unique number).
Table Name | The name of the table. This is not the name of the window that displays the table in the system, but the name that is used when you choose Tools, Object Designer. However, these names can often be the same.
No. of Records | The number of records (entries) in the table. By keeping track of how many new records have been added during a certain period, you can estimate the number of records you can expect in the next period. Combine this with the record size in the Record Size field and you can see whether you will have enough space in your database to meet your requirements.
Record Size | The average number of bytes per record in the table. This can be used as described under the Records field.
Size(KB) | The total size of the table, in kilobytes.

The Database Information (Tables) window also contains the following buttons:

Button:

Function:

Optimize

To start the optimization process, which performs two functions:

For each Microsoft Dynamics NAV table, the SQL Server indexes, other than the primary key, are rebuilt to optimize their layout and usage.

For each SIFT structure, any entries that contain zero values in all numeric fields are removed. The removal of these redundant entries will free space and provide more efficient updating and summing of SIFT information.

Test

If you suspect that there are errors in some tables, you can highlight the tables to be tested and then click Test to open the Test Tables window. If you do not select any tables, the test will be carried out on all the tables.

From the Test Tables window, you can activate the same tests, (except the space allocation test), that you can by clicking File, Database, Test. If you choose to test only one table and select, for example, Test field relationships between tables, the relationships between the selected table and the related tables will be tested.

Key Groups

To make the information in the tables as useful as possible, many of them have several predefined sorting keys. The users can see these keys by clicking View, Sort on the menu bar, and they can change the sorting order for the table that they are working with. To see the keys from a more technical angle, select the table whose keys you want to see, and click Key Groups. The Database Key Groups window appears listing all the key groups that have been defined for the current database.

The keys have several uses, but they do have the disadvantage that maintaining them places a large demand on the system resources. You can therefore improve database utilization by disabling or completely removing the keys that are not used in your installation. This can cause problems, however, because it can mean that certain functions cannot be used.

The system, therefore, limits access to removing or disabling keys so that you cannot change the status of a key unless you have access to the C/SIDE development environment. If you do not have access to C/SIDE, you can get your dealer to create a set of keys that makes a particular type of task easier. The dealer can set them up as "Key Groups," which you can enable and disable without risk. You should be aware that when you re-enable keys that have been disabled, the program performs a sorting procedure that requires a certain amount of free space in the database.

The manual Installation & System Management: SQL Server Option for the C/SIDE Client provides more information about setting up and disabling key groups. The manual describes some key properties that set relationships between Microsoft Dynamics NAV keys and SQL Server indexes.

Related Topics

Database Information

Database Information - Database Tab

Database Information - Sessions Tab


Test Tables

You use this window to test the tables in a database.

Related Topics

Testing Tables


License Information

In the License Information window, you can see the contents of the license file under which you are working. The information displayed includes the license number, the name of the user who owns it, which application granules they have purchased, and - if there is a time limit - when the license expires. Normally when you are working, your own serial number and the name of your company should appear in the window. If it is not your license file that is shown in the window, you must import your own file by clicking Import at the bottom of the window.

You will not need to use the License Information window in your daily work with companies. However, if you need to speak to your dealer about expanding the program, special modifications or any problems, you will need to open it.

Note

All license files that are not demonstration license files have the same name, fin.flf. So once you have received your license file and imported it, you should store the diskette that contains it in a safe place until you need it again. The demonstration license file is already saved under a different name, cronus.flf, so you cannot mistakenly overwrite it with your own license file.

There are four command buttons in the License Information window:

Upload..

Used to upload your license file to the SQL Server that you wish to access. The license information will be used by all the client computers that connect to this server unless a database license file is being used.

Import..

Used to import a new license file, which can then be used each time the application is opened (or until another license file is imported). Note, however, that as soon as a database is opened on a SQL Server, the license information on the server will be used and, therefore, the imported license file will not be used.

Export..

Used to export a copy of your license file - to a diskette, for example. You use this when you renew your license.

Change..

Used for a temporary change of license file, when a dealer visits you, for example, and has brought his or her own license file on a diskette (to be able to use C/AL permissions). This function ensures that the change is not saved the next time you start the program, and your old license file is used. You must be sure to use this if you want to work using the demonstration license file cronus.flf, otherwise you may overwrite your own license file.

Microsoft Dynamics NAV will warn you before your license expires. If you allow the license on the server to expire, you will be unable to access the server. However, you can use the Change function to gain access to the server with an alternative license file.

Each of the four functions uses the same type of standard Windows dialog to locate the license file. When you have located the license file, click Open to have the system upload, import or change the license file. Or click Save to have the system export the license file.


Database Options

You use this window to set the system setup options for the current database.

Related Topics

The System Setup Options


Available Microsoft Dynamics NAV Database Servers

In this window you can select the Microsoft Dynamics NAV Database Server that you want to connect with from the list of servers that are currently available in the domain. The Server Name field contains the names of any Microsoft Dynamics NAV Database Servers that are currently available. The program fills in this field automatically.

To connect with a server that is on the list, select it and then click OK. Alternatively, you can double-click the server name.

For more information, see the manual Installation & System Management: Database Server for the C/SIDE Client.


The Navigation Pane

You use the Microsoft Dynamics NAV Navigation Pane to open windows in the program. The Microsoft Dynamics NAV Navigation Pane displays one menu at a time, but you can use the menu buttons at the bottom of the pane to change from one menu to another.

Each menu is organized in a tree structure. The different windows, reports and batch jobs that you have access to are listed as menu items, and the menu items are grouped into menu groups.

You can copy menu groups or items that you use often to the Shortcuts menu.

Related Topics

Personalizing Your Navigation Pane

About Designing Menus for Users

Using the Navigation Pane


The Navigation Pane Designer

You use the Microsoft Dynamics NAV Navigation Pane Designer to customize the menus that you receive from your solution provider. You cannot use the Navigation Pane Designer to open windows in the program. You can see all of the menus in the company's suite, unless you have hidden any of them.

You can modify the menus that you receive and you can create new menus. Then you can assign different menus to different users.

You select the menu you want to work on by clicking one of the menu buttons at the bottom of the Navigation Pane.

Note for Developers

The information about the MenuSuite object in the C/SIDE online Help can be found under Information\MenuSuite Object. The Application Designer’s Guide also contains a “MenuSuite Objects” chapter.

Related Topics

About Designing Menus for Users

Assigning Menus to Users

Keyboard Shortcuts for the Navigation Pane

How Upgrades Affect Your Menus


Create Menu

You use this window to create a new menu with the Navigation Pane Designer. You can enter the name of the new window in the Caption field. You can click Cancel if you do not want to create a new menu.

If you are designing a menu that will be used in different languages by different users, you must give the menu a name in each language.

Once you enter a name in the Caption field, the Caption ML field contains the code for the language you use on your computer and the name of the menu. When you click the AssistButton in the field, a window opens where you can enter a menu name for each language code.

The Bitmap field contains the number of the bitmap that appears before the name on the menu button. The bitmap number is an integer between 0 and 14.

Related Topics

Creating Menus with the Navigation Pane Designer

About Designing Menus for Users


Show Items

You use this window to show items in your menu.

The window lists all of the menu items and menu groups that you have hidden in the current menu. You can place a check mark next to the items or groups that you want to show.

Note

You cannot show individual items from a hidden group.

Related Topics

Personalizing Your Navigation Pane

Using the Navigation Pane


Show Menus

You use this window to show menu buttons in the Navigation Pane.

The window lists all of the menus that you have hidden. You can place a check mark next to the menus that you want to show.

Related Topics

Personalizing Your Navigation Pane

Using the Navigation Pane


Insert Items

You use this window to insert menu items in a menu.

The window lists all of the menu items in all of the menus in your menu suite. Each line lists one menu item. In the Item field, the name of the menu that the item comes from appears, followed by the name of the menu item. The items are grouped by the menu from which they come and then alphabetically by menu item name.

Related Topics

Editing Menus with the Navigation Pane Designer

About Designing Menus for Users


Navigation Pane Options

You use the Navigation Pane Options window to control how the program behaves when you click a group or item in the Navigation Pane. You can place a check mark next to the options that you want to activate. The options are described in Using the Navigation Pane.

Related Topics

Personalizing Your Navigation Pane


Assign Users

You use the Assign Users window to assign users to a menu.

The window contains a list of all the users in your database. You assign a user by placing a check mark in the Assign field next to their name, and you unassign a user by removing the check mark. You can also assign or unassign all users at one time.

You can only use the window to manage the users of one menu. To assign users to a different menu, you must click on the relevant menu button when you select Assign Users...

Related Topics

Assigning Menus to Users

About Designing Menus for Users


Menu Properties

You use the Menu Properties window to set up multilanguage definitions for the name of a menu.

If you are designing a menu that will be used in different languages by different users, you must give the menu a name in each language.

When you open the window, the Caption field contains the name that has been assigned to the menu. The CaptionML field contains the code for the language you use on your computer and the name of the menu. When you click the AssistButton in the field, a window opens where you can enter a menu name for each language code.

The Bitmap field contains the number of the bitmap that appears before the name on the menu button. The bitmap number is an integer between 0 and 14.

Related Topics

About Designing Menus for Users


Item Properties

You use the Item Properties window to set up multilanguage definitions for the name of a menu item.

If you are designing a menu that will be used in different languages by different users, you must give the menu item a name in each language.

When you open the window, the Caption field contains the name that has been assigned to the menu item. The CaptionML field contains the code for the language you use on your computer and the name of the menu item. When you click the AssistButton in the field, a window opens where you can enter a menu item name for each language code.

Related Topics

About Designing Menus for Users


Group Properties

You use the Group Properties window to set up multilanguage definitions for the name of a menu group.

If you are designing a menu that will be used in different languages by different users, you must give the menu group a name in each language.

When you open the window, the Caption field contains the name that has been assigned to the menu group. The CaptionML field contains the code for the language you use on your computer and the name of the menu group. When you click the AssistButton in the field, a window opens where you can enter a menu group name for each language code.

Related Topics

About Designing Menus for Users


Create Shortcut

You use the Create Shortcut window to create menu items in your Shortcuts menu.

Using this window, you can create a shortcut to a document, folder or program on your computer or server, or to a Web site.

In the Open field, you enter an address for the file or Web site and in the Caption field, you enter the name that you want to give the menu item.

To make shortcuts to windows or reports in the program, see Creating Shortcuts in the Navigation Pane.


Shortcut Properties

You use the Shortcut Properties window to view or modify the properties of a shortcut in your Shortcuts menu.

The Open field contains the name and address of the shortcut target. For example, the field can contain a Web site address or the path and file name of a program or document on your computer.

The Caption field contains the name that you have assigned the menu item in the Shortcuts menu.

Related Topics

Creating Shortcuts in the Navigation Pane


Show Column

You use this window to display columns that are hidden.

This window lists which columns are visible and which are not. If you are not sure whether any columns have been hidden, you can use Show Column to find out.

Related Topics

Showing Columns

Making Rows Taller or Shorter


Report Designer

The Report Designer is part of the Object Designer.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Preview

This window shows the report as it will look when printed on paper.

From the Print Preview window, you can scroll to other pages in the printout, you can choose to see the print on double or single pages, and you can zoom to make the page bigger or smaller.

Related Topics

Previewing Reports

Printing Reports

Modifying the Printout of Reports


Print Preview

This window shows the report as it will look when printed on paper.

Related Topics

Previewing Reports

Printing Reports

Modifying the Printout of Reports


Dataport Designer

The Dataport Designer is part of the Object Designer.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Links

You use this function to link some information to a specific record in Microsoft Dynamics NAV.

You can make links to:

  • documents

  • folders

  • Web sites

  • other records in Microsoft Dynamics NAV

To use this function, click Edit, Links or click the Links button on the toolbar.

Related Topics

Linking Documents, Folders or Web Sites to Records in Microsoft Dynamics NAV


List

You use this button to display a list of all the items in the active window.

When you are, for example, viewing a customer card and click the List button on the toolbar, the program will display a window containing all the customers. You can use this button to open a similar list from all cards as well as purchase and sales documents.


Main Menu

You use this button to open a company or to return quickly to the main menu. When you use this button to open a company, only the companies in the current database are presented as options.

Related Topics

Opening Companies


Find

Use this window to search for something in a particular field in one window at a time. You can also replace the text you find with something else.

You can use this function either by clicking Edit, Find on the menu bar or by clicking Find on the toolbar.

If you have set the Quick Find option, you can use the Find function by typing in a non-editable text or code field. To enable Quick Find, click Tools, Options on the menu bar and enter Yes in the Quick Find field.

If you are using the SQL Server Option, the Find as You Type field will only be available in the Find window if you have set the Allow Find As You Type database property when you created the database or altered the database accordingly. If you have set this database property, you can turn the Find as You Type feature on and off in the Find window.

Related Topics

Quick Find


Replace

Use the Replace window to replace the contents of one particular field in a window at a time. It is possible to replace only information that can be edited. If you try to replace an entry that you are not allowed to replace, you will get an error message.

If you have replaced the contents of a field, you cannot undo the replacement by clicking Edit, Undo.

Related Topics

Replacing a Particular Entry in a Window


Field Filter

Use this window to set a field filter.

Related Topics

Using Field Filters


Table Filter

Use this window to set a table filter.

Related Topics

Using Table Filters


FlowFilter

Use this window to set a FlowFilter.

Related Topics

Using FlowFilters


Zoom

Most of the windows in Microsoft Dynamics NAV show only some of the fields contained in the record that is displayed. It is possible to insert all of the fields so that they can be seen in the window. Use the Zoom function to see what fields are available. The Zoom window also shows the contents of each field in the current record (card or line). FlowFields and their contents are not shown.

To insert fields in the window, you must use the Tools, Designer function. This requires that you have permission to use C/SIDE, the development environment.

For more information about Zoom, see the Application Designer's Guide.


New Report

The New Report window is part of the Object Designer.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


New Form

The New Form window is part of the Object Designer.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about the Object Designer, see the Application Designer's Guide.


Backup

Use this window to make a backup of your database.

Related Topics

Backups

Making Backups

Restoring Database Backups


Restore

Use this window to restore a database backup into the current database.

Related Topics

Restoring Database Backups


XMLport Designer

The XMLport Designer is part of the Object Designer.

In the XML Designer you can create your own XMLports and modify existing XMLports.

The Object Designer gives you access to C/SIDE, the Microsoft Dynamics NAV development environment. You use the development environment to make modifications to the application - or to create completely new application areas. Special permission is required to use this function.

For more information about designing XMLports and the Object Designer, see the Application Designer's Guide.


Events Designer

You use this window to specify the events that are associated with the XMLport that you are currently designing.

For more information about events and designing XMLports, see the Application Designer's Guide.


How Upgrades Affect Your Menus

When you begin to modify your menu suite, you must decide which strategy will work best for you:

  • to modify the original menus

  • to create new menus (these can be based on copies of the original menus)

Menus in your menu suite that are original menus from your solution provider have the symbol >> on the menu button to the left of the menu name. When you have your menu suite upgraded, the original menus will be upgraded, and any configuration changes that you have made to them will be merged into the new menus. For example, a menu item that you have added to a menu group – but where the menu group’s contents now have changed after an upgrade – will be placed as the last menu item in the menu group.

However, there will be cases where a straightforward merge cannot be carried out. For example, if you have added a menu item to a menu group that is no longer a part of the menu after an upgrade, then no merge can be made. Instead, the menu item will be placed in a Lost Items group at the bottom of the menu tree. After an upgrade, you can take action on the menu items in this group - either by inserting them somewhere in the current menu, in another menu or by deleting them. If the menu for the lost items cannot be found, a Lost Items menu will be created. The Lost Items group or menu is not visible to the users.

New menus that you have created are not affected by an upgrade, so if there are new menu items available to you from the upgrade that you would like to include, you will have to manually add them to your menus.

Related Topics

Creating Menus with the Navigation Pane Designer

Editing Menus with the Navigation Pane Designer


Menu Suite Administrators

In order to work with the Navigation Pane Designer, you must be set up as an administrator for your company's MenuSuite objects. You must have basic design permissions for the MenuSuite object and all permissions for your company's MenuSuite objects.

Related Topics

Editing Menus with the Navigation Pane Designer

Creating Menus with the Navigation Pane Designer

Assigning Menus to Users

Deleting Menus from the Navigation Pane Designer

Keyboard Shortcuts for the Navigation Pane

How Upgrades Affect Your Menus


Standby and Hibernation

Microsoft Dynamics NAV supports the standby and hibernation facilities provided by Windows 2000.

Standby

When your computer goes on standby, the entire computer switches to a low-powered state. When your computer is on standby, the monitor and hard disks turn off and your computer uses less power. When you want to use the computer again, it comes out of standby quickly, and your desktop is restored exactly as you left it.

Standby is particularly useful for conserving battery power in portable computers. Because standby does not save your desktop state to disk, a power failure while on standby can cause unsaved information to be lost.

Before your computer goes into hibernation, it saves everything that is currently in memory to disk, turns off the monitor, hard disk, and then turns off. When you reactivate your computer, your desktop is restored exactly as you left it.

Note

It takes longer to bring your computer out of hibernation than out of standby.

Shutting Down

Individual workstations can go to standby or hibernate after being idle for a certain length of time. It is also possible to make the computer go to standby from the Windows Shut Down dialog box.

However, Windows cannot go into hibernation or on standby when Microsoft Dynamics NAV is:

  • carrying out a transaction, for example, posting an order.

  • printing a report.

  • making a backup.

Your computer will not be able to hibernate during any of these situations. If you attempt to make the computer go to standby from the Windows Shut Down dialog box, a window will appear informing you that Microsoft Dynamics NAV is busy and that shutting down is not yet possible.

When you click Cancel in this window, the hibernation or standby procedure will be cancelled. If you ignore this window, the computer will go into hibernation or standby when Microsoft Dynamics NAV has completed its task.

Restarting

When you restart your computer when it is on standby or in hibernation, it will restart with the desktop exactly as it was when you left it. You will see the same Microsoft Dynamics NAV windows that were open when you left it. However, the information displayed in these windows will also be the same and is therefore not necessarily up-to-date.

The window will not be updated until you use the program and activate it. Furthermore, when you restart the client computer when it is on standby or in hibernation, there will be no connection made to the server. The connection will be reestablished when you use Microsoft Dynamics NAV and thereby access the server.

Using a Laptop

If you are using a laptop computer and you close it, Windows will shut down. However, an active Microsoft Dynamics NAV client will force Windows to wait until it completes the ongoing operation before shutting down. When you reactivate Windows, the Microsoft Dynamics NAV client will be exactly as it was when you left it.


System Setup Options (Microsoft Dynamics NAV Database Server)

The Tools, Options menu item gives you an overview of the system setup options. When you click this menu item, the Options window appears containing the following system setup options:

DBMS Cache (KB)

Commit Cache

Object Cache (KB)

TempPath

Status Bar

Close Forms on ESC

Marquee Full Selection

Quick Find

User Portal Pipe Name

For more information, see the manual Installation and System Management: Database Server for the C/SIDE Client.


System Setup Options (SQL Server)

The Tools, Options menu item gives you an overview of the system setup options. When you click this menu item, the Options window appears containing the following system setup options:

Object Cache (KB)

TempPath

Status Bar

Close Forms on Esc

Marquee Full Selection

Quick Find

User Portal Pipe Name

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.


Items on the Menu Bar

The Microsoft Dynamics NAV menu bar contains six items:

File

Edit

View

Tools

Window

Help

When you click one of these menu items, a submenu containing a number of items will appear. On this submenu, click the item that you want to use.

Related Topics

Buttons

Buttons on the Toolbar


Buttons

The buttons on the toolbar are also available as items on the menus of the menu bar, but you can access the functions more easily from the toolbar.

Ordinary buttons are found in almost all of the windows and dialog boxes in the program. These are buttons such as OK, Yes and No.

Function buttons are found on several windows in the program. When clicked, they initiate a function, batch job or report.

Menu buttons have a downward-pointing triangle on them and they are found on the majority of windows. When clicked, they display a menu from which you can, for example, select a function, open a different window or open a submenu.

Related Topics

Buttons on the Toolbar

Ordinary Buttons in Microsoft Dynamics NAV


Batch Jobs

A batch job in Microsoft Dynamics NAV is a routine that processes data in batches, for example the Adjust Exchange Rates Batch Job.


Ordinary Buttons in Microsoft Dynamics NAV

The ordinary buttons are found in almost all of the windows and dialog boxes in Microsoft Dynamics NAV. Sometimes you must use them to answer a question before you can go further in the program. The following list describes these:

Button: | Means:
Yes | You answer yes to a question. For example, that you want the program to do what it has suggested. When you click Yes the window closes and removes the message.
No | You answer no to a question. For example, that you do not want the program to do what it has suggested. When you click No the window closes and removes the message.
OK | When you click OK, you agree that the program execute a command, or that you have read and accepted a message (this does not solve a problem if there is one). By clicking OK, you remove the message and close the window.
Cancel | When you click Cancel, you undo or interrupt an action or task so that it is not executed. When you click Cancel, the window closes.
Stop | When you click Stop, you stop something, for example a batch job. The part of the function that has been performed is saved. When you click Stop, the window closes.
Apply | When you click Apply, you activate your choice in the window but keep the window open so that you can make more choices. Use this button if you want to make different choices and see the results before you finally confirm a choice with the OK button.
Help | When you click Help, the Help text for the window opens.
Options | When you click Options, a new window opens that contains more information that you can select.
Advanced | When you click Advanced, a new window containing a more advanced way of performing the task (found only in a few places) opens.


DBMS Cache (KB)

DBMS cache (also simply called "cache") is the name for a reserved space in the computer's memory where data is stored temporarily, until it is completely processed. After this, commit cache saves it on the hard disk (or retrieves the data - it also works in the other direction). This system quickly frees Microsoft Dynamics NAV for new work.

When the cache is filled up, old information in it is replaced by new. When you turn off the computer, everything in the cache is lost from memory. At that point it has already been transferred from the database to the hard disk.

The minimum amount of memory you can allocate to the cache is 100 KB. The upper limit is set by the computer's internal memory. You can see how much cache has been allocated by clicking File, Database, Information and checking the DBMS Cache (KB) field.

To change this setting, click Tools, Options and the Options window appears.

For more information about the various program properties, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Commit Cache

The disk is the slowest part of a PC and the time it takes for the PC to write to the disk can give the user the impression that the program is slow because the screen is not updated quickly. To improve this situation, Microsoft Dynamics NAV has a function called commit cache. This function ensures that write transactions are completed as soon as the data is logically present in the database. That is, before it is physically written to the disk (or read from the disk - this works in both directions). The write transactions remain in the commit cache until there is no other activity on the physical disk, or until the commit cache is filled up. Then the transactions are written to the physical disk.

From within the application, you can click File, Database, Information and see whether commit cache has been turned on or off (a check mark in the Commit Cache field means that it is turned on).

To change this setting, click Tools, Options and the Options window appears.

The next time you start the program, the new setting is valid. You can read more about this in the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

The System Setup Options on Microsoft Dynamics NAV Server

The System Setup Options in the SQL Server Option


Object Cache

Object cache, like cache, allows Microsoft Dynamics NAV to work faster. Objects such as code, descriptions and windows that will be used on the client computer are stored in the object cache. This means that the client computer only needs to retrieve these objects once from the server. The client computer must have enough memory to store the objects while they are being used.

To change this setting, click Tools, Options and the Options window appears.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


TempPath

When Microsoft Dynamics NAV is running, it creates a number of temporary files that are automatically deleted when the program is closed. As a default, these files are put in the Temp folder unless you have specified a different working folder. If you have, the working folder will be the default location. You must specify the full path, including the drive and all folders.

If you are running on Windows 2000, the temporary files of each individual user are stored in C:\Documents and Settings\User Name\Application Data\Local Settings\Temp, unless you specify a different working folder.

If you are not running on Windows 2000, the temporary files are stored in the same folder as the Microsoft Dynamics NAV program files, unless you specify a different working folder.

To change this setting, click Tools, Options and the Options window appears.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Status Bar

You can configure each client computer to either display or hide the status bar at the bottom of the program window. The status bar shows the following information:

  • The complete name of the active field and its contents

  • The work date

  • The current user ID

  • Whether any filters have been applied to the data (FILTER appears)

  • Whether you are about to create something new, such as an account, (NEW appears)

  • Whether you are working in Insert (INS) or Overtype (OVR) mode

When you make this sort of visible change in the setup, it is practical to use the ID program property and to have a setup file on your own computer. This makes the setup selections valid only for you.

To change the system setup options, click Tools, Options and the Options window appears.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Close Forms on Esc

This option allows you to choose whether or not the window that you are working in will close when you press Esc.

When you make this sort of visible change, it is practical to use the ID program property and to have a setup file on your own computer. This makes the setup selections valid only for you.

For more information, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Marquee Full Selection

This setting allows you to choose whether graphical objects must be completely within the rectangle in order to be selected, or whether it is sufficient for them just to touch the edges. This property is relevant for developers using the C/SIDE development environment.

To change this setting, click Tools, Options and the Options window appears.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Quick Find

This setting allows you to activate a quick search facility. You can search for an entry in any non-editable field by typing a letter or number. You can also type the entire name of the element you are looking for. When you type a letter or number, the Find window opens automatically and the first row that matches what you typed becomes the active row.

If you are using the SQL Server Option, the Find as You Type field will only be available in the Find window if you have set the Allow Find As You Type database property when you created the database or altered the database accordingly. If you have set this database property, you can turn the Find as You Type feature on and off in the Find window.

To change this setting, click Tools, Options and the Options window appears.

When Quick Find is turned off, you can open the Find window by clicking Edit, Find on the menu bar or by clicking Find on the toolbar.

Related Topics

The System Setup Options in the SQL Server Option

The System Setup Options on Microsoft Dynamics NAV Database Server


Sorting

The sorting function in Microsoft Dynamics NAV makes it easy for you to get a quick overview of your data. For example, if you have a large number of customer ledger entries, you can choose to see them sorted by:

  • Entry number only.

  • Customer number first and then by date for each customer number.

  • Document type; then under each document type by document number; then under each document number, by customer number.

Each sorting option (or combination of sorting options) is called a key. You can see all the keys for a given table by choosing View, Sort when the cursor is in a window that displays the table.

You can use this function either by choosing View, Sort from the menu bar or by clicking the Sort button on the toolbar.

You can also activate the function by clicking Sort on reports.

Related Topics

Switching the Sorting Key


Altering Databases - Database Files Tab

The Database Files tab allows you to increase the size of the database. You can this by increasing the size of one or more of the files that comprise the database or by adding new data files to the database.

You can increase the size of each data file or add new data files to expand the database. If secondary data files are present, you will only need to increase the size of the primary data file when the catalog that it contains has become too large. When the catalog has become too large, new SQL Server objects, such as tables, cannot be created until you increase the size of the primary data file.

When you are using secondary data files, you cannot create more space for storing Microsoft Dynamics NAV data by simply increasing the size of the primary data file. You can create more space for storing data by increasing the size of the secondary data files that contain Microsoft Dynamics NAV information. You can also add new secondary data files in order to store more data.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Increasing the Size of Database Files

Adding New Database Files

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Collation Tab

Altering Databases - Options Tab

Altering Databases - Integration Tab

Altering Databases - Advanced Tab


Altering Databases - Transaction Log Files Tab

On the Transaction Log Files tab of the Alter Database window, you can increase the size of the existing transaction log files or add new ones in order to allow more transactions to be performed in the database. The transaction log will continue to grow as new transactions are performed in the database. SQL Server truncates the log after performing a successful database or transaction log backup.

You can also delete existing transaction log files that are empty. The first transaction log file that is listed is the primary file. The primary transaction log file cannot be deleted.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Increasing the Size of Transaction Log Files

Adding New Transaction Log Files

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Database Files Tab

Altering Databases - Collation Tab

Altering Databases - Options Tab

Altering Databases - Integration Tab

Altering Databases - Advanced Tab


Altering Databases - Collation Tab

You can also change the collation that is used by the database.

You must set the database Single user option before you change the collation.

If you change the database collation, this will change the collation of all the objects in the database except tables that have the LinkedObject property set to Yes. These objects must be recreated manually by, for example, scripting them in SQL Server's Enterprise Manager.

If you change the collation from a case-sensitive to a case-insensitive collation or from an accent-sensitive to an accent-insensitive collation, duplicates can occur in the primary keys of the tables. Duplicates can be caused by the values of the character data stored in the primary keys. If duplicates occur, you will get an error message and the alteration of the database collation will be aborted. We therefore recommend that you do not change these attributes of a collation.

Note

Changing the collation can be a lengthy process, depending on the size of the database and the number of companies in the database, because the system tables and all the user table indexes that contain character data must be rebuilt.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Database Files Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Options Tab

Altering Databases - Integration Tab

Altering Databases - Advanced Tab


Altering Databases - Options Tab

On the Options tab of the Alter Database window, you can change any of the database options that you set when you created the database. For example, you must select the Single User option before carrying out any database tests. You must cancel the selection of this option when the tests are completed.

This tab contains the following advanced settings for the database:

Access:

  • Members of db_owner, dbcreator or sysadmin: If you select this option, only members of the db_owner fixed database role, the dbcreator fixed server role or the sysadmin fixed server role have access to the database.

  • Single user: If you select this option, only one user can access the database at a time. This setting can be used when you are carrying out administrative functions such as testing or restoring the database. By limiting access to the database to one user, in this case yourself, you ensure that the database is not altered while you are testing it. Remember to clear this check box when you are finished.

Settings:

  • Recovery Model

This setting determines the kind of information that is written to the transaction log and therefore the kind of recovery model that you want to use in this database.

The options are:

  • Bulk-Logged

  • Full

  • Simple

Bulk-Logged

If you select Bulk-Logged, the transaction log will only contain limited information about certain large-scale or bulk copy operations. The Bulk-Logged recovery model provides protection against media failure combined with the best performance and the minimal use of log space for certain large-scale or bulk copy operations.

The backup strategy for bulk-logged recovery consists of:

  • Database backups.

  • Differential backups (optional).

Full

If you select Full, the details of every transaction are stored in the transaction log, and this information can be used when you apply transaction log backups. The Full recovery model uses database backups and transaction log backups to provide complete protection against media failure. If one or more data files are damaged, media recovery can restore all the committed transactions. Incomplete transactions are rolled back.

Full Recovery allows you to recover the database to the point of failure or to a specific point in time. All the operations, including bulk operations such as SELECT INTO, CREATE INDEX and bulk loading data, are fully logged to guarantee that the database is completely recoverable.

The backup strategy for Full recovery consists of:

  • Database backups.

  • Differential backups (optional).

  • Transaction log backups.

The Full and Bulk-Logged recovery models are similar, and many users of the Full Recovery model will use the Bulk-Logged model occasionally.

Simple

If you select Simple, the database can be recovered to the point at which the last backup was made. However, you cannot restore the database to the point of failure or to a specific point in time. To do that, choose either the Full or Bulk-Logged Recovery model.

The backup strategy for simple recovery consists of:

  • Database backups.

  • Differential backups (optional).

  • ANSI NULL default: Here you can specify whether the database default NULL settings for column definitions and user-defined data types are to be applied. When you select this option, all user-defined data types or columns that have not been explicitly defined as NOT NULL are set to allow NULL entries. Columns that have been defined with constraints follow the constraint rules, regardless of this setting.

  • Recursive triggers: Triggers can have direct recursion or indirect recursion. Direct recursion occurs when a trigger fires and performs an action that causes the same trigger to be fired again. Indirect recursion occurs when a trigger fires and performs an action that causes a trigger on another table to fire. This second trigger updates the original table, causing the first trigger to fire again.

  • Auto shrink: This option enables you to specify whether or not SQL Server can periodically shrink data files and transaction log files.

  • Torn page detection: When you select this option, SQL Server can detect incomplete Input/Output operations that have been caused by power failures or other system outages.

  • Torn pages are usually detected when you start SQL Server again after, for example, a power failure. You must restore the backup of the database, and any transaction log backups should be applied.

  • Allow Find As You Type: This setting determines whether or not you can use the Find As You Type option when using the Find function to find an entry in a table or form. Using the Find As You Type facility can affect performance because requests are sent to the server for each character that is typed.

When you click OK, the information is saved. You can now continue to work in the database.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Database Files Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Collation Tab

Altering Databases - Integration Tab

Altering Databases - Advanced Tab


Database Information - Database Tab

On this tab, you find information about the database you are working with. The name of the database is at the top of the window.

A database can consist of several individual files. You can see these files - with their names and sizes - if you click the AssistButton to the right of the Database Name field. (If you choose Tools, Zoom from the menu bar while you are in this window, you will see more detailed information about the database, which you can use for various statistical purposes.)

On the Database tab, you can also see:

  • What percentage of the total space in the database is used. This should not exceed 90%. If it does, you must expand the database by an appropriate amount. You do this under File, Database, Expand.

  • How large the total database is and what percentage this is of the size you have permissions for.

  • How large a database you have purchased permissions for.

  • Whether cache has been allocated in the system - and how much. To specify cache, you use the program property cache. The value affects the program speed.

  • Whether commit cache is turned on. (A check mark means that it is.) You specify commit cache with the program property commit cache. The value affects the program speed.

  • Whether object cache has been allocated in the system - and how much. Object cache is used only on clients, where it affects the program speed. You specify object cache in the Object Cache field under Tools, Options.

For more information about the various program properties, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

Database Information - Connection Tab

Database Information - Sessions Tab


Database Information - Connection Tab

On this tab, you can see whether the database you are working in is located on your computer or on a server. If you are working in a database located on a server, you will also see the name of the server and the network protocol that is being used to communicate with the server. If the server name or net type is not correct, communication will not work properly.

You can change these selections by setting the program properties servername and nettype or by clicking File, Database, Open and selecting the correct server and net type.

For more information about the various program properties, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

Database Information - Database Tab

Database Information - Sessions Tab


Database Information - Sessions Tab

On this tab you can see in the Licensed Sessions field the maximum number of sessions that can be connected to the database. If you need more, you must obtain permissions from your dealer.

Above this you can see how many sessions (active Microsoft Dynamics NAV programs) are presently connected to the database. The number is shown both as the number of sessions and as a percentage of the maximum number of sessions for which you have obtained permissions. Each computer can have several sessions running at once.

If you click the AssistButton to the right of the Current Sessions field, the Database Sessions window opens listing all of the sessions that are currently connected to the database. The Database Sessions window also shows when each user logged in. Each line represents one login, so a user can appear more than once, if he or she has started more than one session. The session you are currently working in has a check mark in the My Session field.

The Idle Time field tells you amount of time that has passed since the server last received a database request from each session. If the field is empty, the session is currently performing a database request. This could be a long running database request, such as a table redesign.

An administrator can cancel one of the sessions by selecting the line in question and deleting it. The user will then be disconnected from the server and will have to restart the program if they want to continue working.

For more information, see the manual Installation and System Management: Database Server for the C/SIDE Client.

For more information about the Session virtual table, see the manual Application Designer's Guide.

Related Topics

Database Information - Database Tab

Database Information - Connection Tab


Tables

The data that you enter in Microsoft Dynamics NAV is stored in tables. The information in a single table can be displayed in various windows in the program.

If there is no Help for a window, the Help for the underlying table is displayed, when you ask for Help for the window. You can access the Help for tables from the table of contents, from the index or by using the Search function.


FlowFilters

Microsoft Dynamics NAV contains fields called FlowFields. These are fields whose contents are constantly changing - the system calculates the value of the contents of a FlowField each time you open the window containing the field. FlowFilters are used to determine how much the system will include when it calculates the contents of FlowFields.

FlowFields are used to display amounts and quantities that must always be up-to-date. The calculation can be based on information in tables other than the one that contains the field.

An example of a FlowField is the Balance field, which is in the G/L Account table. You can see the field on the G/L Account Card, but the information on which the balance is based is taken from the Entry table, which contains posted G/L entries. Similarly, the contents of the Balance field for a customer is based on information in the Cust. Ledger Entry table, and so on.

This is because the only information you can change in G/L Account, Customer, Vendor and Item tables is the basic information such as addresses, codes, and so on. Financial information in these tables is displayed in FlowFields, but you cannot change it directly. This information is calculated from information in ledger entry tables. You can change information in the ledger entry tables by posting entries.

The system already knows how to calculate the contents of FlowFields. But with the View, FlowFilter function you can temporarily limit which entries in the other tables should be included in the calculation. You do this by defining a FlowFilter in the window in which the result of the calculation will be displayed (for example, the result of the calculation for the Balance field will appear on the customer card). The system will use the filter in the ledger entry table (in this case the Customer Ledger Entry table), when it totals the ledger entries.

Related Topics

Using FlowFilters


Database Information - Database Tab

On this tab, you find information about the current database. The name of the database is at the top of the window.

Here you can view the following information about the current database:

  • The name of the server on which the database is stored

  • The name of the current database

  • The amount of space that is used in the database

  • What percentage of the total space in the database is currently used

  • The total size of the database

  • How much space has been allocated to the object cache

  • The network type that is being used

A database can be set up to consist of several individual files. You can see these files by clicking the AssistButton to the right of the Database Name field. The Database Files window appears showing the names and sizes of the data files (but not of the transaction log files).

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Database Information - Sessions Tab - SQL Server Option


Database Information - Sessions Tab

On this tab, you can view the following information about sessions:

  • Current Sessions: This field tells you how many Microsoft Dynamics NAV, C/FRONT and C/ODBC sessions are currently connected to the server. The number is shown both as the number of sessions and as a percentage of the maximum number of sessions for which you have obtained permissions.

  • Licensed Sessions: This field tells you the maximum number of Microsoft Dynamics NAV, C/FRONT and C/ODBC sessions that can connect to the server. If you need more, you must obtain them from your Microsoft Certified Partner.

Each computer can have several sessions running at once. Click the AssistButton to the right of the Current Sessions field to open the Database Sessions window. Here you can view details of all the sessions connected to the server. Each line represents one SQL Server connection. A user can appear more than once if they have started more than one session. The session that you are currently working in has a check mark in the My Session field.

The Idle Time field tells you amount of time that has passed since the server last received a database request from each session. If the field is empty, the session is currently performing a database request. This could be a long running database request, such as a table redesign.

An administrator can cancel one of the sessions by selecting the line in question and deleting it. The user will then be disconnected from the server and will have to restart the program if they want to continue working. The administrator must be a member of either the sysadmin or processadmin SQL Server server rolls.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

For more information about the Session virtual table, see the manual Application Designer's Guide.

Related Topics

Database Information - Database Tab - SQL Server Option


Reports in Microsoft Dynamics NAV

A report in Microsoft Dynamics NAV is an extract of information from the database. There are a large number of standard reports, but you can use the built-in report designer to define new reports or change the standard reports.

Related Topics

Printing Reports

Previewing Reports

Modifying Reports

Selecting Different Printers

Saving Reports as HTML


Procedures

Microsoft Dynamics NAV Help includes descriptions of procedures. This procedural Help tells you how to perform tasks, for example, how to post invoices and how to set up customer cards.

You can access procedural Help from the table of contents, from the index or by using the Search function. You can also find procedural Help listed under Related Topics in the Help for a window.


Altering Databases - Integration Tab

The Integration tab contains database settings that influence the way Microsoft Dynamics NAV integrates with SQL Server and external tools. These options can be changed later.

This tab contains the following database settings:

Objects

  • Maintain Views: This setting determines whether or not SQL Server will create and maintain a view for each language ID that is added to a table or field in Microsoft Dynamics NAV.

    If you select this option, external tools can use the SQL views to gain access to the CaptionML property of the object in the required languages rather than the name supplied in the table.

  • Maintain Relationships: This setting determines whether or not SQL Server will create and maintain a foreign key constraint for each TableRelation property of a Microsoft Dynamics NAV table.

If you select this option, external tools will have access to the table relationships (foreign key constraints) that exist between the Microsoft Dynamics NAV tables. These relationships are disabled and are not used to enforce data integrity but are intended for modelling purposes only.

  • Synchronize: This setting is linked to the Maintain Relationships setting and is only active if you have already decided to create and maintain the table relationships on SQL Server.

This option is only available after table relation errors have occurred while you were restoring a database or importing some objects into a database. The table relation problems can be resolved by, for example, deleting the table relations that refer to non-existent tables and then using this option to synchronize the table relations with SQL Server.

If table relation errors occur when you are restoring a database, the restore will not be aborted.

  • Maintain defaults: This setting determines whether or not SQL Server will create and maintain default constraints for each field in a Microsoft Dynamics NAV table. If you select this option, external tools can use the defaults when inserting data into or modifying data in Microsoft Dynamics NAV tables.

  • Convert Identifiers: This setting allows you to select the invalid characters in the names of all the SQL Server objects (tables, columns, constraints) in the database that you want to map to the underscore character. The Remove characters field contains a list of the characters that are converted to underscores. You can modify this list.

When the conversion is completed, the database must be closed and reopened before you can use the new identifiers.

License

  • Save license in database: This setting allows you to specify that the license file is uploaded and stored in the database instead of on the server. This is useful if you are hosting several databases with separate license files on the same server.

For more information about views, table relationships and identifiers in the SQL Server Option, see the Application Designer’s Guide.

Related Topics

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Database Files Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Collation Tab

Altering Databases - Options Tab

Altering Databases - Advanced Tab


E-Mail

If your program is integrated with an e-mail system, you can click this button to open a window in which you can create and send a message. If you have entered an address in the E-Mail field, the program automatically enters this address in the To... field.


Code Coverage

The Code Coverage tool enables you to check how much of the code is used by any given function. This tool works in the same way as the debugger and therefore reflects any limitations that may exist in the debugger.

Programmers can use the tool to log code coverage when they customize Microsoft Dynamics NAV. Code logging gives you an overview of the code that is executed in a usage scenario.

The Code Coverage tool can often be used instead of or in combination with the C/AL Debugger. Code logging can give programmers a quick overview, while step by step debugging can take a long time. You can read about the C/AL Debugger in the Application Designer's Guide.

Related Topics

Logging Code Coverage


Altering Databases - Advanced Tab

The Advanced tab contains some settings that let you control the way locking is handled in the database.

The tab contains the following settings:

Locking

  • Lock timeout: This setting allows you to specify whether a session will wait to place a lock on a resource that has already been locked by another session.

  • Timeout duration (sec): This setting allows you to specify the maximum length of time that a session will wait to place a lock on a resource that has already been locked by another session. The default value is 10 seconds. You can change this value.

If this option is left unchecked, the session will wait indefinitely.

  • Always rowlock: This setting allows you to specify that Microsoft Dynamics NAV always places row-level locks instead of page- and table-level locks.

Security

  • Model This setting allows you to specify whether this database uses the Normal or the Enhanced security model.

The default setting is Enhanced.

Caching

  • Record Set: This setting allows you to specify how many records are cached when Microsoft Dynamics NAV performs a FINDSET operation with the ForUpdate parameter set to FALSE.

If a FINDSET statement reads more than the number of records specified here, additional SQL statements will be sent to the server and this will degrade performance. Increasing this value will also increase the amount of memory that the client uses to support each FINDSET statement.

The default setting is 500.

Related Topics

Altering Databases on SQL Server

Altering Databases - General Tab

Altering Databases - Database Files Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Collation Tab

Altering Databases - Options Tab

Altering Databases - Integration Tab


Running Microsoft Dynamics NAV Database Server as a Service

When you install Microsoft Dynamics NAV Database Server 4.0 or Microsoft Dynamics NAV Application Server 4.0 as a service, they are assigned an NT Authority\Network Service account if the operating system supports this account.

If you want to run Microsoft Dynamics NAV Database Server as a service or use the installasservice command line parameter when you start the server, you should ensure that the service is running as the NT Authority\Network Service account. The NT Authority\Network Service account only exists on Windows XP and Windows 2003 Server. If you are running Windows 2000 Server, you should create an account with least privileges for the service or else the service will be assigned a Local System account. This account should at the most have the same privileges as the normal Users account or be a domain account that is not an administrator either in the domain or on any local computer.

You must remember to give the NT Authority\Network Service account or the user account that the server is running under write access to the database file(s) to ensure that the users can connect to the database.

To give the NT Authority\Network Service account read and write access to a database file on Windows XP:

  1. In Windows Explorer, navigate to the folder that contains the database file.

  2. Select the database file, right-click it and click Properties.

  3. In the Properties window, click the Security tab and under the Group and user names field, click Add.

  4. In the Select Users, Computers, or Groups window, enter Network Service and click OK.

  5. NETWORK SERVICE has been added to the Group and user names field in the Properties window.

  6. Select NETWORK SERVICE and in the Permissions field give it Read and Write permission.

Microsoft Dynamics NAV Application Server

The Microsoft Dynamics NAV Application Server service runs as the NT Authority\Network Service account by default and this allows it to access Microsoft Dynamics NAV Database Server if they are both installed on the same computer. However, on a network you must ensure that the Microsoft Dynamics NAV Application Server service is running as a Windows domain account that is recognized by the Microsoft Dynamics NAV Database Server if you want it to have access to the database server. This account should not be an administrator either in the domain or on any local computer.


Inserting Pictures

If you have a digitalized picture (that is, a picture that is a file in .BMP format), you can insert it in most card windows (such as the item card or the employee card). The Picture field is not included in the standard layout of some card windows (such as the customer card and the vendor card), but it can be inserted with the Design facilities. The description below is for items, but the procedure is the same for all card windows.

To Insert a Picture:

  1. To get to the relevant card window, open the [image] Item Card window.

  2. Click Item, Picture. The Item Picture window appears.

  3. Click Picture, Import. A dialog box appears in which you select the picture file.

  4. Select the drive, path and file name for the .BMP file, and then click OK to import the picture.

Note

If you want to copy a picture to a separate file, click Picture, Export. Then specify the drive, path and file name to which the picture will be exported.


Viewing Test Reports before Posting

You can print a test report before you post a general journal. The test report displays all the journal lines and messages about any errors or lack of information that you must correct before posting.

To Print a Test Report before Posting:

  1. Fill in a general journal.

  2. Click Posting, Test Report to see a test report of the journal lines.

Note

You do not need to print a test report. But if you post immediately and there are several errors to be corrected, you will receive messages about them one at a time as the journal lines are checked before posting.


Managing Style Sheets for Data Export

You can export data from card windows and lists in Microsoft Dynamics NAV to other programs, such as Microsoft Office Word or Excel.

The data is exported as an XML file, and the file is formatted using a style sheet that has been imported into Microsoft Dynamics NAV.

You use the [image] Manage Style Sheets window to import and export style sheets, and view the list of style sheets. Changes that you make in this window apply to all users of the database.

There are default style sheets installed with Microsoft Dynamics NAV, which can be used to export any form to Word or Excel. You need to import a new style sheet if you want to export to another program. You can also import style sheets that are made especially for one particular form in Microsoft Dynamics NAV.

To Import Style Sheets:

  1. On the menu bar, click Tools, Manage Style Sheets.

  2. In the Show field:

If the style sheet applies to | then
all forms | select: style sheets common to all forms
a specific form | select: style sheets for this form only, and then fill in the Form No. field. You can click the AssistButton [image] in the field to select from a list of forms.

  3. Click Functions, Import.

  4. In the Style Sheet field, click the AssistButton [image] and browse to the style sheet file.

  5. In the Name field, enter a description of what the style sheet is used for. You see this name when you select a style sheet to export data.

  6. In the Send-to Program field, click the AssistButton [image] and select the program that the style sheet is designed for. Click OK.

  7. In the Import Style Sheet window, click OK.

The style sheet is now listed in the Manage Style Sheets window, and you can select it when you export a form by clicking Send Options [image].

Deleting Style Sheets

You can delete a style sheet by deleting the line from the Manage Style Sheets window. The file is deleted from the database and you can no longer select this style sheet.

Exporting Style Sheets

To export a style sheet to an .xslt file, select the relevant style sheet in the Manage Style Sheets window and then click Functions, Export.

Related Topics

Sending Data to Another Program


Editing Menus with the Navigation Pane Designer

If you are a menu suite administrator, you can use the Navigation Pane Designer to edit menus in the Navigation Pane. If you do not have design permissions, you can personalize your Navigation Pane.

The following procedure describes how to edit an existing menu. It can either be one of the menus that you received from your solution provider, or it can be a menu you created.

To Edit Menus with the Navigation Pane Designer:

  1. Click Tools, Navigation Pane Designer.

  2. Click on the menu button for the menu that you want to edit.

  3. Use right-click menus to access the editing options:

Show Changing the name of a menu button, menu group or menu item

    1. Right-click the menu button, group or item and then click Rename. The cursor appears in an edit box.

    2. Type the name as you want it to appear. Press Enter to apply the change.

Show Creating a new menu group or inserting a menu item

To create a new menu group:

    1. Right-click an item in the menu group to which you want to add a new group and then click Create Group. The new group appears as the last item within the group.

    2. Type the name of the new menu group. Press Enter to apply the change.

To insert a new menu item:

    1. Right-click an item in the menu group to which you want to add a new item and then click Insert Items....

    2. In the Insert field, place a check mark next to the menu item(s) that you want to add and then click OK. The menu item(s) are added to the menu group.

Show Deleting a menu group or menu item

To delete a menu item:

    • Right-click the item and then click Delete. The item is removed from the menu, but you can add it again later.

To delete a menu group:

    • Right-click the group and then click Delete. The menu group and any menu items it contains will be deleted from the menu.

Show Moving a menu button, group or item up or down

To move a menu button, group or item, right-click the button, group or item and then click Move Up or Move Down.

Note

You can only use this method to move an item within the group where it appears. To move it to another group, use cut and paste.

Show Copying a menu group from one menu to another

To copy a menu group from one menu to another:

    1. Open the menu with the menu group that you want to copy.

    2. Right-click the menu group and then click Copy.

    3. Click the menu button for the menu where you want to add the menu group.

    4. Right-click in the menu group to which you want to copy the menu group and then click Paste.

The new group appears as the last item within the group.

  4. To leave design mode, click File, Close.

Your changes are saved and will be shown next time you open the Navigation Pane Designer. The changes will be visible to the users when they refresh the Navigation Pane.

(To refresh the Navigation Pane, right-click below the menu buttons and next to the scroll arrows, and then click Refresh)

Related Topics

About Designing Menus for Users

Keyboard Shortcuts for the Navigation Pane

Creating Menus with the Navigation Pane Designer

Assigning Menus to Users


Creating Menus with the Navigation Pane Designer

If you are a menu suite administrator, you can use the Navigation Pane Designer to create menus in the Navigation Pane. If you do not have design permissions, you can personalize your Navigation Pane.

There are two ways to create a new menu:

  • Create an empty menu that you fill in by cutting and pasting parts of another menu and by creating menu groups and inserting items, or

  • Copy a menu and then modify it

In addition, you can edit the menus that you receive from your solution provider.

Note

When you receive an upgraded menu suite from your solution provider, a menu that you create (including a menu based on a copy of an original menu) will not be upgraded automatically at all, while the original menus will be upgraded to some extent, even if you have modified them. See: How Upgrades Affect Your Menus.

To Create a Menu with the Navigation Pane Designer:

  1. Show Copy an existing menu

    2. To copy an existing menu:

    1. Right-click the menu button of the menu that you want to copy and then click Copy.

    2. Right-click again and then click Paste. A new menu button will appear, with the same name as the original, and the new menu is displayed.

or

Show Create an empty menu

To create an empty menu:

    1. Right-click any menu button and then click Create Menu.

    2. The cursor appears in an edit box. Type the name that you want to give the new menu and then click OK.

The new menu button is inserted below all of the other buttons, and the blank new menu is displayed.

  2. Edit the menu

Now you can assign the menu to users.

Related Topics

Assigning Menus to Users

About Designing Menus for Users

Keyboard Shortcuts for the Navigation Pane


Assigning Menus to Users

If you are a menu suite administrator, you can use the Navigation Pane Designer to assign menus to users.

You can only assign a whole menu to a user - not a menu group or a menu item.

To Assign Menus to Users:

  1. Right-click the menu button of the menu that you want to assign to one or more users and then click Assign Users....

  2. In the Assign Users window, in the Assign field, place a check mark next to the name of each user that you want to assign the menu to. To assign a menu to all users, click Assign All.

  3. Click OK.

Repeat the procedure for each of the menus that you want to apply to one or more users.

If the menu is disabled, you must enable it, to make it available to the users. The users will not be able to see it until they refresh the Navigation Pane.

(To refresh the Navigation Pane, right-click below the menu buttons and next to the scroll arrows, and then click Refresh)

Related Topics

About Designing Menus for Users

Keyboard Shortcuts for the Navigation Pane


Deleting Menus from the Navigation Pane Designer

If you are a menu suite administrator, you can use the Navigation Pane Designer to work with menus in the Navigation Pane.

You can delete a menu from your menu suite, whether it is a menu that you created, or one you received from your solution provider.

Attention

There is no undo function once you have completed the deletion.

You can choose to hide a menu instead. This will give you extra space in the menu pane area of the Navigation Pane. The menu is only hidden in design view. Any users that you have assigned the menu to will still be able to see it in their own menu suite.

Even though you delete a menu, all of the items in the menu will still be available in the list of menu items when you right-click in the Navigation Pane Designer and click Insert Items....

To Delete Menus from the Navigation Pane Designer:

  1. Click Tools, Navigation Pane Designer.

  2. Right-click the menu button for the menu that you want to delete and then click Delete.

  3. Click Yes to confirm that you want to delete the menu.


Creating New Database Files on Microsoft Dynamics NAV Database Server

You can expand your Microsoft Dynamics NAV database by creating extra database files.

To Create a New Database File:

  1. Click File, Database, Expand and the Expand Database window appears.

  2. Click Advanced and the Expand Database (Advanced) window appears.

    The "proper" name of the database is written in the Database Name field. This is the name that will be referred to in the future from other places in the program. If you need to use the name of the database to open it or to make a backup of it, use this name and ignore the fact that the database actually consists of more than one file.

    Each new database file must be set up on its own line.

  3. In the File Name field, enter the name (with the full path).

    If the database name is My db.fdb, for example, and it is located in c:\fin\, you can call the new database file My db part2.fdb and put it on another drive: d:\fin\.

    A third database file could be called My db part3.fdb and be located on yet another drive.

  4. In the New Size(KB) field, enter the size of the database file.

    At the bottom of the window, you can see how the entire database grows as you add kilobytes with each file you create.

  5. Click OK to save the information. You can continue working in the database.

In order to expand your database, you must have adequate space available. (You can see the space you have available in the Licensed Size(KB) field.)

If you do not have permission to expand the database, an error message will appear when you try to expand it.

There is no advantage to be gained by expanding your database to the maximum size because once space has been allocated to the database, it cannot be reclaimed again and you can't use it for anything else on your computer.

Related Topics

Expanding Databases on Microsoft Dynamics NAV Database Server

Creating Databases

Altering Databases on SQL Server


Selecting the SQL Server

Before you can create a database, you must select the SQL Server to create it on.

You can create as many databases as you want. To start with, create at least one database of your own (in addition to the one that comes with the program).

To Select the SQL Server:

  1. Click File, Database, New and the Select Server window appears. Enter the following information in the Select Server window:

  2. In the Server Name field, enter the name of the server. You can click the AssistButton and select the server from a list of available SQL Servers or you can enter the server name manually.

  3. In the Authentication field, enter the type of authentication that you want to use to prevent unauthorized access to Microsoft Dynamics NAV. You can select Database Server Authentication or Windows Authentication.

  4. In the User ID field, enter your User ID if you have selected Database Server Authentication.

  5. In the Password field, enter your password if you have selected Database Server Authentication.

  6. To set the network type to be used when connecting to the server, click Advanced and select the net type from the drop-down list in the Net Type window.

  7. Click OK to connect to the server and open the New Database window. Here you can specify additional information about the database.

For more information, see the manual Installation and System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Selecting the Net Type in the SQL Server Option

Creating Databases

Opening Databases


Opening Databases on Microsoft Dynamics NAV Database Server and Windows 2000

In order to work with Microsoft Dynamics NAV, you must first open a database and then open a company. After you have done this once, or if the database and company have been set up on the command line that starts the program, they will be opened automatically when you start the program. Therefore, you will only need to use the Open Database command when you want to open another database.

To Open a Database:

  1. Click File, Database, Open and enter the following information in the Open Database window:

  2. In the Server Name field, enter the name of the server. You can enter the server name manually or you can click the AssistButton and select the server from a list of the Microsoft Dynamics NAV Database Servers that are available in the current domain.

  3. In the Database Name field, enter the name of the database. If you have selected a server, you will not have to enter any information in the Database Name field.

    If you have not selected a server, you can click the AssistButton to open a standard Windows dialog box and select the database that you want to open.

    If you want to open a database that is not stored on the Microsoft Dynamics NAV server, you must enter the entire path and the name of the database manually.

    If the database is stored locally on your hard drive, you must enter the name of the database in the Database Name field. If you do not know the name of the database, you can use the AssistButton. A standard Windows dialog box will appear and you can use it to locate the desired database with the file extension .fdb.

  4. In the Authentication field, enter the type of authentication that you require. Click the AssistButton to choose between Windows Authentication and Database Server Authentication.

    If you select Database Server Authentication, your authentication will be carried out by the Microsoft Dynamics NAV Database Server that you have selected.

    If you select Windows Authentication, your authentication will be carried out by the Windows domain controller.

  5. In the User ID field, enter your User ID if you have selected Database Server Authentication.

  6. In the Password field, enter your password if you have selected Database Server Authentication.

  7. To set the network type to be used when connecting to the server, click the Advanced tab and select the net type from the drop-down list in the Net Type field.

  8. Click OK to open the database.

The Microsoft Dynamics NAV client and the Microsoft Dynamics NAV Database Server must be in the same domain.

When you are using the TCPS net type, you can no longer refer to the server as ‘Localhost’. You must enter the real machine name of the server, for example, ‘Server321’.

If you are using TCP/IP, you can still refer to the server as ‘Localhost’.

Note

Microsoft Dynamics NAV will automatically open the database and company that you were last working on when you reopen the program.

For more information, see the manual Installation & System Management: Database Server for the C/SIDE Client.

Related Topics

Available Microsoft Dynamics NAV Database Servers

Creating Databases

Opening Companies

Creating Companies


Opening Databases on the SQL Server Option for Microsoft Dynamics NAV

In order to work in the application, you must always open a database and a company - in that order. After you have done this once, or if the choices are on the command line that starts the program, this will happen automatically when you choose a company. Therefore, you will only need to click File, Database, Open when you want to open a different database than the one currently open.

To Open a Database:

  1. Click File, Database, Open and enter the following information in the Open Database window:

  2. In the Server Name field, enter the name of the server. You can click the AssistButton and select the server from a list of available SQL Servers or you can enter the server name manually.

  3. In the Database Name field, enter the name of the database. Click the AssistButton to make a selection from the list of databases that are available on the selected server.

  4. In the Authentication field, enter the type of authentication that you require. Click the AssistButton to choose between Database Server Authentication and Windows Authentication.

    If you select Database Server Authentication, your authentication will be carried out by the SQL Server that you have selected.

    If you select Windows Authentication, your authentication will be carried out by the Windows domain controller.

  5. In the User ID: field, enter your User ID if you have selected Database Server Authentication.

  6. In the Password field, enter your password if you have selected Database Server Authentication.

  7. To set the network type to be used when connecting to the server, click the Advanced tab and select the net type from the drop down list in the Net Type window. However, it is not usually necessary to change the network type from the default setting. The Default Net Type setting allows Microsoft Dynamics NAV to connect to a server using the default client network type assigned by SQL Server. You can change the net type with the Client Network Utility, which is part of the SQL Server Client Utilities, if they have been installed on the client computer.

  8. If you would like to attach and open a detached database that consists of a single data file (excluding the transaction log file), you must enter the complete path and file name of the database in the Attach File field. This file will typically have the .mbf extension. You can give this single file database any name by entering it in the Database Name field on the General tab. If no transaction log file exists alongside the data file, it will be created automatically when you attach the data file. The database file is attached when you open it.

  9. Click OK to open the database.

Note

Microsoft Dynamics NAV will automatically open the database and company that you were last working on when you reopen the program.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Available SQL Servers

Creating Databases on SQL Server

Opening Companies

Creating Companies


Creating Databases

The process of creating a database will differ depending on which version of Microsoft Dynamics NAV you are using. Select the version you are using to access the appropriate Help:

Creating Databases on Microsoft Dynamics NAV Database Server

Creating Databases in the SQL Server Option for Microsoft Dynamics NAV


Creating Databases on SQL Server

When you create a database you must specify its name, size, location and so on.

To Create a Database on SQL Server:

  1. Click File, Database, New and enter the following information in the Select Server window:

  2. In the Server Name field, enter the name of the server. You can click the AssistButton and select the server from a list of available SQL Servers or you can enter the server name manually.

  3. In the Authentication field, enter the type of authentication that you want to use to connect to the server. You can select Database Server Authentication or Windows Authentication.

    If you select Database Server Authentication, your authentication will be carried out by the SQL Server that you have selected.

    If you select Windows Authentication, your authentication will be carried out by the Windows domain controller.

  4. In the User ID field, enter your User ID if you have selected Database Server Authentication.

  5. In the Password field, enter your password if you have selected Database Server Authentication.

  6. To set the network type to be used when connecting to the server, click Advanced and select the net type from the drop down list in the Net Type window.

  7. Click OK to connect to the server and open the New Database window. Here you can specify additional information about the database. After you have selected the SQL server on which you want to create the database the New Database window appears.

In the New Database window, enter the information about the database that you want to create. The window contains the following tabs:

General

Database Files

Transaction Log Files

Collation

Options

Integration

Advanced

Warning

You can always enlarge a database later on, but you cannot make it smaller.

Note

As soon as you have created the database, it is ready to be filled with program objects and company data. Before you can create company data, some basic data must be imported from a backup copy of the original standard database (the one that comes with the application) into the new database. The backup must at least include the parts called Data Common to All Companies and Application Objects. Data Common to All Companies includes the program's report list and permission groups. When you restore the Application Objects, the accounting application is transferred to the database.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Selecting the Net Type

Creating Databases on Microsoft Dynamics NAV Database Server

Creating Companies

Deleting Databases


Creating Databases on Microsoft Dynamics NAV Database Server

When you create a database you must specify its name, size, location and so on.

To Create a Database on Microsoft Dynamics NAV Database Server:

  1. Click File, Database, Open and the New Database window appears.

  2. In the Server Name field, enter the name of the server.

    You can use the AssistButton and select the server from a list of the Microsoft Dynamics NAV Database Servers that are available within the current domain or you can enter the name of the server manually.

  3. When you enter something in the Server Name field, the AssistButton in the Database Name field will disappear, indicating that you must enter the name of the database manually. If you want to create a database that will not be stored on the Microsoft Dynamics NAV Database Server, you must enter the entire path and the name of the database manually.

    If you want to create a database that is stored locally, you do not need to enter anything in the Server Name field. You can use the AssistButton in the Database Name field to open a standard Windows dialog box and use it to create the database in the desired location.

  4. In the File Size (KB) field, enter the desired size (KB) of the database. The minimum size (1000 KB) is already entered in the field. To the right of this field, you can see what percentage of the maximum size is being taken up by this database.

  5. The Licensed Size (KB) field tells you the maximum size of the database that you can create. This information is contained in your license file.

Warning

You can always enlarge a database later on, but you cannot make it smaller.

Note

The database that you have just created contains only a few basic tables and is not yet ready for use in Microsoft Dynamics NAV. Before it can be used, you must restore a backup of the original standard database (database.fbk) into the new database.

This backup comes with Microsoft Dynamics NAV. If you have carried out a complete installation, it is stored in the Microsoft Dynamics NAV folder on the client computer. The backup contains all the information necessary for using the database, including Data Common to All Companies and Application Objects. Data Common to All Companies includes the program's report list and permissions groups. When you restore the Application Objects, the accounting application is transferred to the database.

For more information about databases, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

Creating Databases on SQL Server

Creating Companies

Deleting Databases


Testing Databases in the SQL Server Option for Microsoft Dynamics NAV

Use this function to test a database, for example, before you make a backup. It is a good idea to test your database frequently.

To Test a Database:

  1. Click File, Database, Test, and the Test Database window appears.

  2. In the Test Database window, you can specify the extent of the test by clicking one of these options: Minimum, Normal, Maximum, Custom.

Most of the tests involve running the SQL Server database consistency checker (DBCC). The following table lists the features that are tested during the different tests. It also lists the SQL Server DBCC tests that are carried out:

Level | Test Fields | Features Checked
Minimum | Test primary keys and data | All records in all tables can be read. Records are sorted in ascending order according to the primary key. All fields are correct in relation to the field type. DBCC CHECKTABLE (<Table>,NOINDEX)
 | Test BLOBs | All BLOBs (fields for pictures - for example, on an item card,) can be read. DBCC CHECKTABLE (<Table>,NOINDEX)
Normal | All the fields included in the Minimum test, plus: |
 | Test secondary keys | All secondary keys in all tables can be read. Sorting is performed correctly according to the secondary key. All fields in the sorting have the correct field type. DBCC CHECKTABLE (<Table>)
 | Test space allocation | All space in the database is either used by a sorting key or is available. DBCC CHECKALLOC (<Current Database>)
Maximum | All the fields included in the Normal test, plus: |
 | Test field relationships | All fields that have relationships to other fields can be accessed from the field that they are related to.
Custom | The same fields as the Maximum test. The difference is that you can cancel the tests that you don't want to run. | Whatever you select. However, some of these tests correspond to SQL Server tests and must run concurrently.
Primary and secondary keys are sometimes described as indexes and are used, for example, when you sort information. The keys determine how information in a table is ordered. You switch keys to sort the information in a table in a different way. The 'Test relationships between primary and secondary keys' test does not apply to the SQL Server Option.
Click the Options tab to specify how the output from the database test is managed:

The output from the database test consist of the errors messages that are generated. These can be handled as follows:

  • Screen: The error messages are displayed on the screen. Each time an error message is displayed you must click OK before the test continues. This can be quite troublesome if the test generates a large number of messages.

  • Event Log: The error messages are written in the operating system’s event log. For more information about the event log, see the operating system’s documentation.

  • File: The error messages are written to a text file. Use the AssistButton to specify the name and location of the text file.

If you select Event Log or File the database test is not interrupted and will not take so long. You can then review any error messages that were generated and repair the things that caused them.

Once you have started the test, a window appears containing information about the test status.

Warning

It is important that you have remembered to make backups and that you have made sure that they can be restored.

For more information, see the manual Installation and System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Sorting

Switching the Sorting Key


Altering Databases on the SQL Server Option for Microsoft Dynamics NAV

From time to time you will need to change the database property settings that you selected when you created the database.

To Alter a Database:

Click File, Database, Alter to open the Alter Database window. In the Alter Database window you can change some of the database settings.

The Alter Database window gives you access to the same settings as the New Database window. This enables you to change the database properties whenever you think it is necessary.

The Alter Database window contains the following tabs:

General

Database Files

Transaction Log Files

Collation

Options

Integration

Advanced

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Creating Databases

Expanding Databases on Microsoft Dynamics NAV Database Server


Selecting the Network Type in the SQL Server Option for Microsoft Dynamics NAV

The default setting allows Microsoft Dynamics NAV to connect to a server using the default client network type assigned by SQL Server. Initially, this is the Named Pipes protocol. However, if the SQL Server Client Utilities have been installed on the client computer, you can change the setting using the Client Network Utility.

To Specify the Network Type:

  1. Click File, Database, Open and the Open Database window appears.

  2. Click the Advanced tab.

  3. In the Net Type field, click the AssistButton and select one of the network types: Default, Named Pipes, TCP/IP Sockets, Multiprotocol.

  4. Click OK to save your selection and close the window.

For more information, see the manual Installation and System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Opening Databases on SQL Server

Creating Databases on SQL Server


Selecting the Network Type when running on Microsoft Dynamics NAV Database Server

You can select the network type (Net Type) that you want to use when you connect to the server. However, it is not usually necessary to change the default setting.

To Select the Network Type:

  1. Click File, Database, Open and the Open Database window appears.

  2. Click the Advanced tab.

  3. In the Net Type field, click the AssistButton and select one of the network types: TCPS, TCP/IP, NETBios.

TCPS is the default network type.

TCPS is a secure version of TCP/IP and uses the Security Support Provider Interface (SSPI) with encryption enabled and Kerberos authentication. We recommend that you use TCPS.

  4. Click OK to save your selection and close the window.

TCPS is a strict protocol and will only allow you to log on to Microsoft Dynamics NAV Database Server if:

  • the computer you are using is a member of the same domain as the server.

  • the user account that you are using is a Windows domain account in the same domain as the server and has been assigned some role(s) in the database.

Furthermore, if you are using TCPS and running Microsoft Dynamics NAV Database Server as a service on Windows™ XP and Windows Server™ 2003, you must run it as the NT Authority\Network Service or the Local System account. This means that you cannot run the server from a command prompt if you are using TCPS as the network protocol.

When you are running Microsoft Dynamics NAV Database Server as a service on Windows™2000, you can only use the Local System account.

To have the highest level of security and benefit from the TCPS protocol, we recommend that you run your Microsoft Dynamics NAV Database Server on Windows XP or on Windows Server 2003 and use TCPS as the network protocol.

For more information, see the manual Installation and System Management: Microsoft Dynamics NAV Database Server.

Giving the Service Account Access to the Database

To ensure that the users can connect to the database, you must remember to give the NT Authority\Network Service account or the user account that the server is running under access to the database file(s).

To give the NT Authority\Network Service account read and write access to a database file on Windows XP:

1. In Windows Explorer, navigate to the folder that contains the database file.

2. Select the database file, right-click it and click Properties.

3. In the Properties window, click the Security tab and under the Group and user names field, click Add.

4. In the Select Users, Computers, or Groups window, enter Network Service and click OK.

5. NETWORK SERVICE has been added to the Group and user names field in the Properties window.

6. Select NETWORK SERVICE and in the Permissions field give it Read and Write permission.

Related Topics

Changing the Network Type for a Database on Microsoft Dynamics NAV Database Server

Creating Databases on Microsoft Dynamics NAV Database Server

Opening Databases on Microsoft Dynamics NAV Database Server


Testing Databases on Microsoft Dynamics NAV Database Server

Use this function to test the database - for example, before you make a backup. It is a good idea to test your database frequently.

To Test a Database:

  1. Click File, Database, Test, and the Test Database window appears.

  2. In the Test Database window, you can specify the extent of the test by selecting one of these options: Minimum, Normal, Maximum, Custom.

When you make a selection, the system will put check marks next to the individual tests that make up the test you have selected. The following table lists the features that are tested during the different tests.

Level | Test Fields | Features Checked
Minimum | Test primary keys and data | All records in all tables can be read. Records are sorted in ascending order according to the primary key. All fields are correct in relation to the field type.
 | Test BLOBs | All BLOBs (fields for pictures - on an item card, for example) can be read.
Normal | Test primary keys and data | All records in all tables can be read. Records are sorted in ascending order according to the primary key. All fields are correct in relation to the field type.
 | Test secondary keys | All secondary keys in all tables can be read. Records are sorted in ascending order according to the secondary key. All fields are correct in relation to the field type.
 | Test space allocation | All space in the database is either free or used by a sorting key.
 | Test BLOBs | All BLOBs (fields for pictures - on an item card, for example) can be read.
Maximum | All the fields included in the Normal test plus: |
 | Test relationships between primary and secondary keys | The connection between the primary and secondary keys is correct.
 | Test field relationships between tables | All fields that have relationships to another table can be accessed from the table to which they are related.
Custom | The same fields as the Maximum test, but you can cancel the tests that you don't want to run. | Whatever you select.

Primary and secondary keys are sometimes described as indexes and are used, for example, when you sort information. The keys determine how information in a table is ordered. You switch keys when you want to sort according to a different key.

Warning

The Test space allocation test cannot be executed when there is more than one user on the system. If you select a test that includes it and there are others on the system, space allocation will not be tested even though the rest of the test will be executed normally.

Click the Options tab to specify how the output from the database test is managed:

The output from the database test consist of the errors messages that are generated. These can be handled as follows:

  • Screen: The error messages are displayed on the screen. Each time an error message is displayed you must click OK before the test continues. This can be quite troublesome if the test generates a large number of messages.

  • Event Log: The error messages are written in the operating system’s event log. For more information about the event log, see the operating system’s documentation.

  • File: The error messages are written to a text file. Use the AssistButton to specify the name and location of the text file.

If you select Event Log or File the database test is not interrupted and will not take so long. You can then review any error messages that were generated and repair the things that caused them.

Once you have started the test, a window appears containing information about the test status.

For more information, see the manual Installation and System Management: Database Server for the C/SIDE Client.

Related Topics

Sorting

Switching the Sorting Key


Expanding Databases on Microsoft Dynamics NAV Database Server

You may need to expand your database when it gets close to filling the disk space it has been allocated. However, there is no advantage to be gained by expanding your database to the maximum size because once space has been allocated to the database, it cannot be reclaimed again and you can't use it for anything else on your computer.

Warning

Remember to make a backup of the database before expanding it.

You will often be able to avoid having to expand your database by improving its use of space, for example by using date compression or by deleting the demonstration company (if it is in that database).

Ways of Expanding Databases:

  • You can add more kilobytes (KB) to the database.

  • You can create one or more new database files and link them to the old database.

The second method is a good one to use if there is no more space on the drive or the disk that contains the database.

To Expand a Database:

  1. Click File, Database, Expand and the Expand Database window appears.

  2. In the Add (KB) field, enter the number of kilobytes you want to add to the database or in the New Size field, enter the total number of kilobytes that you want the database to occupy.

  3. Click OK to save the changes.

Note

In order to expand your database, you must have adequate space available. (You can see this size in the Licensed Size(KB) field.)

If you do not have permission to expand the database, an error message will appear when you try to expand it.

Related Topics

Creating New Database Files on Microsoft Dynamics NAV Database Server

Creating Databases

Altering Databases on SQL Server


Backups

The purpose of making backups is to ensure that you always have an extra copy of your data. If a problem arises with the original data, you can import the backup data into the program. It is in your own interest to make backups, but the law also requires it.

The following is a description of the tools that Microsoft Dynamics NAV provides for automatically exporting backups.

You can make backups by copying the database directly with an operating system command, but there are four main advantages to using the Microsoft Dynamics NAV backup function:

  • The system tests the database for errors, so useless information is not copied to a backup.

  • The data is packed so it takes up as little space as possible.

  • The system calculates how much space the backup will use.

  • A message will appear when a disk is full telling you to insert a new one.

Whenever you create a new database, you must always restore a Microsoft Dynamics NAV database backup into it. When you do this the "data common to all companies" and the "application objects" are restored into the new, empty database. The data common to all companies includes the report list, permissions roles, user IDs and printer selections, but no real company data.

A database backup can consist of:

  • Entire Database (including all companies in the database, data common to all companies, and application objects)

  • All Companies (including data common to all companies)

  • Custom (whatever you select)

For more information about backups in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Making Backups

Restoring Database Backups


Restoring Database Backups

At some point you may need to restore a backup. Backups that were exported with the Microsoft Dynamics NAV backup facility can be imported by using Tools, Restore.

You should always restore the database backup into a new (empty) database.

Note

If the backup was exported to a tape station using the tape station's backup program, you should use the tape station's corresponding import program to restore the database into Microsoft Dynamics NAV. If you made the backup by using an operating system command to copy the database, you can just copy it back.

Even though the Microsoft Dynamics NAV backup procedure is secure, you can have problems restoring it if there are errors in the medium to which they were exported. You can guard against this by always having several levels of backups.

To Restore a Database Backup:

  1. Click Tools, Restore, and a standard Windows dialog box appears. Use this window to locate the backup that you want to restore.

  2. When you have located the backup, click Open and the Restore window appears. The name of the backup is displayed in the File Name field, and you can see the description and the time and date of its creation. Farther down in the window, you can see what was included in the backup:

    • Entire Backup - including all of the companies in the database, the Data Common to All Companies, and all the Application Objects.

    • All Companies - all of the companies in the database including the Data Common to All Companies.

    • Custom - what you chose, for example, certain companies, Data Common to All Companies and/or the Application Objects.

  3. You can restore less than the entire backup. To do this, remove the check marks next to items that you do not want included. You must always include Data Common to All Companies and/or Application Objects if you are restoring the backup into a completely empty database.

  4. After you have made your selection, click OK to start restoring the backup. A status window on the screen will inform you of the progress.

Restoring the database backup itself does not usually take a long time, but because the data is packed, the subsequent process of generating the complete data can be time-consuming, depending on the amount of data.

For more information about backups in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Backups

Making Backups


Changing your Password

If you work in a multi-user installation and have been given your user ID and password by the system manager, it is a good idea to change your password the first time you use the program. (That way you can be sure that you are the only one who knows it.) If you work in a single-user installation and have set up your user ID yourself, this isn't necessary.

Note

Passwords do not have time limits in Microsoft Dynamics NAV. If you want to set time limits for access, you can place an expiration date on the user ID, or you can choose an allowed posting period for each user. Open the User Setup window, to limit the posting period.

To Change your Password:

  1. Click Tools, Security, Password and the Change Password window opens.

    The user ID and user name, which appear in the two uppermost fields, cannot be changed here. To change them, click Tools, Security, Users.

  2. In the Current Password field, enter your current password. (Remember to distinguish between uppercase and lowercase letters.)

  3. In the New Password field, enter your new password.

  4. Confirm the new password by entering it again in the Reenter New Password field. This verifies that you entered it correctly the first time and that you can remember it. The password will not appear when you enter it, and you cannot see it anywhere else in the program.

    If a message appears informing that the password is incorrect, there are two possible causes:

    • You typed it wrong the second time – try again.

    • The password that you created is not what you think it is. (You made a typing error the first time, or maybe you used uppercase and lowercase letters differently in the two fields.) Enter the password in the New Password field again, and then reenter it again.

  5. Click OK if you want to change the password; click Cancel to stop the password from being changed. If you do change the password (that is, click OK), the program will log you out, and you will have to use your new password to restart Microsoft Dynamics NAV.

Related Topics

Passwords

Security


Creating Companies

You can create as many companies as you want in a database.

To Create a Company:

  1. Click File, Company, New, and the New Company window opens.

  2. Enter the name of the new company in the Company Name field.

    You can give the company any name you like, but if you create a company whose name starts with CRONUS (all in uppercase letters) while working under a demonstration license file, the company will automatically become a demonstration company, with all the restrictions that implies (you can only post between November and February, and so on).

    The company name can have a maximum of 30 characters. The company name is case-sensitive, that is to say it differentiates between uppercase and lowercase letters, so you can have one company called COMPANY and another called Company.

  3. Click OK to create the company.

When you create the company name, remember that it will be written at the top of various reports, so write it exactly as you want it to appear. If you make a mistake while entering the name, or if you want a different one, you can always choose File, Company, Rename to change it.

In principle, you can create as many companies as you like, but in practical terms you are limited by the amount of space on your PC and in the database you are using. A company does not take up a fixed amount of space, and as you can see in the New Company window, you do not need to allocate a certain number of kilobytes (KB) to it. But as you gradually enter more and more data into the company, you will see that there is less room left in the database.

Related Topics

Opening Companies

Renaming Companies


Opening Companies

To work with the data in Microsoft Dynamics NAV, you must first open a company.

To Open a Company:

  1. Click File, Company, Open, and the Open Company window appears. This window lists all of the companies to which you have access in the current database.

  2. Select the company that you want to open.

  3. Click OK to open the company.

You can also open a company by clicking the Main Menu button on the toolbar. When you click this button, only the companies in the current database that you have access to are presented as options.

Even when you click File, Company, Open for the first time and you have not already created any companies, there can be a company for you to open (if you are using the database that contains the demonstration company). This is the company that comes with the program. It contains a complete version of Microsoft Dynamics NAV and gives examples of how to set up various types of data. For example, it contains a chart of accounts, a list of customers, some items, posted entries, and so on.

It can be helpful to spend a little time learning about the program by investigating the demonstration company. You can recognize a demonstration company because its name starts with CRONUS and because you are allowed to post only in the months of November, December, January and February.

Note

You can use the demonstration company in two ways. If you want to see all the facilities in the system (including those you have not purchased permissions for), you must use the license file that comes with the demonstration company. It is called cronus.flf, and you can select it by clicking Tools, License Information, and clicking Change .

When you look at the demonstration company with your own license file, you will only be able to see the functions that your license file allows. Your personal license file is called fin.flf. You can select it in the same way as the demonstration license file, but click Import instead. If you work in a larger network, the license file is typically something your system manager will provide for you

Related Topics

Creating Companies

Deleting Companies


Selecting Several Single Lines

You might need to select several single lines in a window from time to time.

To Select Several Single Lines:

  1. Select the first line.

  2. Move to the next line you want to select, and hold the Ctrl key down while you click the select bar to the left of the line.

  3. Repeat this procedure for each line you want to select.

Related Topics

Selecting Several Consecutive Lines

Selecting Separate Groups of Lines

Selecting within a Field

Selecting all the Lines in a Window


Deleting Companies

You may need to delete a company from time to time.

To Delete the Current Company:

  1. Click File, Company, Delete, and the program will ask you to confirm (twice) that you want to delete the company.

  2. Confirm that you want to delete the company.

When you delete a company, the entire company including all of the data that it contains will be deleted. If you have made reports and customizations, they are not deleted. They are saved in the database.

It is not as dangerous to delete a company as it is to delete a database. You should, however, make a backup before you delete it, to be on the safe side.

When you choose to delete the company this way, the system will ask you twice whether you really want to delete the company.

Related Topics

Creating Companies

Creating Databases

Deleting Databases


Renaming Companies

You may need to rename a company from time to time.

Before you rename a company you must make sure that you are working in the company that you want to rename and that you are the only user who has access to the company.

To make sure that you are the only user with access to the company:

  1. Click File, Database, Alter and the Alter Database window appears.

  2. Click the Options tab and enter a check mark in the Single user option field and click OK.

To Rename the Current Company:

  1. Click File, Company, Rename and the Rename Company window appears.

  2. Replace the current company name with the new name you want to use.

  3. Click OK to accept the new company name.

You can rename a company whenever you want to. You can use this function if you have made a mistake when naming the company, or if you think that a different name will be easier to recognize.

Renaming a company that has been used and already contains data can take some time.

Note

When you work in the demonstration database that comes with the program, using the cronus.flf license file, you can only change the company name to one beginning with CRONUS (with uppercase letters).

Related Topics

Opening Companies

Creating Companies


Closing Companies

You may need to close the current company from time to time.

To Close the Current Company:

  1. Click File, Company, Close and the current company will be closed.

It is not necessary to close the current company if you just want to leave the application or open a different company.

If you just choose a different company, the system will close the current company.


Altering the Page Setup for Reports

Microsoft Dynamics NAV comes with some default settings for margins on printouts. You can punch holes at the side of the paper and put the printouts in a binder.

To Change the Standard Setup for Reports:

  1. Select the report whose margins you want to change.

  2. Click File, Page Setup and the Page Setup window appears.

  3. Choose the paper Size and Orientation that you want. If you change these, the illustration at the top of the window will change accordingly, so you can see the effect of your choices.

  4. Type the new dimensions of the margins you want to change in the Left, Right, Top and Bottom boxes. The illustration at the top will show the new margins (as a dotted line).

The program automatically saves the settings you have selected for this report, so that you do not have to select them each time you want to print the report.

Related Topics

Previewing Reports

Printing Reports

Saving Reports as HTML


Printing Reports

Microsoft Dynamics NAV contains numerous reports.

To Print a Report:

  1. Open the report you want to print.

  2. Click File, Print or click the Print button on the toolbar.

  3. You can also print a report by clicking Print in the report windows.

You can print the contents of any window that has a Print button. When you choose File, Print, the system opens a window where you can enter details about how the printing will be done.

In the uppermost field, you can see the name of the printer that is selected in the Windows Control Panel as your default printer. The printer selection will be valid for all of Microsoft Dynamics NAV until you choose a different one, or unless you associate a certain printer with a certain user and/or report in the [image] Printer Selections window.

Related Topics

Previewing Reports

Selecting Different Printers

Altering the Page Setup for Reports

Saving Reports as HTML


Previewing Reports

There are several ways of previewing a report:

  • Click File, Print Preview,

  • Click Print Preview on the toolbar

  • Click Preview in the report window.

You can use this function to see all printouts on the screen before you send them to a printer or a file. This function can be activated from all windows that have a Print button.

From the Print Preview window, you can scroll to other pages in the printout, you can choose to see the print on double or single pages, and you can zoom to make the page bigger or smaller.

Related Topics

Printing Reports

Altering the Page Setup for Reports

Selecting Different Printers

Saving Reports as HTML


Closing the Program

To close the program, click File, Exit, or click close in the upper right corner of the application window.

This function closes all of the windows in the application and exits the application correctly. If the program is in the process of executing a function, or if you haven't answered a question from the program, you will receive a message informing you of this. You can then complete the task before the application is closed.


Deleting Databases

Normally you take as many precautions as possible to avoid deleting a database - because to do so would usually be a big mistake. But if you really need to delete a database, you can do it in a completely "authorized" way by using this menu item.

You will need this function only in very special circumstances, because when you delete a database, all of the companies, reports and so on that are stored in it will disappear. If you do choose the function unintentionally, you will get a chance to cancel it before any damage is done, because the database will not be deleted until you have confirmed that you really want to delete it.

To Delete the Current Database:

  1. Click File, Database, Delete.

Related Topics

Creating Databases

Opening Databases on Microsoft Dynamics NAV Database Server

Opening Databases on SQL Server

Closing Databases


Closing Databases

You may need to close the database from time to time.

To Close a Database:

  1. Click File, Database, Close.

You can use this function to close an open database, for example, before opening another database. However, it is not necessary to use it because the program saves all the data and closes everything correctly when you choose to open another database or exit the program.

Related Topics

Creating Databases

Deleting Databases


Saving Reports as HTML

You can save your reports in HTML format.

To Save a Report in HTML Format:

  1. Click File, Save as HTML.

You can also save a report in HTML format from either the request form of the report or from the Print Preview window.

When you click Save as HTML, the report will be generated and converted to HTML format. You can then choose the name of the file in which you want to save the report, and the folder in which you want to store this file.

When a report is saved in HTML format it will not be printed.

Related Topics

Previewing Reports

Printing Reports

Altering the Page Setup for Reports

Selecting Different Printers


Hiding Columns

If you want a far right column and a far left column in a window to be displayed next to each other, you can hide the columns in-between.

To Hide a Column:

  1. Place the cursor in the column you want to hide.

  2. Click View, Hide Column on the menu bar.

    The column you have selected is hidden. You can do this for each column you want to hide.

  3. To make the columns visible again, or to see whether there are some columns that have been hidden in the current window, click View, Show Column.

When this function is be used to hide FlowFields on tabular forms, the FlowField is no longer calculated and this can improve performance slightly. However you might have some code on the form that uses the information in this FlowField and this will not work properly if the FlowField in question is invisible and therefore not calculated.

Related Topics

Showing a Column

Making Rows Taller or Shorter


Setting Work Dates

Microsoft Dynamics NAV uses the system date as the default work date. However, you may occasionally need to change the work date temporarily. For example, if you have many transactions to complete for a date that is not the system date.

To Change the Work Date From the Default:

  1. Click Tools, Work Date, and the Work Date window appears.

  2. In the Work Date field, enter the work date you want to use.

  3. Click OK to set the new work date.

Regardless of whether the work date comes from the system or is one you have set up, you can quickly enter it in all date fields by entering w.

If you have defined a work date, you can still easily insert the system date in date fields by entering t (which stands for today's date).

The program will only remember the work date for as long as you have the company open. If you open a different company, or when you open the company again the next day, you will have to set the work date again if you still need to use one that is not the system date.

Related Topics

Entering Dates


Logging Code Coverage

The Code Coverage tool enables you to check how much of the code is used by any given function. This tool works in the same way as the debugger and therefore reflects any limitations that may exist in the debugger.

Programmers can use the tool to log code coverage when they customize Microsoft Dynamics NAV. Code logging gives you an overview of the code that is executed in a usage scenario.

The Code Coverage tool can often be used instead of or in combination with the C/AL Debugger. Code logging can give programmers a quick overview, while step by step debugging can take a long time. You can read about the C/AL Debugger in the Application Designer's Guide.

The Code Coverage window lists the objects that have been used in a usage scenario.

To Log Code Coverage:

  1. Click Tools, Code Coverage to open the Code Coverage window.

  2. Click Start to clear the contents of the Code Coverage window and begin logging the code.

  3. Perform the operations that you want to monitor.

  4. When you are finished, go back to the Code Coverage window. It now contains a list of the tables, forms, reports, dataports and codeunits that were used in the operations that you just performed.

  5. Click Stop when you are finished logging the code.

  6. Select the object for which you want to see the code that was used. You can also select an object without first clicking Stop.

  7. Click Code and the Code Overview window opens.

The Code Overview window displays the code that is contained in this specific object. The lines of code that have been executed are colored black. The lines of code that have not been executed are colored red.

The Code Overview window displays the lines of code in the same way as the debugger:

  • Bullets are shown on each line that contains executable code.

  • The lines that are marked with a bullet are the only ones for which the information displayed is correct.

  • The lines of code that are not marked with a bullet are simply displayed in the same colors as the lines of code that surround them.

The information displayed in the Code Overview window is similar to the information shown in the debugger. The main difference is that in the debugger you see the code being executed, while the Code Overview window shows you which lines of code have been executed.

Running the Code Coverage tool when you are using Microsoft Dynamics NAV can generate an extremely large log file.

Note

You must not modify objects and log code coverage at the same time, because this will give inconsistent results.

Related Topics

Starting the Code Coverage Tool from the Command Prompt


Cutting

You use Cut together with Paste to move part or all of the contents of a field - or an entire record - to another place.

  1. Select the section you want to move.

  2. Click Edit, Cut.

  3. Click the place where you want to insert the clipping.

  4. Click Edit, Paste.

Related Topics

Copying

Pasting


Copying

You use Copy together with Paste to copy part or all of the contents of a field - or an entire record - to another place. The text you copy will also remain in its original location.

  1. Select the section you want to copy.

  2. Click Edit, Copy.

  3. Click the place where you want to insert the copy.

  4. Click Edit, Paste.

Related Topics

Cutting

Pasting


Pasting

You use Paste together with Cut or Copy to move or copy all or part of the contents of a field - or an entire record.

  1. Select the section you want to move or copy.

  2. Click Edit, Cut or Edit, Copy.

  3. Click the place where you want to insert the clipping or copy.

  4. Click Edit, Paste.

If something incorrect is pasted in, you may have forgotten to use Cut or Copy after you selected the text. You may also have cut or copied something else in the meantime.

Related Topics

Cutting

Copying


Selecting Several Consecutive Lines

There are three ways to select a group of lines:

  • Click the select bar to the left of the first line you want to select and, while holding the mouse button down, drag the mouse over the lines you want to select.

  • Select the first line by clicking the select bar. Move to the last line in the group and hold the Shift key down while you click the select bar there.

  • If you use only the keyboard, place the cursor on the first line you want to select and hold Shift down while you use the up or down arrow to highlight the lines you want to select.

Related Topics

Selecting Several Single Lines

Selecting Separate Groups of Lines

Selecting within a Field

Selecting all the Lines in a Window


Selecting Separate Groups of Lines

You may need to select several groups of lines in a window from time to time.

To Select Separate Groups of Lines:

  1. Select the first group of lines.

  2. Move to the first line of the next group you want to select, and hold the Ctrl key down while you click the select bar to the left of the line.

  3. Move to the last line in this group and hold both Ctrl and Shift down while you click the select bar to the left of this last line.

You can repeat this for each group of lines.

Related Topics

Selecting Several Single Lines

Selecting Several Consecutive Lines

Selecting within a Field

Selecting all the Lines in a Window


Selecting within a Field

You may need to select only some of the contents of a field from time to time.

To Select Less Than an Entire Line:

  1. With the mouse, place the cursor in the field and hold the mouse button down while you drag the mouse over the part you want to select.

  2. Alternatively, using the keyboard, place the cursor in the field and hold the Shift key down while you use the right or left arrow key. This will select one character at a time.

You can cancel the selection by clicking somewhere else with the mouse. If you use the keyboard, you can cancel the selection by pressing the up or down arrow once.

Related Topics

Selecting Several Single Lines

Selecting Several Consecutive Lines

Selecting Separate Groups of Lines

Selecting all the Lines in a Window

Selecting within a Field


Selecting all the Lines in a Window

To select all the lines in a window with rows and columns (for example, if you want to copy all the customer ledger entries in the Customer Ledger Entry window in order to insert them in a spreadsheet program) place the cursor in the window and click Edit, Select All.

Another way to do this is to click the empty square in the upper left corner (at the top of the select bar column) of a window with rows and columns. This method also selects any lines that are not visible in the window, because it is not big enough. You can see this by scrolling up or down in the window. Selected lines are highlighted.

If you choose Edit, Select All, to execute a function on all the records (cards or lines) in a table, you should remember that the window does not necessarily display the entire table. Often only part of the table is displayed because a table filter has been set. In this case, only records included by the filter will be visible, but invisible ones will also be selected.

If you want to make sure that there is no table filter on the window, you can click View, Select All. This removes table filters and deactivates the View, Marked Only function. So unless there is a fixed filter on the window, you will be able to see all records from the table in the window. (Fixed filters are defined in the program, and changing them requires special permissions). Examples of fixed filters are found in report lists that have been set up so that at one time you can only see reports about the general ledger, customers, vendors or inventory.

Related Topics

Selecting Several Single Lines

Selecting Several Consecutive Lines

Selecting Separate Groups of Lines

Selecting within a Field

Field Filters and Table Filters

Show All

Marked Only


Viewing the Properties of Objects

You may occasionally want to view the properties of Microsoft Dynamics NAV objects.

To View the Properties of an Object:

  1. Open the Design window for the relevant object.

  2. Select the object by clicking Edit, Select Object from the menu bar.

  3. On the menu bar, click View, Properties. The Properties window appears listing the properties of the object.

For more information, see the manual Application Designer's Guide.


Entering Information in the New Database - General Tab

When you are creating a new database you must enter information in the General tab of the New Database window.

To Enter Information in the General Tab:

  1. Click File, Database, New and the New Database window appears.

  2. Click the General tab. This tab displays the name of the server that you specified in the Select Server window.

  3. In the Database Name field enter the name of the new database.

This is the proper name of the database and will be displayed in all the windows that refer to this database.

If you click OK now, without entering information in the other tabs, Microsoft Dynamics NAV will create a new database using the default settings for the data files, transaction log files and collation type.

For information about the default database configuration, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Selecting the SQL Server

Creating Databases on SQL Server

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Integration Tab

Entering Information in the New Database - Advanced Tab


Entering Information in the New Database - Database Files Tab

Here you can specify the number of files that the new database will consist of. You can also enter the name, size, growth rate and so on, of the individual database files.

Note

We recommend that you give your database needs careful consideration before determining the size of the database. Expanding your database can take up considerable time and resources.

Microsoft Dynamics NAV will configure two data files for each new database. The first data file is created as the primary file in the PRIMARY file group. The second data file and every subsequent file that is added to the database will be created in an additional file group. The primary data file is always the first file listed on the Database Files tab and must always be specified.

As a default, the size of the primary data file will be set at 40 MB or at the size of the primary data file in the model database, whichever is the greater. The size of the secondary data file will be set at 160 MB. The size of the transaction log file will be set at 50% of the sum of the primary and secondary data files. These settings allow you to restore the standard database backup that comes with the program to a new database without causing the data or transaction log files to grow. You can change all of these sizes and all of the other file properties so that they meet your requirements before you create the database.

When you are creating a new database you must enter information in the Database Files Tab of the New Database window.

To Enter Information in the Database Files Tab:

  1. Click File, Database, New and the New Database window appears.

  2. Click the General tab.

  3. In the Logical Name field, enter a logical name for each data file. Logical names facilitate the management of data files.

  4. In the File Name field, enter the full path and name of each data file.

  5. In the Size (MB) field, enter the initial size in megabytes of each data file.

  6. In the File Growth field, enter the amount by which the data file will increase in size each time it expands. This can be expressed in kilobytes (KB), megabytes (MB) or as a percentage (%).

    The default value is MB.

    However, if you enter the value in megabytes, SQL server will convert it to kilobytes. If you enter the value as a percentage, SQL Server will display it as a percentage.

  7. In the Unrestricted Growth field, enter a checkmark indicating whether or not SQL Server can expand the data file when it needs to.

  8. In the Maximum size (MB) field, enter the maximum size to which the database can grow.

    You must either allow the data file to grow without restriction or you must specify a maximum file size. If you do not specify a maximum size, SQL Server will expand the data file as often as necessary. This expansion is only limited by the available disk space.

We recommend that primary data files have the extension .mdf and secondary data files have the extension .ndf.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Integration Tab

Entering Information in the New Database - Advanced Tab


Entering Information in the New Database - Transaction Log Files Tab

Microsoft Dynamics NAV will configure one transaction log file for each new database. As a default, the size of this transaction log file will be set at 50% of the sum of the primary and secondary data files.

The Transaction Log Files tab lets you control the location, size, growth and maximum size of all the transaction log files. The transaction log is used to track the changes that are made to the database and for database recovery.

When you are creating a new database you must enter information in the Transaction Log Files Tab of the New Database window.

To Enter Information in the Transaction Log Files Tab:

  1. Click File, Database, New and the New Database window appears.

  2. Click the Transaction Log Files Tab.

  3. In the Logical Name field, enter a logical name for each transaction log file. Logical names facilitate the management of transaction log files.

  4. In the File Name field, enter the full path and name of each transaction log file.

  5. In the Size (MB) field, enter the initial size in megabytes of each transaction log file.

  6. In the File Growth field, enter the amount by which the transaction log file will increase in size each time it expands. This can be expressed in kilobytes (KB), megabytes (MB) or as a percentage (%).

    The default value is MB.

    However, if you enter the value in megabytes, SQL server will convert it to kilobytes. If you enter the value as a percentage, SQL Server will display it as a percentage.

  7. In the Unrestricted Growth field, enter whether SQL Server can expand the transaction log file.

  8. In the Maximum size (MB) field, enter the maximum size to which the transaction log file can grow.

You must either allow the transaction log file to grow without restriction or you must specify a maximum file size. If you do not specify a maximum file size, SQL Server will expand the transaction log file as often as necessary. This expansion is only limited by the available disk space.

The transaction log contains the changes that are made to the database and is used for database recovery. We recommend that the transaction log files have the extension .ldf.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Integration Tab

Entering Information in the New Database - Advanced Tab


Entering Information in the New Database - Collation Tab

The Database New window contains editable collation information - that is to say the system you will use to sort and compare your data.

The SQL Server Option for Microsoft Dynamics NAV allows you to choose between Windows collations and SQL collations:

  • A Windows collation corresponds to the collations supported by the Windows operating systems, where they are known as Regional and Language Options.

  • SQL collations are the original collations introduced in SQL Server 7.0 and are still supported for backwards compatibility.

We recommend that you use a Windows collation when you create a database. This type of collation closely follows the collation rules of the operating system.

When you create a new database, this tab displays the default server collation information. If the server collation is a Windows collation, this collation will be used as the default collation for the database. If the server collation is a SQL collation, then a case and accent sensitive Windows collation for the English language will be used as the default collation for the database. If you don't make any modifications, this will be the collation information used for the new database.

You should always choose the collation settings that match your requirements when you create a database.

If you have selected the Validate Code Page option, the Collation tab only displays the collation descriptions that are supported by the operating system that is installed on the client computer that is being used to create the database. This means that it displays the collations that match either the OEM or ANSI code pages that are used by the client computer. If you have not selected the Validate Code Page option, the Collation tab displays all the available collations.

Before you create the database you can modify the collation to suit your requirements.

To Enter Information on the Collation Tab:

  1. Click File, Database, New and the New Database window appears.

  2. Click the Collation tab.

  3. If you select Windows Collation, you should choose a collation that matches your geographic location/language needs as closely as possible. Use the AssistButton to see the Windows collations that are available. If you select Windows Collation, the binary, case-sensitive and accent-sensitive properties of the collation can be modified. Selecting Binary will clear both the Case-sensitive and Accent-sensitive properties. Selecting either the Case-sensitive or Accent-sensitive properties will clear the Binary property.

  4. If you select SQL Collation, the Binary, Case-sensitive and Accent-sensitive properties are inactive because they are included in the collation description.

  5. If you select SQL Collation, you should choose a collation description that matches your code page and the required binary/dictionary and case-sensitive and accent-sensitive characteristics. Use the AssistButton to see the SQL collation descriptions that are available.

Each new database you create can use a different collation type.

The Validate Code Page option is selected by default. When this option is selected, every time a client connects to the database the OEM or ANSI code page that is used by the client computer is checked to make sure that it is compatible with the code page used by the database. When this option is not selected, the code page that is used by the client computers is not validated.

You can disable this option if you are sure that every character is converted correctly between all the clients and the database. Disabling this setting allows clients that are using different regional settings (code pages) to use the same database even though special characters entered by one client may not be interpreted correctly by another client or by the server.

Other problems that can be caused by not validating the code page are:

  • The sorting of textual data is governed by the database server and this means that the data may not be sorted according to the rules specified on the "incompatible" client computers. This problem will be more acute if there is some C/AL code that only works correctly when a particular sort order is selected.

  • If you are accessing SQL Server with external tools, these tools may not be able to read the data that has been entered by the "incompatible" clients correctly.

We therefore recommend that you use the default setting and validate code pages because this will avoid all these problems.

For more information about collations in Microsoft Dynamics NAV and code page validation, see the manual Installation and System Management: SQL Server Option for the C/SIDE Client.

For more information about collations and code pages, see Microsoft's documentation.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Integration Tab

Entering Information in the New Database - Advanced Tab


Entering Information in the New Database - Options Tab

The Options tab contains advanced settings for the database. These options can be changed later.

This tab contains the following advanced settings for the database:

Access:

  • Members of db_owner, dbcreator or sysadmin: If you select this option, only members of the db_owner fixed database role, the dbcreator fixed server role or the sysadmin fixed server role have access to the database.

  • Single user: If you select this option, only one user at a time can access the database. You should select this setting when, for example, you need to test or restore the database and do not want anyone to make changes while you are working. Remember to clear this check box when you are finished. You should also select this option if you need to rename a company.

Settings:

  • Recovery Model

This setting determines the kind of information that is written to the transaction log and therefore the kind of recovery model that you want to use in this database.

The options are:

  • Bulk-Logged

  • Full

  • Simple

Bulk-Logged

If you select Bulk-Logged, the transaction log will only contain limited information about certain large-scale or bulk copy operations. The Bulk-Logged Recovery model provides protection against media failure combined with the best performance and minimal use of log space for certain large-scale or bulk copy operations.

The backup strategy for bulk-logged recovery consists of:

  • Database backups.

  • Differential backups (optional).

Full

If you select Full, the details of every transaction are stored in the transaction log, and this information can be used when you apply transaction log backups. The Full Recovery model uses database backups and transaction log backups to provide complete protection against media failure. If one or more data files are damaged, media recovery can restore all the committed transactions. Incomplete transactions are rolled back.

Full Recovery allows you to recover the database to the point of failure or to a specific point in time. To guarantee this degree of recoverability, all the operations, including bulk operations such as SELECT INTO, CREATE INDEX, and bulk loading data, are fully logged.

The backup strategy for full recovery consists of:

  • Database backups.

  • Differential backups (optional).

  • Transaction log backups.

The Full and Bulk-Logged recovery models are similar, and many users of the Full Recovery model will use the Bulk-Logged model occasionally.

Simple

If you select Simple, the database can be recovered to the point at which the last backup was made. However, you cannot restore the database to the point of failure or to a specific point in time. To do that, choose either the Full or Bulk-Logged Recovery model.

The backup strategy for simple recovery consists of:

  • Database backups.

  • Differential backups (optional).

  • ANSI NULL default: Here you can specify whether the database default NULL settings for column definitions and user-defined data types are to be applied. When you select this option, all user-defined data types or columns that have not been explicitly defined as NOT NULL are set to allow NULL entries. Columns that have been defined with constraints follow the constraint rules, regardless of this setting.

  • Recursive triggers: Triggers can have direct recursion or indirect recursion. Direct recursion occurs when a trigger fires and performs an action that causes the same trigger to be fired again. Indirect recursion occurs when a trigger fires and performs an action that causes a trigger on another table to fire. This second trigger updates the original table, causing the first trigger to fire again.

  • Auto shrink: This option enables you to specify whether or not SQL Server can periodically shrink data files and transaction log files.

  • Torn page detection: If you select this option, SQL Server can detect incomplete Input/Output operations that have been caused by power failures or other system outages.

    Torn pages are usually detected when you start SQL Server again after, for example, a power failure. You must restore the backup of the database, and any transaction log backups should be applied.

  • Allow Find As You Type: This setting determines whether or not you can use the Find As You Type option when using the Find function to find an entry in a table or form. Using the Find As You Type facility can affect performance because requests are sent to the server for each character that is typed.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Integration Tab

Entering Information in the New Database - Advanced Tab


Switching the Sorting Key

Microsoft Dynamics NAV allows you to change the key that you use for sorting your data.

To Change the Sorting Key:

The following example illustrates how to switch to a different sorting key.

  1. Open the [image] Vendor Card window and find a vendor that has ledger entries.

  2. Click Vendor, Ledger Entries, and the Vendor Ledger Entries window appears. Scroll to the right in the window until you can see the Open field. The entries that are still open will have a check mark in the Open field.

  3. On the menu bar, click View, Sort. The Vendor Ledger Entries - Sort window appears displaying the sorting keys that exist for the Vendor Ledger Entry table.

  4. Select Open,Due Date.

    On the frame under the keys, you can also determine whether the entries should appear in Ascending or Descending order. The default is Ascending.

  5. To see the effect of the sorting without closing the Vendor Ledger Entries - Sort window, click Apply. If you are sure that you have the correct sorting order, click OK. The Sort window will close and you will return to the Vendor Ledger Entries window with the new sorting.

Sorting orders the lines according to whether they are open, and then by due date (the columns are not moved around). This gives you a quick overview of what you owe this customer.

Note

The new sorting will apply to all vendors until you change it. If you want to look at entries for a different vendor with the same sorting, you can browse to the card for that vendor. The Vendor Ledger Entries window will be updated accordingly.

Related Topics

Sorting


Altering Databases - General Tab

In the General tab of the Alter Database window, you can see the name of the server and the name of the database. However, this information is read-only and can not be changed.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Altering Databases on SQL Server

Altering Databases - Database Files Tab

Altering Databases - Transaction Log Files Tab

Altering Databases - Collation Tab

Altering Databases - Options Tab

Altering Databases - Integration Tab


Increasing the Size of Database Files

You can expand your Microsoft Dynamics NAV SQL Server database by increasing the size of one or more of its constituent database files.

Warning

You must always make a SQL Server backup of your database before expanding it.

To Increase the Size of a Database File:

  1. Click File, Database, Alter and the Alter Database window appears.

  2. Click the Database Files tab.

  3. Select the data file that you want to expand.

  4. Click the Size (MB) field and enter the new size.

If the Unrestricted Growth option is not selected and the database has grown to its maximum size, you can either select the Unrestricted Growth option or increase the maximum size of one of the secondary data files.

You can also delete existing data files that are empty. The first data file that is listed is the primary file, and cannot be deleted.

Related Topics

Altering Databases - Database Files Tab

Altering Databases - General Tab


Creating New Database Files on the SQL Server Option

You can expand a database by creating a new database file in the database.

Note

You must always make a SQL Server backup of your database before expanding it.

To Add a New Database File:

  1. Click File, Database, Alter and the Alter Database window appears.

  2. Click the Database Files tab.

  3. Select the first empty line in the window.

  4. In the Logical Name field, enter a logical name for each database file.

  5. In the File Name field, enter the full path and name of the database file.

  6. In the Size (MB) field, enter the initial size in megabytes of the database file.

  7. In the File Growth field, enter the amount by which the database file will increase in size each time it expands. This can be expressed in kilobytes (KB), megabytes (MB) or as a percentage (%).

    The default value is MB.

    However, if you enter the value in megabytes, SQL server will convert it to kilobytes. If you enter the value as a percentage, SQL Server will display it as a percentage.

  8. In the Unrestricted Growth field, click to insert a check mark if you want SQL Server to expand the database file when it needs to.

  9. In the Maximum size (MB) field, enter the maximum size to which the database file can grow.

    You must either allow the database file to grow without restriction or you must specify a maximum file size. If you do not specify a maximum size, SQL Server will expand the database file as often as necessary. This expansion is only limited by the available disk space.

We recommend that primary database files have the extension .mdf and secondary database files have the extension .ndf.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Increasing the Size of Database Files


Making Backups

You will need to make backups of your database from time to time.

To Make a Database Backup:

  1. Click Tools, Backup, and the Backup window appears. You use this window to specify how extensive you want the backup to be and to create the database backup.

  2. Select the type of backup you want to make. The options are: Entire Database, All Companies and Custom.

  3. If you select Custom, you must place a check mark next to the companies that you want copied. You do this in the list of companies under Selected Companies. It is always a good idea to make backups of as much information as possible. If you need to restore a backup later on, you will not need to restore the entire backup - you can determine how much of the backup should be restored.

  4. In the Description field, you must give the backup a unique description.

  5. In the File Name field, enter a name. This is the name under which the backup will be saved.

    Microsoft Dynamics NAV will suggest a consecutive numbering and the file extension .fbk. It is a good idea to use this system because Microsoft Dynamics NAV will use the same default when you import backups. It will also help you get a quick overview of the backups you have. The file name of the backup should include the path to the folder in which you want to store the backup.

  6. Once you have specified the name of the backup, as well as the drive and the folder where you want to save the backup, click OK to start making the backup.

The file name of the backup includes the path (location on the disk or network), so if you enter only a file name, the backup will be saved in the current folder on the current drive. This will normally be in the same place as Microsoft Dynamics NAV. If you want to save the backup in a different location (because it takes up too much space), you will have to enter the path along with the name in the File Name field. To make this easier, you can use the AssistButton to the right of the field to save the backup with the right name and in the desired location.

While the backup is being made, you can see information about the status of the database being copied (at the top of the window) and of the disk that it is being copied to. If you change your mind about proceeding with the backup, click Cancel at the bottom of the window. If you do not cancel it, the backup will proceed, and you will receive a message when it is finished.

For more information about backups in Microsoft Dynamics NAV, see the Installation and System Management manual for either Microsoft Dynamics NAV Database Server or the Microsoft Dynamics NAV SQL Server Option.

Related Topics

Backups

Restoring Database Backups


Increasing the Size of Transaction Log Files

You can expand your transaction log by increasing the size of one or more of its constituent files.

Note

You must always make a SQL Server backup of your database before expanding it.

To Increase the Size of a Transaction Log File:

  1. Click File, Database, Alter and the Alter Database window appears.

  2. Click the Transaction Log Files tab.

  3. Select the transaction log file that you want to expand.

  4. In the Size (MB) field, enter the new size.

If the Unrestricted Growth option is not selected and the transaction log has grown to its maximum size, you can either select the Unrestricted Growth option or increase the maximum size of one of the transaction log files.

Related Topics

Altering Databases - Transaction Log Files Tab

Adding New Transaction Log Files


Adding New Transaction Log Files

You can expand a transaction log by creating a new transaction log file in the database.

To Add a New Transaction Log File:

  1. Click File, Database Alter and the Alter Database window appears.

  2. Click the Transaction Log Files tab.

  3. Select the first empty line in the window.

  4. In the Logical Name field, enter a logical name for each transaction log file. Logical names facilitate the management of transaction log files.

  5. In the File Name field, enter the full path and name of each transaction log file.

  6. In the Size (MB) field, enter the initial size in megabytes of each transaction log file.

  7. In the File Growth field, enter the amount by which the transaction log file will increase in size each time it expands. This can be expressed in kilobytes (KB), megabytes (MB) or as a percentage (%).

    The default value is MB.

    However, if you enter the value in megabytes, SQL server will convert it to kilobytes. If you enter the value as a percentage, SQL Server will display it as a percentage.

  8. In the Unrestricted Growth field, enter whether SQL Server can expand the transaction log file.

  9. In the Maximum size (MB) field, enter the maximum size to which the transaction log file can grow.

You must either allow the transaction log file to grow without restriction or you must specify a maximum file size. If you do not specify a maximum file size, SQL Server will expand the transaction log file as often as necessary. This expansion is only limited by the available disk space.

The transaction log contains the changes that are made to the database and is used for database recovery. We recommend that the transaction log files have the extension .ldf.

For more information, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Altering Databases on SQL Server

Altering Databases - Transaction Log Files Tab

Increasing the Size of Transaction Log Files


Modifying the Printout of Reports

Microsoft Dynamics NAV allows you to change the printout of a report so that it suits your requirements.

To Modify the Printout of a Report:

  1. Click File, Page Setup, to specify the paper size and the page setup (including the margins) for the particular report.

  2. Click File, Print, to specify what you want printed and how many copies you want.

You can print the contents of any window that has a Print button. When you click File, Print, the program opens the Print window where you can enter details about how the printing will be done. You can see the name of the printer that was selected as your default printer in the Windows Control Panel. The printer selection will be valid for all of Microsoft Dynamics NAV until you choose a different one, or unless you associate a certain printer with a certain user and/or report the [image] Printer Selections window.

Related Topics

Printing Reports

Previewing Reports

Saving Reports as HTML


Selecting Different Printers

You can select the printer that you want to use to print your reports.

To Select a Different Printer:

  1. Click File, Print, and the Print window appears.

  2. In the Name field, click the AssistButton to select the printer from a list of the available printers.

    There are several options available for each printer. To access these options, click Properties on the right in the window.

    The Print window contains various options that let you determine what will be printed and how it will be printed.

  3. When you are satisfied with your selections, click OK to start printing the report.

You can print the contents of any window that has a Print button. When you choose File, Print, the program opens a window where you can enter details about how the printing will be done. You can see the name of the printer that was selected as your default printer in the Windows Control Panel. The printer selection will be valid for all of Microsoft Dynamics NAV until you choose a different one, or unless you associate a certain printer with a certain user and/or report in the [image] Printer Selections window.

Related Topics

Printing Reports

Previewing Reports

Saving Reports as HTML

Modifying the Printout of Reports


Finding a Particular Entry in a Window

From time to time you will need to find a particular entry in the active window. This window can contain a large number of entries.

To Find a Particular Entry in a Field:

  1. Click in the field you want to search in. Then, on the menu bar click Edit, Find and the Find window will appear in which you can enter the string of characters (words or numbers, for example) that you want to search for. In the window's title bar, you can see what field you are searching in. If the cursor is in a code field, when you click Edit, Find the program will search for the character string only in that field.

    You can also open the Find window by typing in a non-editable field.

  2. In the Find What field, enter the character string you want to search for. You can use uppercase and/or lowercase letters as you want. Microsoft Dynamics NAV will consider case (and diacritics) only if you place a check mark in the Match Case field.

Start the search by clicking one of the following:

Find First | The search starts from the location of the cursor and finds the first word or number that is identical to the one you are searching for.
Find Next | The program finds the next word or number identical to the one you are searching for. This is used after you have used Find First, to find more examples.
Find Previous | The search starts from the location of the cursor and the program finds the previous word or number that is identical to the one you are searching for.

When the program finds something that matches the search string, it stops searching - with the cursor on the record where it has found the match. If this is what you were looking for, you can close the search window. If it isn't, click the Find Next button to continue the search.

A message on the screen will tell you if the program cannot find the search string. You may also receive a message that the program has searched as far as possible in a given direction. You will be asked whether you want to continue the search starting in the other direction.

You can select additional criteria before you start to search:

Match | Here you can choose whether to search the beginning of the contents of a field, the entire field contents or any part of the field contents. You can only select Beginning of Field or Any Part of Field to search fields that contain text or codes.
Match Case | If you select this option, the program will search only for exactly what you have entered. That is, the use of upper- and lowercase letters must be exactly the same. If the same word exists but with any of the letters in a different case than you have specified, the word will not be found.
Use the Best Key | If this function is selected, the program will switch sorting keys so the table in which you are searching will be sorted in the most practical way before the search begins. This option is very useful when you want to search in large tables.
Find as You Type | If this function is selected, the program will begin searching for the next occurrence of the text you enter in the Find What field, as soon as you start typing. You will not be interrupted by messages if a match is not found or if you reach the last record. Also, in most cases you do not need to press any of the Find buttons. This function is useful for finding information with as few keystrokes as possible. When you find the desired record, simply press Enter to close the Find window and continue working. When you open the Find window by typing in a non-editable field, Find as You Type will always be checked.

If you want to go back to the record that was current before you started searching, click Go Back.

If you want to replace the word you are looking for, you can click Replace. It opens the same window that appears when you choose Edit, Replace.


Replacing a Particular Entry in a Window

From time to time you will need to replace a particular entry in the active window. This window can contain a large number of entries making it difficult to find the particular entry.

You should therefore use the Replace function to replace the contents of one particular field in a window at a time. It is only possible to replace information that can be edited. If you try to replace something that you are not allowed to replace, you will get an error message. If you have replaced the contents of a field, you cannot undo the replacement by clicking Edit, Undo.

To Replace a Particular Entry in a Window:

  1. On the menu bar, click Edit, Replace (or click Replace in the window that appears when you choose Edit, Find) and the Replace window appears.

  2. In the Find What field, enter the search string that you want to replace.

  3. In the Replace With field, enter the string that you want to replace it with. You can use uppercase or lowercase letters as you want; Microsoft Dynamics NAV will consider case or diacritics only if you place a check mark in the Match Case field.

You start the search by clicking one of the following:

Find First | The search starts from the location of the cursor and finds the first word or number that is identical to the one you are searching for.
Find Next | The program finds the next word or number identical to the one you are searching for. This is used after you have used Find First, to find more examples.
Find Previous | The search starts from the location of the cursor and the program finds the previous word or number that is identical to the one you are searching for.

The replace part of the function can either be run so that you must confirm each replacement, or so that the replacement is done automatically:

  • If you want to confirm the replacement each time, click Find First, Find Previous or Find Next and then click Replace when the search string is found. The search will not continue automatically; to replace in several places, you must repeat the entire procedure.

  • To have the function replace the search string every time it occurs in the entire window, click Replace All.

A message on the screen will tell you if the program cannot find the search string. You may also receive a message that the program has searched as far as possible in a given direction. You will then be asked whether you want to continue the search starting from the opposite end of the table.

You can enter additional criteria before you start to replace:

Match | Here you can choose whether to search the beginning of the contents of a field, the entire field contents or any part of the field contents. You can only select Beginning of Field or Any Part of Field to search fields that contain text or codes.
Match Case | This option relates only to the search part of the function and tells the system to distinguish between the uppercase and lowercase of a letter. The replacement will always be exactly like the character string you have entered in the Replace With field.
Use the Best Key | When this function is selected, the program will switch sorting keys so the table in which you are searching will be sorted in the most practical way before the Find/Replace function begins. This option is very useful when you want to use the Find/Replace function in large tables.
Replace Whole Field | Normally, only the portion of the field that corresponds to the search string will be replaced. When this option is selected, the entire contents of the field will be replaced.


Changing the Height of Rows

You can change the height of all rows (including heading rows), that is, you can create more or less blank space between the rows. To change the height of the heading row, you must make changes to it. Changes made to one of the other rows will be duplicated in all non-heading rows.

To Change the Height of Rows:

  1. To change the line height the cursor must be in the gray column to the left of all rows.

  2. Move the cursor to the bottom of the row to be changed.

  3. The cursor now becomes a horizontal line with an arrow through it.

  4. Hold the mouse button down and drag the bottom line of the row up to make the row shorter or down to make the row taller.

  5. Release the mouse button when you are satisfied with the height.

Related Topics

Showing Columns


Displaying the Toolbar

Microsoft Dynamics NAV allows you to determine whether or not the toolbar will be displayed and if so, how it should look.

To Customize the Toolbar:

  1. Click View, Toolbar and the Toolbar window will appear. This window contains five check boxes.

  2. You can select each option by inserting a check mark in the checkbox. The available options are:

Field | Means:
Toolbar | The toolbar will be displayed on the screen.
Color Buttons | The toolbar buttons will be displayed in color instead of black and white.
Large Buttons | The toolbar buttons will be displayed in large format.
Show ToolTips | When you place the cursor on a toolbar button, its name will be displayed.
With Shortcut Keys | A check mark in this field combined with a check mark in Show ToolTips means that the ToolTip will contain both the name of the button and the shortcut key.


Starting the Code Coverage Tool from the Command Prompt

You should only start the Code Coverage tool from the command prompt when you want to get a total overview of the code used when running Microsoft Dynamics NAV or when you are testing the application.

To start Microsoft Dynamics NAV from the Command Prompt:

  1. With the Code Coverage tool on enter the following command:

      2. fin COVERAGELOG

  2. With the Code Coverage tool on and log the results in file XX.XX enter the following command:

      3. fin COVERAGELOG, COVERAGEFILENAME=XX.XX

  3. With the Code Coverage tool off and load an existing result from file XX.XX enter the following command:

fin COVERAGEFILENAME=XX.XX

Running the code coverage tool for this purpose will generate a very large log file.

Related Topics

Logging Code Coverage


Showing Columns

This function displays a window that shows which columns are visible and which are not, so if you are not sure whether any columns have been hidden, you can use Show Column to find out.

If you have used View, Hide Column to hide some columns in a window, you can make them visible again with this function.

To Show a Column:

  1. Click View, Show Column and the Show Column window appears.

    The Show Column window contains the field names of all the columns in the active window.

    If there is no check mark next to a field name, that column is hidden.

  2. To make a column visible on the screen, click to the left of the field name to place a check mark.

  3. To leave the column hidden, leave it without a check mark.

When this function is be used to hide FlowFields on tabular forms, the FlowField is no longer calculated and this can improve performance slightly. However you might have some code on the form that uses the information in this FlowField and this will not work properly if the FlowField in question is invisible and therefore not calculated.

Related Topics

Making Rows Taller or Shorter


Using Field Filters

A field filter performs the same function as a table filter. But the field filter sets a filter only on the field that contains the cursor when you choose the function. It is a good idea to check your filters by occasionally using the table filter function to get an overview of all the filters that have been set in a window.

To Use a Field Filter:

Here is a description of how to use a field filter to filter the Customer table so that the only customer cards displayed are those on which the salesperson code is PS.

  1. Open the [image] Customer Card window.

  2. Click the Salesperson Code field.

  3. On the menu bar, click View, Field Filter.

    In the window that appears, enter the criteria to be met. To begin with, the filter field has the same contents as the field on the card, but just type over the contents.

  4. Enter PS, and then click Apply.

    If you browse through the customer cards now, you will see only cards that have PS as the salesperson code. The other customers are still in the database, but you won't see their cards until you remove the filter:

  5. On the menu bar, click View, Show All.

Now you can see all the cards in the Customer table again.

If you want filters on more than one field, you must set a table filter.

There are three buttons (plus Help) in the filter window. Click Apply to apply the filter you have entered in the field and see the result (while leaving the filter window open). Click OK to apply the filter and close the filter window. Click Cancel to close the filter window without saving changes you have made in the filter field since you last clicked Apply or OK.

Note

It is important to enter only meaningful filters. For example, it is possible to specify an interval that does not exist, and the program cannot check this for you. In order to enter meaningful filters, you must know the sorting rules that the program follows.

Related Topics

Entering Criteria in Filters

Using Table Filters

Sorting


Using FlowFilters

A FlowFilter limits the contents of the fields that display amounts or quantities that the program calculates from entries in other tables. By using these filters, you can choose to see entries in the other tables, for example, within a certain date interval or with a particular location code.

FlowFilters can be entered in fields that end with the term Filter, such as Date Filter, Global Dimension 1 Filter or Location Filter. These are called FlowFilter fields. Press Shift+F7 or click View, FlowFilter to open a window where you can enter the criteria.

To Use a FlowFilter:

Here is an example of how to use a location filter on an item card.

  1. Open the [image] Item Card window.

  2. On the menu bar, click View, FlowFilter.

  3. Scroll to the line containing the Location Filter in the Field field, click the Filter field, and then click the AssistButton and the Locations window appears.

  4. Select a location in the Locations window and click OK. The location you selected is now displayed in the FlowFilter window.

  5. Click OK to register the location on the item card.

The window will now show the various quantities for this particular location only.

Note that in the lower right corner, the program says FILTER.

When finished, click again on the FlowFilter window and delete the filter you entered next to Location Filter. Click OK.

Related Topics

Entering Criteria in Filters

FlowFilters


Using Table Filters

Use the table filter function to filter more than one field at a time.

It is a good idea to check your filters by occasionally using the table filter function to get an overview of all the filters that have been set in a window.

To Use a Table Filter:

Here is an example of how to use the table filter to specify criteria for several fields.

  1. Open the [image] Chart of Accounts window.

  2. On the menu bar, click View, Table Filter.

    Now you will see a window displaying the fields that are filtered. If no filters have been set, the window will show the field where the cursor was placed.

    In the left column you can insert the names of the fields you want to filter. As an example, add the No. and Account Type fields to the filter window:

  3. On the top line, click the Field field. Click the AssistButton and the G/L Account Field List window appears.

  4. Select the No. field and click OK to copy the field name to the G/L Account - Table Filter window.

  5. Repeat step 3 to add the Account Type field.

  6. In the right column, enter the criteria for the respective fields:

    Next to the No. field, enter 6000..9999.

    Next to the Account Type field, enter Posting.

  7. Click Apply.

    To see the result of the filter, click the Chart of Accounts window. It now contains only accounts with numbers in the interval 6000-9999 (income statement). The filter on Account Type field has removed all heading and total accounts, so that all the accounts in the window are posting accounts.

  8. On the menu bar, click View, Show All.

    Now you can see all the G/L accounts again.

There are three buttons (plus a Help button) in the filter window. Click Apply to apply the filter you have entered in the field and see the result (while leaving the filter window open). Click OK to apply the filter and close the filter window. Click Cancel to close the filter window without saving changes you have made in the filter field since you last clicked Apply or OK.

Note

It is important to enter only meaningful filters. For example, it is possible to specify an interval that does not exist, and the program cannot check this for you. In order to enter meaningful filters, you must know the sorting rules that the program follows.

Related Topics

Entering Criteria in Filters

Using Field Filters

Sorting


Sending Reports by E-Mail

Microsoft Dynamics NAV allows you to send reports by e-mail. These reports are sent in HTML format.

This function is integrated with your e-mail system and allows you to send a report directly from Microsoft Dynamics NAV. For example, you can send relevant reports to other employees in your company.

To Send a Report by E-Mail:

  1. Open the report or view the report with the Preview function.

  2. Click File, Send, Report by E-Mail and the program will automatically attach the report as a file in HTML format to an e-mail. The recipient can open the file with an Internet browser.

Related Topics

Sending Links to Forms or Reports by E-Mail

Copying Links to Forms or Reports

Sending Shortcuts to your Desktop

Previewing Reports

Modifying the Printout of a Report

Saving Reports as HTML


Sending Links to Forms or Reports by E-Mail

Microsoft Dynamics NAV allows you to send a link to a form or a report by e-mail.

This function is integrated with your e-mail system and allows you to send links by e-mail directly from Microsoft Dynamics NAV. For example, you can send a link to a form or a report to other employees in your company.

To Send a Link by E-Mail:

  1. Open the report or form that you want to link to.

  2. Click File, Send, Link by E-Mail and a New Message window appears. The program automatically pastes the link to the Attach field. The recipients open a link by double-clicking the link in the Attach field.

Related Topics

Sending Reports by E-Mail

Copying Links to Forms or Reports

Sending Shortcuts to your Desktop


Using the Client Monitor

Programmers can use the Client Monitor feature to monitor the communication between an individual client computer and a Microsoft Dynamics NAV Database Server. It can also be used to monitor communication between the client and a database that is stored locally.

The Client Monitor generates a log of all the calls that are made to the database and gives you an overview of the sequence in which the calls are made and the database objects that are called. This data is stored temporarily in the memory of the client computer and is only removed when the client terminates their current database session.

To Use the Client Monitor:

  1. Click Tools, Client Monitor and the Client Monitor window appears.

  2. Click Start to activate the Client Monitor.

  3. You can now close the Client Monitor window while you perform the tasks you want to investigate.

  4. When you have completed these tasks, click Tools, Client Monitor to display the window again.

  5. Click Stop to stop monitoring the database calls.

  6. The Client Monitor window now displays a list of all the database calls that were made and the order in which they were made.

Note

The information gained from using the Client Monitor can be supplemented with the information about server activity displayed on the Sessions tab in the Database Information window.

For more information about the Client Monitor, see the Application Designer's Guide.

Related Topics

Logging Code Coverage

Database Information - Sessions Tab - Microsoft Dynamics NAV Database Server


Sending Shortcuts to your Desktop

Microsoft Dynamics NAV allows you to create a shortcut to a form or a report on your desktop.

To Send a Shortcut to your Desktop:

  1. Open the report or form that you want to link to.

  2. Click File, Send, Shortcut to Desktop and the program places a shortcut automatically on your desktop.

  3. To open the report or form, double-click the shortcut item on your desktop.

Related Topics

Sending Reports by E-Mail

Sending Links to Forms or Reports by E-Mail

Copying Links to Forms or Reports


Copying Links to Forms or Reports

Microsoft Dynamics NAV allows you to copy a link to a form or report.

To Copy a Link to a Form or Report:

  1. Open the report or form that you want to link to.

  2. Click Edit, Copy Link and the program places a link to the report or form on the clipboard. You can paste the link to, for example, an Internet browser.

Related Topics

Sending Links to Forms or Reports by E-Mail

Sending Reports by E-Mail

Sending Shortcuts to your Desktop


Testing Tables

Microsoft Dynamics NAV allows you to test the tables in your database. From the Test Tables window, you can activate the same tests, (except the space allocation test), that you can by clicking File, Database, Test. If you choose to test only one table and select, for example, Test field relationships between tables, the relationships between the selected table and the tables that are related to it will be tested.

To Test a Table:

  1. Click file, Database Information and the Database Information window opens.

  2. Click Tables and the Database Information (Tables) window opens.

  3. Select the table(s) that you want to test. If you do not select any tables, the test will be carried out on all the tables.

  4. Click Test and the Test window appears.

  5. Select the tests that you want to perform. Some of the tests must be combined.

  6. Click OK to perform the test.

  7. When the tests have been completed Microsoft Dynamics NAV will inform if the test has been successful or not. If the test found any errors in the tables it will display a message informing you of the errors that it found.

Related Topics:

Testing Databases in the SQL Server Option

Database Information - Database Tab - SQL Server Option

Database Information (Tables) Window


Entering Information in the New Database - Integration Tab

The Integration tab contains database settings that influence the way Microsoft Dynamics NAV integrates with SQL Server and external tools. These options can be changed later.

This tab contains the following database settings:

Objects

  • Maintain Views: This setting determines whether or not SQL Server will create and maintain a view for each language ID that is added to a table or field in Microsoft Dynamics NAV.

    If you select this option, external tools can use the SQL views to gain access to the CaptionML property of the object in the required languages rather than the name supplied in the table.

  • Maintain Relationships: This setting determines whether or not SQL Server will create and maintain a foreign key constraint for each TableRelation property of a Microsoft Dynamics NAV table.

If you select this option, external tools will have access to the table relationships (foreign key constraints) that exist between the Microsoft Dynamics NAV tables. These relationships are disabled and are not used to enforce data integrity but are intended for modelling purposes only.

  • Synchronize: This setting is linked to the Maintain Relationships setting and is only active if you have already decided to create and maintain the table relationships on SQL Server.

This option is only available after table relation errors have occurred while you were restoring a database or importing some objects into a database. The table relation problems can be resolved by, for example, deleting the table relations that refer to non-existent tables and then using this option to synchronize the table relations with SQL Server.

  • If table relation errors occur when you are restoring a database, the restore will not be aborted.

  • Maintain defaults: This setting determines whether or not SQL Server will create and maintain default constraints for each field in a Microsoft Dynamics NAV table. If you select this option, external tools can use the defaults when inserting data into or modifying data in Microsoft Dynamics NAV tables.

  • Convert Identifiers: This setting allows you to select the invalid characters in the names of all the SQL Server objects (tables, columns, constraints) in the database that you want to map to the underscore character. The Remove characters field contains a list of the characters that are converted to underscores. You can modify this list.

When the conversion is completed, the database must be closed and reopened before you can use the new identifiers.

License

  • Save license in database: This setting allows you to specify that the license file is uploaded and stored in the database instead of on the server. This is useful if you are hosting several databases with separate license files on the same server. If you select this option when you are creating or altering a database, you will be prompted to upload the license file to the database.

For more information about views, table relationships and identifiers in the SQL Server Option, see the Application Designer’s Guide.

For more information about these settings and about per-database licenses, see the manual Installation & System Management: SQL Server Option for the C/SIDE Client.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Advanced Tab


Changing the Net Type for a Database on Microsoft Dynamics NAV Database Server

To change an old database so that it uses the TCPS nettype:

  1. Install the new server and update C/SIDE.

  2. Click File, Database, Open and the Open Database window appears.

  3. Click the Advanced tab and in the Net Type field, use the AssistButton to select TCPS as the protocol.

  4. Click the General tab and in the Server Name field, select the server you want to connect to. If you enter the name of the server, you must use the host name of the server.

  5. In the Database Name field, enter the name of the database.

  6. Enter your user ID and password.

  7. Click OK to open the database. A dialog appears informing you that the database must be converted before it can be opened.

  8. Click Yes to convert it.

  9. Open the database. The database now uses TCPS.

Related Topics

Selecting the Net Type on Microsoft Dynamics NAV Database Server


Entering Information in the New Database - Advanced Tab

The Advanced tab contains some settings that let you control the way locking is handled in the database.

The tab contains the following settings:

Locking

  • Lock timeout: This setting allows you to specify whether a session will wait to place a lock on a resource that has already been locked by another session.

  • Timeout duration (sec): This setting allows you to specify the maximum length of time that a session will wait to place a lock on a resource that has already been locked by another session. The default value is 10 seconds. You can change this value.

If this option is left unchecked, the session will wait indefinitely.

  • Always rowlock: This setting allows you to specify that Microsoft Dynamics NAV always places row-level locks instead of page- and table-level locks.

Security

  • Model This setting allows you to specify whether this database uses the Normal or the Enhanced security model.

The default setting is Enhanced.

Caching

  • Record Set: This setting allows you to specify how many records are cached when Microsoft Dynamics NAV performs a FINDSET operation with the ForUpdate parameter set to FALSE.

If a FINDSET statement reads more than the number of records specified here, additional SQL statements will be sent to the server and this will degrade performance. Increasing this value will also increase the amount of memory that the client uses to support each FINDSET statement.

The default setting is 500.

Related Topics

Creating Databases on SQL Server

Entering Information in the New Database - General Tab

Entering Information in the New Database - Database Files Tab

Entering Information in the New Database - Transaction Log Files Tab

Entering Information in the New Database - Collation Tab

Entering Information in the New Database - Options Tab

Entering Information in the New Database - Integration Tab